diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 0ecf180..0d1cee4 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -297,6 +297,13 @@ Each domain has an associated 'dotpic' chunk which only lists the
 domains, categories, and packages that are in the layer immediately
 below in the build order. For the full list see the algebra Makefile
 where this information is maintained.
+
+Each domain is preceded by a picture. The picture indicates several 
+things. The colors indicate whether the name refers to a category,
+domain, or package. An ellipse means that the name refers to something
+in the bootstrap set. Thus,
+
+\includegraphics[scale=0.85]{ps/v103colorchart.ps}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %\pagehead{Domain}{ABB}
 %\pagepic{ps/v103domain.ps}{ABB}{1.00}
@@ -6570,79 +6577,79 @@ AssociatedJordanAlgebra(R:CommutativeRing,A:NonAssociativeAlgebra R):
 \pageto{LieSquareMatrix}{LSQM}
 
 {\bf Exports:}\\
-\begin{tabular}{lll}
+\begin{tabular}{ll}
 \cross{LIE}{0} &
-\cross{LIE}{alternative?} &
-\cross{LIE}{antiAssociative?} \\
-\cross{LIE}{antiCommutative?} &
+\cross{LIE}{alternative?} \\
+\cross{LIE}{antiAssociative?} &
+\cross{LIE}{antiCommutative?} \\
 \cross{LIE}{antiCommutator} &
 \cross{LIE}{apply} \\
 \cross{LIE}{associative?} &
-\cross{LIE}{associator} &
-\cross{LIE}{associatorDependence} \\
-\cross{LIE}{basis} &
+\cross{LIE}{associator} \\
+\cross{LIE}{associatorDependence} &
+\cross{LIE}{basis} \\
 \cross{LIE}{coerce} &
 \cross{LIE}{commutative?} \\
 \cross{LIE}{commutator} &
-\cross{LIE}{conditionsForIdempotents} &
-\cross{LIE}{convert} \\
-\cross{LIE}{coordinates} &
+\cross{LIE}{conditionsForIdempotents} \\
+\cross{LIE}{convert} &
+\cross{LIE}{coordinates} \\
 \cross{LIE}{flexible?} &
 \cross{LIE}{hash} \\
 \cross{LIE}{jacobiIdentity?} &
-\cross{LIE}{jordanAdmissible?} &
-\cross{LIE}{jordanAlgebra?} \\
-\cross{LIE}{latex} &
+\cross{LIE}{jordanAdmissible?} \\
+\cross{LIE}{jordanAlgebra?} &
+\cross{LIE}{latex} \\
 \cross{LIE}{leftAlternative?} &
 \cross{LIE}{leftCharacteristicPolynomial} \\
 \cross{LIE}{leftDiscriminant} &
-\cross{LIE}{leftMinimalPolynomial} &
-\cross{LIE}{leftNorm} \\
-\cross{LIE}{leftPower} &
+\cross{LIE}{leftMinimalPolynomial} \\
+\cross{LIE}{leftNorm} &
+\cross{LIE}{leftPower} \\
 \cross{LIE}{leftRankPolynomial} &
 \cross{LIE}{leftRecip} \\
 \cross{LIE}{leftRegularRepresentation} &
-\cross{LIE}{leftTrace} &
-\cross{LIE}{leftTraceMatrix} \\
-\cross{LIE}{leftUnit} &
+\cross{LIE}{leftTrace} \\
+\cross{LIE}{leftTraceMatrix} &
+\cross{LIE}{leftUnit} \\
 \cross{LIE}{leftUnits} &
 \cross{LIE}{lieAdmissible?} \\
 \cross{LIE}{lieAlgebra?} &
-\cross{LIE}{noncommutativeJordanAlgebra?} &
-\cross{LIE}{plenaryPower} \\
-\cross{LIE}{powerAssociative?} &
+\cross{LIE}{noncommutativeJordanAlgebra?} \\
+\cross{LIE}{plenaryPower} &
+\cross{LIE}{powerAssociative?} \\
 \cross{LIE}{rank} &
 \cross{LIE}{recip} \\
 \cross{LIE}{represents} &
-\cross{LIE}{represents} &
-\cross{LIE}{rightAlternative?} \\
-\cross{LIE}{rightCharacteristicPolynomial} &
+\cross{LIE}{represents} \\
+\cross{LIE}{rightAlternative?} &
+\cross{LIE}{rightCharacteristicPolynomial} \\
 \cross{LIE}{rightDiscriminant} &
 \cross{LIE}{rightMinimalPolynomial} \\
 \cross{LIE}{rightNorm} &
-\cross{LIE}{rightPower} &
-\cross{LIE}{rightRankPolynomial} \\
-\cross{LIE}{rightRecip} &
+\cross{LIE}{rightPower} \\
+\cross{LIE}{rightRankPolynomial} &
+\cross{LIE}{rightRecip} \\
 \cross{LIE}{rightRegularRepresentation} &
 \cross{LIE}{rightTrace} \\
 \cross{LIE}{rightTraceMatrix} &
-\cross{LIE}{rightUnit} &
-\cross{LIE}{rightUnits} \\
-\cross{LIE}{sample} &
+\cross{LIE}{rightUnit} \\
+\cross{LIE}{rightUnits} &
+\cross{LIE}{sample} \\
 \cross{LIE}{someBasis} &
 \cross{LIE}{structuralConstants} \\
 \cross{LIE}{structuralConstants} &
-\cross{LIE}{subtractIfCan} &
-\cross{LIE}{unit} \\
-\cross{LIE}{zero?} &
+\cross{LIE}{subtractIfCan} \\
+\cross{LIE}{unit} &
+\cross{LIE}{zero?} \\
 \cross{LIE}{?*?} &
 \cross{LIE}{?**?} \\
 \cross{LIE}{?+?} &
-\cross{LIE}{?-?} &
-\cross{LIE}{-?} \\
-\cross{LIE}{?=?} &
+\cross{LIE}{?-?} \\
+\cross{LIE}{-?} &
+\cross{LIE}{?=?} \\
 \cross{LIE}{?\~{}=?} &
-\cross{LIE}{?.?} 
+\cross{LIE}{?.?}
 \end{tabular}
 
 <<domain LIE AssociatedLieAlgebra>>=
@@ -10244,8 +10251,8 @@ o )show CardinalNumber
 \cross{CARD}{countable?} &
 \cross{CARD}{finite?} \\
 \cross{CARD}{generalizedContinuumHypothesisAssumed} &
-\cross{CARD}{generalizedContinuumHypothesisAssumed?} \\
-\cross{CARD}{hash} &
+\cross{CARD}{hash} \\
+\cross{CARD}{generalizedContinuumHypothesisAssumed?} &
 \cross{CARD}{latex} \\
 \cross{CARD}{max} &
 \cross{CARD}{min} \\
@@ -15653,23 +15660,23 @@ Database(S): Exports == Implementation where
 \pageto{QueryEquation}{QEQUAT}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
 \cross{DLIST}{any?} &
 \cross{DLIST}{child?} &
 \cross{DLIST}{children} &
-\cross{DLIST}{coerce} &
-\cross{DLIST}{concat} \\
+\cross{DLIST}{coerce} \\
+\cross{DLIST}{concat} &
 \cross{DLIST}{concat!} &
 \cross{DLIST}{construct} &
-\cross{DLIST}{convert} &
+\cross{DLIST}{convert} \\
 \cross{DLIST}{copy} &
-\cross{DLIST}{copyInto!} \\
+\cross{DLIST}{copyInto!} &
 \cross{DLIST}{count} &
-\cross{DLIST}{cycleEntry} &
+\cross{DLIST}{cycleEntry} \\
 \cross{DLIST}{cycleLength} &
 \cross{DLIST}{cycleSplit!} &
-\cross{DLIST}{cycleTail} \\
-\cross{DLIST}{cyclic?} &
+\cross{DLIST}{cycleTail} &
+\cross{DLIST}{cyclic?} \\
 \cross{DLIST}{datalist} &
 \cross{DLIST}{delete} &
 \cross{DLIST}{delete!} &
@@ -15677,19 +15684,19 @@ Database(S): Exports == Implementation where
 \cross{DLIST}{elt} &
 \cross{DLIST}{empty} &
 \cross{DLIST}{empty?} &
-\cross{DLIST}{entries} &
-\cross{DLIST}{entry?} \\
+\cross{DLIST}{entries} \\
+\cross{DLIST}{entry?} &
 \cross{DLIST}{eq?} &
 \cross{DLIST}{eval} &
-\cross{DLIST}{every?} &
+\cross{DLIST}{every?} \\
 \cross{DLIST}{explicitlyFinite?} &
-\cross{DLIST}{fill!} \\
+\cross{DLIST}{fill!} &
 \cross{DLIST}{find} &
-\cross{DLIST}{first} &
+\cross{DLIST}{first} \\
 \cross{DLIST}{hash} &
 \cross{DLIST}{index?} &
-\cross{DLIST}{indices} \\
-\cross{DLIST}{insert} &
+\cross{DLIST}{indices} &
+\cross{DLIST}{insert} \\
 \cross{DLIST}{insert!} &
 \cross{DLIST}{last} &
 \cross{DLIST}{latex} &
@@ -15697,19 +15704,19 @@ Database(S): Exports == Implementation where
 \cross{DLIST}{leaves} &
 \cross{DLIST}{less?} &
 \cross{DLIST}{list} &
-\cross{DLIST}{map} &
-\cross{DLIST}{map!} \\
+\cross{DLIST}{map} \\
+\cross{DLIST}{map!} &
 \cross{DLIST}{max} &
 \cross{DLIST}{maxIndex} &
-\cross{DLIST}{member?} &
+\cross{DLIST}{member?} \\
 \cross{DLIST}{members} &
-\cross{DLIST}{merge} \\
+\cross{DLIST}{merge} &
 \cross{DLIST}{merge!} &
-\cross{DLIST}{min} &
+\cross{DLIST}{min} \\
 \cross{DLIST}{minIndex} &
 \cross{DLIST}{more?} &
-\cross{DLIST}{new} \\
-\cross{DLIST}{node?} &
+\cross{DLIST}{new} &
+\cross{DLIST}{node?} \\
 \cross{DLIST}{nodes} &
 \cross{DLIST}{parts} &
 \cross{DLIST}{position} &
@@ -15717,19 +15724,19 @@ Database(S): Exports == Implementation where
 \cross{DLIST}{qelt} &
 \cross{DLIST}{qsetelt!} &
 \cross{DLIST}{reduce} &
-\cross{DLIST}{remove} &
-\cross{DLIST}{remove!} \\
+\cross{DLIST}{remove} \\
+\cross{DLIST}{remove!} &
 \cross{DLIST}{removeDuplicates} &
 \cross{DLIST}{removeDuplicates!} &
-\cross{DLIST}{rest} &
+\cross{DLIST}{rest} \\
 \cross{DLIST}{reverse} &
-\cross{DLIST}{reverse!} \\
+\cross{DLIST}{reverse!} &
 \cross{DLIST}{sample} &
-\cross{DLIST}{second} &
+\cross{DLIST}{second} \\
 \cross{DLIST}{select} &
 \cross{DLIST}{select!} &
-\cross{DLIST}{setchildren!} \\
-\cross{DLIST}{setelt} &
+\cross{DLIST}{setchildren!} &
+\cross{DLIST}{setelt} \\
 \cross{DLIST}{setfirst!} &
 \cross{DLIST}{setlast!} &
 \cross{DLIST}{setrest!} &
@@ -15737,19 +15744,19 @@ Database(S): Exports == Implementation where
 \cross{DLIST}{size?} &
 \cross{DLIST}{sort} &
 \cross{DLIST}{sort!} &
-\cross{DLIST}{sorted?} &
-\cross{DLIST}{split!} \\
+\cross{DLIST}{sorted?} \\
+\cross{DLIST}{split!} &
 \cross{DLIST}{swap!} &
 \cross{DLIST}{tail} &
-\cross{DLIST}{third} &
+\cross{DLIST}{third} \\
 \cross{DLIST}{value} &
-\cross{DLIST}{\#{}?} \\
+\cross{DLIST}{\#{}?} &
 \cross{DLIST}{?$<$?} &
-\cross{DLIST}{?$<=$?} &
+\cross{DLIST}{?$<=$?} \\
 \cross{DLIST}{?=?} &
 \cross{DLIST}{?$>$?} &
-\cross{DLIST}{?$>=$?} \\
-\cross{DLIST}{?.?} &
+\cross{DLIST}{?$>=$?} &
+\cross{DLIST}{?.?} \\
 \cross{DLIST}{?\~{}=?} &
 \cross{DLIST}{?.count} &
 \cross{DLIST}{?.sort} &
@@ -15757,7 +15764,7 @@ Database(S): Exports == Implementation where
 \cross{DLIST}{?.last} &
 \cross{DLIST}{?.rest} &
 \cross{DLIST}{?.first} &
-\cross{DLIST}{?.value} &
+\cross{DLIST}{?.value} 
 \end{tabular}
 
 <<domain DLIST DataList>>=
@@ -19584,11 +19591,11 @@ o )show DistributedMultivariatePolynomial
 \cross{DMP}{retractIfCan} &
 \cross{DMP}{reorder} \\
 \cross{DMP}{retract} &
-\cross{DMP}{sample} &
-\cross{DMP}{solveLinearPolynomialEquation} \\
+\cross{DMP}{solveLinearPolynomialEquation} &
+\cross{DMP}{sample} \\
 \cross{DMP}{squareFree} &
-\cross{DMP}{squareFreePart} &
-\cross{DMP}{squareFreePolynomial} \\
+\cross{DMP}{squareFreePolynomial} &
+\cross{DMP}{squareFreePart} \\
 \cross{DMP}{subtractIfCan} &
 \cross{DMP}{totalDegree} &
 \cross{DMP}{unit?} \\
@@ -23321,6 +23328,16 @@ o )show Exit
 @
 \pagehead{Exit}{EXIT}
 \pagepic{ps/v103exit.ps}{EXIT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{EXIT}{coerce} &
+\cross{EXIT}{hash} &
+\cross{EXIT}{latex} &
+\cross{EXIT}{?=?} &
+\cross{EXIT}{?\~{}=?} 
+\end{tabular}
+
 <<domain EXIT Exit>>=
 )abbrev domain EXIT Exit
 ++ Author: Stephen M. Watt
@@ -23379,13 +23396,13 @@ Exit: SetCategory == add
 \cross{EXPEXPAN}{differentiate} &
 \cross{EXPEXPAN}{divide} \\
 \cross{EXPEXPAN}{euclideanSize} &
-\cross{EXPEXPAN}{eval} &
-\cross{EXPEXPAN}{expressIdealMember} \\
+\cross{EXPEXPAN}{expressIdealMember} &
+\cross{EXPEXPAN}{eval} \\
 \cross{EXPEXPAN}{exquo} &
 \cross{EXPEXPAN}{extendedEuclidean} &
 \cross{EXPEXPAN}{factor} \\
-\cross{EXPEXPAN}{factorPolynomial} &
 \cross{EXPEXPAN}{factorSquareFreePolynomial} &
+\cross{EXPEXPAN}{factorPolynomial} &
 \cross{EXPEXPAN}{floor} \\
 \cross{EXPEXPAN}{fractionPart} &
 \cross{EXPEXPAN}{gcd} &
@@ -33933,23 +33950,23 @@ FortranTemplate() : specification == implementation where
 \pageto{TheSymbolTable}{SYMS}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
 \cross{FT}{coerce} &
 \cross{FT}{construct} &
 \cross{FT}{dimensionsOf} &
-\cross{FT}{external?} &
-\cross{FT}{fortranCharacter} \\
+\cross{FT}{external?} \\
+\cross{FT}{fortranCharacter} &
 \cross{FT}{fortranComplex} &
 \cross{FT}{fortranDouble} &
-\cross{FT}{fortranDoubleComplex} &
+\cross{FT}{fortranDoubleComplex} \\
 \cross{FT}{fortranInteger} &
-\cross{FT}{fortranLogical} \\
+\cross{FT}{fortranLogical} &
 \cross{FT}{fortranReal} &
-\cross{FT}{hash} &
+\cross{FT}{hash} \\
 \cross{FT}{latex} &
 \cross{FT}{scalarTypeOf} &
-\cross{FT}{?=?} \\
-\cross{FT}{?\~{}=?} &&&&
+\cross{FT}{?=?} &
+\cross{FT}{?\~{}=?} 
 \end{tabular}
 
 <<domain FT FortranType>>=
@@ -34189,13 +34206,15 @@ FourierSeries(R:Join(CommutativeRing,Algebra(Fraction Integer)),
        Algebra(R) with
          if E has canonical and R has canonical then canonical
          coerce: R -> $
-         ++ coerce(r) converts coefficients into Fourier Series
+           ++ coerce(r) converts coefficients into Fourier Series
          coerce: FourierComponent(E) -> $
-         ++ coerce(c) converts sin/cos terms into Fourier Series
+           ++ coerce(c) converts sin/cos terms into Fourier Series
          makeSin: (E,R) -> $
-         ++ makeSin(e,r) makes a sin expression with given argument and coefficient
+           ++ makeSin(e,r) makes a sin expression with given 
+           ++ argument and coefficient
          makeCos: (E,R) -> $
-         ++ makeCos(e,r) makes a sin expression with given argument and coefficient
+           ++ makeCos(e,r) makes a sin expression with given 
+           ++argument and coefficient
     == FreeModule(R,FourierComponent(E))
   add
    --representations
@@ -35290,6 +35309,40 @@ FramedModule(R, F, UP, A, ibasis): Exports == Implementation where
 \pageto{FreeGroup}{FGROUP}
 \pageto{InnerFreeAbelianMonoid}{IFAMON}
 \pageto{FreeAbelianMonoid}{FAMONOID}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FAGROUP}{0} &
+\cross{FAGROUP}{coefficient} &
+\cross{FAGROUP}{coerce} &
+\cross{FAGROUP}{hash} &
+\cross{FAGROUP}{highCommonTerms} \\
+\cross{FAGROUP}{latex} &
+\cross{FAGROUP}{mapCoef} &
+\cross{FAGROUP}{mapGen} &
+\cross{FAGROUP}{max} &
+\cross{FAGROUP}{min} \\
+\cross{FAGROUP}{nthCoef} &
+\cross{FAGROUP}{nthFactor} &
+\cross{FAGROUP}{retract} &
+\cross{FAGROUP}{retractIfCan} &
+\cross{FAGROUP}{sample} \\
+\cross{FAGROUP}{size} &
+\cross{FAGROUP}{subtractIfCan} &
+\cross{FAGROUP}{terms} &
+\cross{FAGROUP}{zero?} &
+\cross{FAGROUP}{?\~{}=?} \\
+\cross{FAGROUP}{?*?} &
+\cross{FAGROUP}{?$<$?} &
+\cross{FAGROUP}{?$<=$?} &
+\cross{FAGROUP}{?$>$?} &
+\cross{FAGROUP}{?$>=$?} \\
+\cross{FAGROUP}{?+?} &
+\cross{FAGROUP}{?-?} &
+\cross{FAGROUP}{-?} &
+\cross{FAGROUP}{?=?} &
+\end{tabular}
+
 <<domain FAGROUP FreeAbelianGroup>>=
 )abbrev domain FAGROUP FreeAbelianGroup
 ++ Free abelian group on any set of generators
@@ -41282,6 +41335,7 @@ IndexedDirectProductOrderedAbelianMonoid(A:OrderedAbelianMonoid,S:OrderedSet):
 @
 <<IDPOAM.dotabb>>=
 "IDPOAM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IDPOAM"]
+"OAMON" [color="#4488FF",href="bookvol10.2.pdf#nameddest=OAMON"]
 "IDPOAM" -> "OAMON"
 
 @
@@ -42804,6 +42858,7 @@ IndexedTwoDimensionalArray(R,mnRow,mnCol):Exports == Implementation where
 <<IARRAY2.dotabb>>=
 "IARRAY2" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IARRAY2"]
 "A1AGG" [color="#4488FF",href="bookvol10.2.pdf#nameddest=A1AGG"]
+"ARR2CAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=ARR2CAT"]
 "IARRAY2" -> "ARR2CAT"
 "IARRAY2" -> "A1AGG"
 
@@ -42981,23 +43036,23 @@ InfiniteTuple(S:Type): Exports == Implementation where
 \pageto{AlgebraicNumber}{AN}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
 \cross{IAN}{0} &
 \cross{IAN}{1} &
 \cross{IAN}{associates?} &
-\cross{IAN}{belong?} &
-\cross{IAN}{box} \\
+\cross{IAN}{belong?} \\
+\cross{IAN}{box} &
 \cross{IAN}{characteristic} &
 \cross{IAN}{coerce} &
-\cross{IAN}{convert} &
+\cross{IAN}{convert} \\
 \cross{IAN}{D} &
-\cross{IAN}{definingPolynomial} \\
+\cross{IAN}{definingPolynomial} &
 \cross{IAN}{denom} &
-\cross{IAN}{differentiate} &
+\cross{IAN}{differentiate} \\
 \cross{IAN}{distribute} &
 \cross{IAN}{divide} &
-\cross{IAN}{elt} \\
-\cross{IAN}{euclideanSize} &
+\cross{IAN}{elt} &
+\cross{IAN}{euclideanSize} \\
 \cross{IAN}{eval} &
 \cross{IAN}{even?} &
 \cross{IAN}{expressIdealMember} &
@@ -43005,19 +43060,19 @@ InfiniteTuple(S:Type): Exports == Implementation where
 \cross{IAN}{extendedEuclidean} &
 \cross{IAN}{factor} &
 \cross{IAN}{freeOf?} &
-\cross{IAN}{gcd} &
-\cross{IAN}{gcdPolynomial} \\
+\cross{IAN}{gcd} \\
+\cross{IAN}{gcdPolynomial} &
 \cross{IAN}{hash} &
 \cross{IAN}{height} &
-\cross{IAN}{inv} &
+\cross{IAN}{inv} \\
 \cross{IAN}{is?} &
-\cross{IAN}{kernel} \\
+\cross{IAN}{kernel} &
 \cross{IAN}{kernels} &
-\cross{IAN}{latex} &
+\cross{IAN}{latex} \\
 \cross{IAN}{lcm} &
 \cross{IAN}{mainKernel} &
-\cross{IAN}{map} \\
-\cross{IAN}{max} &
+\cross{IAN}{map} &
+\cross{IAN}{max} \\
 \cross{IAN}{min} &
 \cross{IAN}{minPoly} &
 \cross{IAN}{multiEuclidean} &
@@ -43025,19 +43080,19 @@ InfiniteTuple(S:Type): Exports == Implementation where
 \cross{IAN}{nthRoot} &
 \cross{IAN}{numer} &
 \cross{IAN}{odd?} &
-\cross{IAN}{one?} &
-\cross{IAN}{operator} \\
+\cross{IAN}{one?} \\
+\cross{IAN}{operator} &
 \cross{IAN}{operators} &
 \cross{IAN}{paren} &
-\cross{IAN}{prime?} &
+\cross{IAN}{prime?} \\
 \cross{IAN}{principalIdeal} &
-\cross{IAN}{recip} \\
+\cross{IAN}{recip} &
 \cross{IAN}{reduce} &
-\cross{IAN}{reducedSystem} &
+\cross{IAN}{reducedSystem} \\
 \cross{IAN}{retract} &
 \cross{IAN}{retractIfCan} &
-\cross{IAN}{rootOf} \\
-\cross{IAN}{rootsOf} &
+\cross{IAN}{rootOf} &
+\cross{IAN}{rootsOf} \\
 \cross{IAN}{sample} &
 \cross{IAN}{sizeLess?} &
 \cross{IAN}{sqrt} &
@@ -43045,19 +43100,19 @@ InfiniteTuple(S:Type): Exports == Implementation where
 \cross{IAN}{squareFreePart} &
 \cross{IAN}{subst} &
 \cross{IAN}{subtractIfCan} &
-\cross{IAN}{tower} &
-\cross{IAN}{trueEqual} \\
+\cross{IAN}{tower} \\
+\cross{IAN}{trueEqual} &
 \cross{IAN}{unit?} &
 \cross{IAN}{unitCanonical} &
-\cross{IAN}{unitNormal} &
+\cross{IAN}{unitNormal} \\
 \cross{IAN}{zero?} &
-\cross{IAN}{zeroOf} \\
+\cross{IAN}{zeroOf} &
 \cross{IAN}{zerosOf} &
-\cross{IAN}{?*?} &
+\cross{IAN}{?*?} \\
 \cross{IAN}{?**?} &
 \cross{IAN}{?+?} &
-\cross{IAN}{-?} \\
-\cross{IAN}{?-?} &
+\cross{IAN}{-?} &
+\cross{IAN}{?-?} \\
 \cross{IAN}{?/?} &
 \cross{IAN}{?$<$?} &
 \cross{IAN}{?$<=$?} &
@@ -43065,11 +43120,11 @@ InfiniteTuple(S:Type): Exports == Implementation where
 \cross{IAN}{?$>$?} &
 \cross{IAN}{?$>=$?} &
 \cross{IAN}{?\^{}?} &
-\cross{IAN}{?\~{}=?} &
-\cross{IAN}{?*?} \\
+\cross{IAN}{?\~{}=?} \\
+\cross{IAN}{?*?} &
 \cross{IAN}{?**?} &
 \cross{IAN}{?quo?} &
-\cross{IAN}{?rem?} &&
+\cross{IAN}{?rem?} 
 \end{tabular}
 
 <<domain IAN InnerAlgebraicNumber>>=
@@ -50100,135 +50155,134 @@ LiePolynomial(VarSet:OrderedSet, R:CommutativeRing) : Public == Private where
 \pageto{AssociatedJordanAlgebra}{JORDAN}
 
 {\bf Exports:}\\
-\begin{tabular}{ll}
+\begin{tabular}{lll}
 \cross{LSQM}{0} &
-\cross{LSQM}{1} \\
-\cross{LSQM}{alternative?} &
-\cross{LSQM}{antiAssociative?} \\
+\cross{LSQM}{1} &
+\cross{LSQM}{alternative?} \\
+\cross{LSQM}{antiAssociative?} &
 \cross{LSQM}{antiCommutator} &
 \cross{LSQM}{antisymmetric?} \\
 \cross{LSQM}{any?} &
-\cross{LSQM}{apply} \\
-\cross{LSQM}{associative?} &
-\cross{LSQM}{associator} \\
+\cross{LSQM}{apply} &
+\cross{LSQM}{associative?} \\
+\cross{LSQM}{associator} &
 \cross{LSQM}{associatorDependence} &
 \cross{LSQM}{basis} \\
 \cross{LSQM}{characteristic} &
-\cross{LSQM}{coerce} \\
-\cross{LSQM}{column} &
-\cross{LSQM}{commutative?} \\
+\cross{LSQM}{coerce} &
+\cross{LSQM}{column} \\
+\cross{LSQM}{commutative?} &
 \cross{LSQM}{commutator} &
 \cross{LSQM}{conditionsForIdempotents} \\
 \cross{LSQM}{convert} &
-\cross{LSQM}{coordinates} \\
-\cross{LSQM}{copy} &
-\cross{LSQM}{count} \\
+\cross{LSQM}{coordinates} &
+\cross{LSQM}{copy} \\
+\cross{LSQM}{count} &
 \cross{LSQM}{D} &
 \cross{LSQM}{determinant} \\
 \cross{LSQM}{diagonal} &
-\cross{LSQM}{diagonal?} \\
-\cross{LSQM}{diagonalMatrix} &
-\cross{LSQM}{diagonalProduct} \\
+\cross{LSQM}{diagonal?} &
+\cross{LSQM}{diagonalMatrix} \\
+\cross{LSQM}{diagonalProduct} &
 \cross{LSQM}{differentiate} &
 \cross{LSQM}{elt} \\
 \cross{LSQM}{empty} &
-\cross{LSQM}{empty?} \\
-\cross{LSQM}{eq?} &
-\cross{LSQM}{eval} \\
+\cross{LSQM}{empty?} &
+\cross{LSQM}{eq?} \\
+\cross{LSQM}{eval} &
 \cross{LSQM}{every?} &
 \cross{LSQM}{exquo} \\
 \cross{LSQM}{flexible?} &
-\cross{LSQM}{hash} \\
-\cross{LSQM}{inverse} &
-\cross{LSQM}{jacobiIdentity?} \\
+\cross{LSQM}{hash} &
+\cross{LSQM}{inverse} \\
+\cross{LSQM}{jacobiIdentity?} &
 \cross{LSQM}{jordanAdmissible?} &
 \cross{LSQM}{jordanAlgebra?} \\
 \cross{LSQM}{latex} &
-\cross{LSQM}{leftAlternative?} \\
-\cross{LSQM}{leftCharacteristicPolynomial} &
-\cross{LSQM}{leftDiscriminant} \\
+\cross{LSQM}{leftAlternative?} &
+\cross{LSQM}{leftCharacteristicPolynomial} \\
+\cross{LSQM}{leftDiscriminant} &
 \cross{LSQM}{leftDiscriminant} &
 \cross{LSQM}{leftMinimalPolynomial} \\
 \cross{LSQM}{leftNorm} &
-\cross{LSQM}{leftPower} \\
-\cross{LSQM}{leftRankPolynomial} &
-\cross{LSQM}{leftRecip} \\
+\cross{LSQM}{leftPower} &
+\cross{LSQM}{leftRankPolynomial} \\
+\cross{LSQM}{leftRecip} &
 \cross{LSQM}{leftRegularRepresentation} &
 \cross{LSQM}{leftRegularRepresentation} \\
 \cross{LSQM}{leftTrace} &
-\cross{LSQM}{leftTraceMatrix} \\
-\cross{LSQM}{leftUnit} &
-\cross{LSQM}{leftUnits} \\
+\cross{LSQM}{leftTraceMatrix} &
+\cross{LSQM}{leftUnit} \\
+\cross{LSQM}{leftUnits} &
 \cross{LSQM}{less?} &
 \cross{LSQM}{lieAdmissible?} \\
 \cross{LSQM}{lieAlgebra?} &
-\cross{LSQM}{listOfLists} \\
-\cross{LSQM}{map} &
-\cross{LSQM}{map!} \\
+\cross{LSQM}{listOfLists} &
+\cross{LSQM}{map} \\
+\cross{LSQM}{map!} &
 \cross{LSQM}{matrix} &
 \cross{LSQM}{maxColIndex} \\
 \cross{LSQM}{maxRowIndex} &
-\cross{LSQM}{member?} \\
-\cross{LSQM}{members} &
-\cross{LSQM}{minColIndex} \\
+\cross{LSQM}{member?} &
+\cross{LSQM}{members} \\
+\cross{LSQM}{minColIndex} &
 \cross{LSQM}{minordet} &
 \cross{LSQM}{minRowIndex} \\
 \cross{LSQM}{more?} &
-\cross{LSQM}{ncols} \\
-\cross{LSQM}{noncommutativeJordanAlgebra?} &
-\cross{LSQM}{nrows} \\
+\cross{LSQM}{ncols} &
+\cross{LSQM}{noncommutativeJordanAlgebra?} \\
+\cross{LSQM}{nrows} &
 \cross{LSQM}{nullSpace} &
 \cross{LSQM}{nullity} \\
 \cross{LSQM}{one?} &
-\cross{LSQM}{parts} \\
-\cross{LSQM}{plenaryPower} &
-\cross{LSQM}{powerAssociative?} \\
+\cross{LSQM}{parts} &
+\cross{LSQM}{plenaryPower} \\
+\cross{LSQM}{powerAssociative?} &
 \cross{LSQM}{qelt} &
 \cross{LSQM}{rank} \\
 \cross{LSQM}{recip} &
-\cross{LSQM}{reducedSystem} \\
-\cross{LSQM}{represents} &
-\cross{LSQM}{retract} \\
+\cross{LSQM}{reducedSystem} &
+\cross{LSQM}{represents} \\
+\cross{LSQM}{retract} &
 \cross{LSQM}{retractIfCan} &
 \cross{LSQM}{rightAlternative?} \\
 \cross{LSQM}{rightCharacteristicPolynomial} &
-\cross{LSQM}{rightDiscriminant} \\
-\cross{LSQM}{rightMinimalPolynomial} &
-\cross{LSQM}{rightNorm} \\
+\cross{LSQM}{rightDiscriminant} &
+\cross{LSQM}{rightMinimalPolynomial} \\
+\cross{LSQM}{rightNorm} &
 \cross{LSQM}{rightPower} &
 \cross{LSQM}{rightRankPolynomial} \\
 \cross{LSQM}{rightRecip} &
-\cross{LSQM}{rightRegularRepresentation} \\
 \cross{LSQM}{rightRegularRepresentation} &
 \cross{LSQM}{rightTrace} \\
 \cross{LSQM}{rightTraceMatrix} &
-\cross{LSQM}{rightUnit} \\
-\cross{LSQM}{rightUnits} &
-\cross{LSQM}{row} \\
+\cross{LSQM}{rightUnit} &
+\cross{LSQM}{rightUnits} \\
+\cross{LSQM}{row} &
 \cross{LSQM}{rowEchelon} &
 \cross{LSQM}{sample} \\
 \cross{LSQM}{scalarMatrix} &
-\cross{LSQM}{size?} \\
-\cross{LSQM}{someBasis} &
-\cross{LSQM}{square?} \\
+\cross{LSQM}{size?} &
+\cross{LSQM}{someBasis} \\
+\cross{LSQM}{square?} &
 \cross{LSQM}{structuralConstants} &
 \cross{LSQM}{structuralConstants} \\
 \cross{LSQM}{subtractIfCan} &
-\cross{LSQM}{symmetric?} \\
-\cross{LSQM}{trace} &
-\cross{LSQM}{unit} \\
+\cross{LSQM}{symmetric?} &
+\cross{LSQM}{trace} \\
+\cross{LSQM}{unit} &
 \cross{LSQM}{zero?} &
 \cross{LSQM}{\#{}?} \\
 \cross{LSQM}{?\~{}=?} &
-\cross{LSQM}{?*?} \\
-\cross{LSQM}{?**?} &
-\cross{LSQM}{?+?} \\
+\cross{LSQM}{?*?} &
+\cross{LSQM}{?**?} \\
+\cross{LSQM}{?+?} &
 \cross{LSQM}{?-?} &
 \cross{LSQM}{-?} \\
 \cross{LSQM}{?/?} &
-\cross{LSQM}{?=?} \\
-\cross{LSQM}{?\^{}?} &
-\cross{LSQM}{?.?} 
+\cross{LSQM}{?=?} &
+\cross{LSQM}{?\^{}?} \\
+\cross{LSQM}{?.?} &&
 \end{tabular}
 
 <<domain LSQM LieSquareMatrix>>=
@@ -53971,143 +54025,143 @@ LyndonWord(VarSet:OrderedSet):Public == Private where
 \pageto{MachineFloat}{MFLOAT}
 
 {\bf Exports:}\\
-\begin{tabular}{ll}
+\begin{tabular}{lll}
 \cross{MCMPLX}{0} &
-\cross{MCMPLX}{1} \\
-\cross{MCMPLX}{abs} &
-\cross{MCMPLX}{acos} \\
+\cross{MCMPLX}{1} &
+\cross{MCMPLX}{abs} \\
+\cross{MCMPLX}{acos} &
 \cross{MCMPLX}{acosh} &
 \cross{MCMPLX}{acot} \\
 \cross{MCMPLX}{acoth} &
-\cross{MCMPLX}{acsc} \\
-\cross{MCMPLX}{acsch} &
-\cross{MCMPLX}{argument} \\
+\cross{MCMPLX}{acsc} &
+\cross{MCMPLX}{acsch} \\
+\cross{MCMPLX}{argument} &
 \cross{MCMPLX}{asec} &
 \cross{MCMPLX}{asech} \\
 \cross{MCMPLX}{asin} &
-\cross{MCMPLX}{asinh} \\
-\cross{MCMPLX}{associates?} &
-\cross{MCMPLX}{atan} \\
+\cross{MCMPLX}{asinh} &
+\cross{MCMPLX}{associates?} \\
+\cross{MCMPLX}{atan} &
 \cross{MCMPLX}{atanh} &
 \cross{MCMPLX}{basis} \\
 \cross{MCMPLX}{characteristic} &
-\cross{MCMPLX}{characteristicPolynomial} \\
-\cross{MCMPLX}{charthRoot} &
-\cross{MCMPLX}{coerce} \\
+\cross{MCMPLX}{characteristicPolynomial} &
+\cross{MCMPLX}{charthRoot} \\
+\cross{MCMPLX}{coerce} &
 \cross{MCMPLX}{complex} &
 \cross{MCMPLX}{conditionP} \\
 \cross{MCMPLX}{conjugate} &
-\cross{MCMPLX}{convert} \\
-\cross{MCMPLX}{coordinates} &
-\cross{MCMPLX}{cos} \\
+\cross{MCMPLX}{convert} &
+\cross{MCMPLX}{coordinates} \\
+\cross{MCMPLX}{cos} &
 \cross{MCMPLX}{cosh} &
 \cross{MCMPLX}{cot} \\
 \cross{MCMPLX}{coth} &
-\cross{MCMPLX}{createPrimitiveElement} \\
-\cross{MCMPLX}{csc} &
-\cross{MCMPLX}{csch} \\
+\cross{MCMPLX}{createPrimitiveElement} &
+\cross{MCMPLX}{csc} \\
+\cross{MCMPLX}{csch} &
 \cross{MCMPLX}{D} &
 \cross{MCMPLX}{definingPolynomial} \\
 \cross{MCMPLX}{derivationCoordinates} &
-\cross{MCMPLX}{differentiate} \\
-\cross{MCMPLX}{discreteLog} &
-\cross{MCMPLX}{discriminant} \\
+\cross{MCMPLX}{differentiate} &
+\cross{MCMPLX}{discreteLog} \\
+\cross{MCMPLX}{discriminant} &
 \cross{MCMPLX}{divide} &
 \cross{MCMPLX}{euclideanSize} \\
 \cross{MCMPLX}{eval} &
-\cross{MCMPLX}{exp} \\
-\cross{MCMPLX}{expressIdealMember} &
-\cross{MCMPLX}{exquo} \\
+\cross{MCMPLX}{exp} &
+\cross{MCMPLX}{expressIdealMember} \\
+\cross{MCMPLX}{exquo} &
 \cross{MCMPLX}{extendedEuclidean} &
 \cross{MCMPLX}{factor} \\
 \cross{MCMPLX}{factorPolynomial} &
-\cross{MCMPLX}{factorSquareFreePolynomial} \\
+\cross{MCMPLX}{factorSquareFreePolynomial} &
+\cross{MCMPLX}{gcdPolynomial} \\
+\cross{MCMPLX}{gcd} &
 \cross{MCMPLX}{factorsOfCyclicGroupSize} &
-\cross{MCMPLX}{gcd} \\
-\cross{MCMPLX}{gcdPolynomial} &
 \cross{MCMPLX}{generator} \\
 \cross{MCMPLX}{hash} &
-\cross{MCMPLX}{imag} \\
-\cross{MCMPLX}{imaginary} &
-\cross{MCMPLX}{index} \\
+\cross{MCMPLX}{imag} &
+\cross{MCMPLX}{imaginary} \\
+\cross{MCMPLX}{index} &
 \cross{MCMPLX}{init} &
 \cross{MCMPLX}{inv} \\
 \cross{MCMPLX}{latex} &
-\cross{MCMPLX}{lcm} \\
-\cross{MCMPLX}{lift} &
-\cross{MCMPLX}{log} \\
+\cross{MCMPLX}{lcm} &
+\cross{MCMPLX}{lift} \\
+\cross{MCMPLX}{log} &
 \cross{MCMPLX}{lookup} &
 \cross{MCMPLX}{map} \\
 \cross{MCMPLX}{max} &
-\cross{MCMPLX}{min} \\
-\cross{MCMPLX}{minimalPolynomial} &
-\cross{MCMPLX}{multiEuclidean} \\
+\cross{MCMPLX}{min} &
+\cross{MCMPLX}{minimalPolynomial} \\
+\cross{MCMPLX}{multiEuclidean} &
 \cross{MCMPLX}{nextItem} &
 \cross{MCMPLX}{norm} \\
 \cross{MCMPLX}{nthRoot} &
-\cross{MCMPLX}{one?} \\
-\cross{MCMPLX}{order} &
-\cross{MCMPLX}{patternMatch} \\
+\cross{MCMPLX}{one?} &
+\cross{MCMPLX}{order} \\
+\cross{MCMPLX}{patternMatch} &
 \cross{MCMPLX}{pi} &
 \cross{MCMPLX}{polarCoordinates} \\
 \cross{MCMPLX}{prime?} &
-\cross{MCMPLX}{primeFrobenius} \\
-\cross{MCMPLX}{primitive?} &
-\cross{MCMPLX}{primitiveElement} \\
+\cross{MCMPLX}{primeFrobenius} &
+\cross{MCMPLX}{primitive?} \\
+\cross{MCMPLX}{primitiveElement} &
 \cross{MCMPLX}{principalIdeal} &
 \cross{MCMPLX}{random} \\
 \cross{MCMPLX}{rank} &
-\cross{MCMPLX}{rational} \\
-\cross{MCMPLX}{rational?} &
-\cross{MCMPLX}{rationalIfCan} \\
+\cross{MCMPLX}{rational} &
+\cross{MCMPLX}{rational?} \\
+\cross{MCMPLX}{rationalIfCan} &
 \cross{MCMPLX}{real} &
 \cross{MCMPLX}{recip} \\
 \cross{MCMPLX}{reduce} &
-\cross{MCMPLX}{reducedSystem} \\
-\cross{MCMPLX}{regularRepresentation} &
-\cross{MCMPLX}{representationType} \\
+\cross{MCMPLX}{reducedSystem} &
+\cross{MCMPLX}{regularRepresentation} \\
+\cross{MCMPLX}{representationType} &
 \cross{MCMPLX}{represents} &
 \cross{MCMPLX}{retract} \\
 \cross{MCMPLX}{retractIfCan} &
-\cross{MCMPLX}{sample} \\
-\cross{MCMPLX}{sec} &
-\cross{MCMPLX}{sech} \\
+\cross{MCMPLX}{sample} &
+\cross{MCMPLX}{sec} \\
+\cross{MCMPLX}{sech} &
 \cross{MCMPLX}{sin} &
 \cross{MCMPLX}{sinh} \\
 \cross{MCMPLX}{size} &
-\cross{MCMPLX}{sizeLess?} \\
 \cross{MCMPLX}{solveLinearPolynomialEquation} &
-\cross{MCMPLX}{sqrt} \\
+\cross{MCMPLX}{sizeLess?} \\
+\cross{MCMPLX}{sqrt} &
 \cross{MCMPLX}{squareFree} &
 \cross{MCMPLX}{squareFreePart} \\
 \cross{MCMPLX}{squareFreePolynomial} &
-\cross{MCMPLX}{subtractIfCan} \\
 \cross{MCMPLX}{tableForDiscreteLogarithm} &
-\cross{MCMPLX}{tan} \\
+\cross{MCMPLX}{subtractIfCan} \\
+\cross{MCMPLX}{tan} &
 \cross{MCMPLX}{tanh} &
 \cross{MCMPLX}{trace} \\
 \cross{MCMPLX}{traceMatrix} &
-\cross{MCMPLX}{traceMatrix} \\
-\cross{MCMPLX}{unit?} &
-\cross{MCMPLX}{unitCanonical} \\
+\cross{MCMPLX}{traceMatrix} &
+\cross{MCMPLX}{unit?} \\
+\cross{MCMPLX}{unitCanonical} &
 \cross{MCMPLX}{unitNormal} &
 \cross{MCMPLX}{zero?} \\
 \cross{MCMPLX}{?*?} &
-\cross{MCMPLX}{?**?} \\
-\cross{MCMPLX}{?+?} &
-\cross{MCMPLX}{?-?} \\
+\cross{MCMPLX}{?**?} &
+\cross{MCMPLX}{?+?} \\
+\cross{MCMPLX}{?-?} &
 \cross{MCMPLX}{-?} &
 \cross{MCMPLX}{?$<$?} \\
 \cross{MCMPLX}{?$<=$?} &
-\cross{MCMPLX}{?=?} \\
-\cross{MCMPLX}{?$>$?} &
-\cross{MCMPLX}{?$>=$?} \\
+\cross{MCMPLX}{?=?} &
+\cross{MCMPLX}{?$>$?} \\
+\cross{MCMPLX}{?$>=$?} &
 \cross{MCMPLX}{?\^{}?} &
 \cross{MCMPLX}{?\~{}=?} \\
 \cross{MCMPLX}{?/?} &
-\cross{MCMPLX}{?.?} \\
-\cross{MCMPLX}{?quo?} &
-\cross{MCMPLX}{?rem?} 
+\cross{MCMPLX}{?.?} &
+\cross{MCMPLX}{?quo?} \\
+\cross{MCMPLX}{?rem?} &&
 \end{tabular}
 
 <<domain MCMPLX MachineComplex>>=
@@ -55060,7 +55114,7 @@ o )show Magma
 ++ Description:
 ++ This type is the basic representation of 
 ++ parenthesized words (binary trees over arbitrary symbols)
-++ useful in \spadtype{LiePolynomial}. \newline Author: Michel Petitot (petitot@lifl.fr).
+++ useful in \spadtype{LiePolynomial}. 
 
 Magma(VarSet:OrderedSet):Public == Private where
    WORD ==> OrderedFreeMonoid(VarSet)
@@ -55070,7 +55124,8 @@ Magma(VarSet:OrderedSet):Public == Private where
       "*"           : ($,$) -> $
         ++ \axiom{x*y} returns the tree \axiom{[x,y]}.
       coerce        : $ -> WORD
-        ++ \axiom{coerce(x)} returns the element of \axiomType{OrderedFreeMonoid}(VarSet) 
+        ++ \axiom{coerce(x)} returns the element of 
+        ++\axiomType{OrderedFreeMonoid}(VarSet) 
         ++ corresponding to \axiom{x} by removing parentheses.
       first         : $ -> VarSet
         ++ \axiom{first(x)} returns the first entry of the tree \axiom{x}.
@@ -55086,7 +55141,8 @@ Magma(VarSet:OrderedSet):Public == Private where
         ++ its arguments. Thus this is not a total ordering.
       mirror        : $ -> $
         ++ \axiom{mirror(x)} returns the reversed word of \axiom{x}. 
-        ++ That is \axiom{x} itself if \axiomOpFrom{retractable?}{Magma}(\axiom{x}) is true and
+        ++ That is \axiom{x} itself if 
+        ++ \axiomOpFrom{retractable?}{Magma}(\axiom{x}) is true and
         ++ \axiom{mirror(z) * mirror(y)} if \axiom{x} is \axiom{y*z}.
       rest          : $ -> $
         ++ \axiom{rest(x)} return \axiom{x} without the first entry or 
@@ -57529,7 +57585,8 @@ MonoidRing(R: Ring, M: Monoid): MRcategory == MRdefinition where
           ++ coefficient(f,m) extracts the coefficient of m in f with respect
           ++ to the canonical basis M.
         coerce:   List Term -> %
-          ++ coerce(lt) converts a list of terms and coefficients to a member of the domain.
+          ++ coerce(lt) converts a list of terms and 
+          ++ coefficients to a member of the domain.
         terms       : % -> List Term
           ++ terms(f) gives the list of non-zero coefficients combined
           ++ with their corresponding basis element as records.
@@ -58583,88 +58640,88 @@ o )show MultivariatePolynomial
 \pageto{IndexedExponents}{INDE}
 
 {\bf Exports:}\\
-\begin{tabular}{llll}
+\begin{tabular}{lll}
 \cross{MPOLY}{0} &
 \cross{MPOLY}{1} &
-\cross{MPOLY}{associates?} &
-\cross{MPOLY}{binomThmExpt} \\
+\cross{MPOLY}{associates?} \\
+\cross{MPOLY}{binomThmExpt} &
 \cross{MPOLY}{characteristic} &
-\cross{MPOLY}{charthRoot} &
+\cross{MPOLY}{charthRoot} \\
 \cross{MPOLY}{coefficient} &
-\cross{MPOLY}{coefficients} \\
-\cross{MPOLY}{coerce} &
+\cross{MPOLY}{coefficients} &
+\cross{MPOLY}{coerce} \\
 \cross{MPOLY}{conditionP} &
 \cross{MPOLY}{content} &
 \cross{MPOLY}{convert} \\
 \cross{MPOLY}{D} &
 \cross{MPOLY}{degree} &
-\cross{MPOLY}{differentiate} &
-\cross{MPOLY}{discriminant} \\
+\cross{MPOLY}{differentiate} \\
+\cross{MPOLY}{discriminant} &
 \cross{MPOLY}{eval} &
-\cross{MPOLY}{exquo} &
+\cross{MPOLY}{exquo} \\
 \cross{MPOLY}{factor} &
-\cross{MPOLY}{factorPolynomial} \\
-\cross{MPOLY}{factorSquareFreePolynomial} &
+\cross{MPOLY}{factorPolynomial} &
+\cross{MPOLY}{factorSquareFreePolynomial} \\
 \cross{MPOLY}{gcd} &
 \cross{MPOLY}{gcdPolynomial} &
 \cross{MPOLY}{ground} \\
 \cross{MPOLY}{ground?} &
 \cross{MPOLY}{hash} &
-\cross{MPOLY}{isExpt} &
-\cross{MPOLY}{isPlus} \\
+\cross{MPOLY}{isExpt} \\
+\cross{MPOLY}{isPlus} &
 \cross{MPOLY}{isTimes} &
-\cross{MPOLY}{latex} &
+\cross{MPOLY}{latex} \\
 \cross{MPOLY}{lcm} &
-\cross{MPOLY}{leadingCoefficient} \\
-\cross{MPOLY}{leadingMonomial} &
+\cross{MPOLY}{leadingCoefficient} &
+\cross{MPOLY}{leadingMonomial} \\
 \cross{MPOLY}{mainVariable} &
 \cross{MPOLY}{map} &
 \cross{MPOLY}{mapExponents} \\
 \cross{MPOLY}{max} &
 \cross{MPOLY}{min} &
-\cross{MPOLY}{minimumDegree} &
-\cross{MPOLY}{monicDivide} \\
+\cross{MPOLY}{minimumDegree} \\
+\cross{MPOLY}{monicDivide} &
 \cross{MPOLY}{monomial} &
-\cross{MPOLY}{monomial?} &
+\cross{MPOLY}{monomial?} \\
 \cross{MPOLY}{monomials} &
-\cross{MPOLY}{multivariate} \\
-\cross{MPOLY}{numberOfMonomials} &
+\cross{MPOLY}{multivariate} &
+\cross{MPOLY}{numberOfMonomials} \\
 \cross{MPOLY}{one?} &
 \cross{MPOLY}{patternMatch} &
 \cross{MPOLY}{pomopo!} \\
 \cross{MPOLY}{prime?} &
 \cross{MPOLY}{primitivePart} &
-\cross{MPOLY}{primitiveMonomials} &
-\cross{MPOLY}{recip} \\
+\cross{MPOLY}{primitiveMonomials} \\
+\cross{MPOLY}{recip} &
 \cross{MPOLY}{reducedSystem} &
-\cross{MPOLY}{reductum} &
+\cross{MPOLY}{reductum} \\
 \cross{MPOLY}{resultant} &
-\cross{MPOLY}{retract} \\
-\cross{MPOLY}{retractIfCan} &
+\cross{MPOLY}{retract} &
+\cross{MPOLY}{retractIfCan} \\
 \cross{MPOLY}{sample} &
 \cross{MPOLY}{solveLinearPolynomialEquation} &
 \cross{MPOLY}{squareFree} \\
 \cross{MPOLY}{squareFreePart} &
 \cross{MPOLY}{squareFreePolynomial} &
-\cross{MPOLY}{subtractIfCan} &
-\cross{MPOLY}{totalDegree} \\
+\cross{MPOLY}{subtractIfCan} \\
+\cross{MPOLY}{totalDegree} &
 \cross{MPOLY}{unit?} &
-\cross{MPOLY}{unitCanonical} &
+\cross{MPOLY}{unitCanonical} \\
 \cross{MPOLY}{unitNormal} &
-\cross{MPOLY}{univariate} \\
-\cross{MPOLY}{variables} &
+\cross{MPOLY}{univariate} &
+\cross{MPOLY}{variables} \\
 \cross{MPOLY}{zero?} &
 \cross{MPOLY}{?*?} &
 \cross{MPOLY}{?**?} \\
 \cross{MPOLY}{?+?} &
 \cross{MPOLY}{?-?} &
-\cross{MPOLY}{-?} &
-\cross{MPOLY}{?=?} \\
+\cross{MPOLY}{-?} \\
+\cross{MPOLY}{?=?} &
 \cross{MPOLY}{?\^{}?} &
-\cross{MPOLY}{?\~{}=?} &
+\cross{MPOLY}{?\~{}=?} \\
 \cross{MPOLY}{?/?} &
-\cross{MPOLY}{?$<$?} \\
-\cross{MPOLY}{?$<=$?} &
+\cross{MPOLY}{?$<$?} &
+\cross{MPOLY}{?$<=$?} \\
 \cross{MPOLY}{?$>$?} &
 \cross{MPOLY}{?$>=$?} &
 \end{tabular}
@@ -59072,9 +59129,9 @@ by means of triangular sets.
 \cross{NSMP}{factorSquareFreePolynomial} &
 \cross{NSMP}{gcd} &
 \cross{NSMP}{gcdPolynomial} \\
+\cross{NSMP}{halfExtendedSubResultantGcd1} &
 \cross{NSMP}{ground} &
-\cross{NSMP}{ground?} &
-\cross{NSMP}{halfExtendedSubResultantGcd1} \\
+\cross{NSMP}{ground?} \\
 \cross{NSMP}{halfExtendedSubResultantGcd2} &
 \cross{NSMP}{hash} &
 \cross{NSMP}{head} \\
@@ -59129,9 +59186,9 @@ by means of triangular sets.
 \cross{NSMP}{patternMatch} &
 \cross{NSMP}{pomopo!} &
 \cross{NSMP}{pquo} \\
-\cross{NSMP}{prem} &
+\cross{NSMP}{primPartElseUnitCanonical!} &
 \cross{NSMP}{primPartElseUnitCanonical} &
-\cross{NSMP}{primPartElseUnitCanonical!} \\
+\cross{NSMP}{prem} \\
 \cross{NSMP}{prime?} &
 \cross{NSMP}{primitiveMonomials} &
 \cross{NSMP}{primitivePart} \\
@@ -59596,134 +59653,134 @@ constructur {\bf SparseUnivariatePolynomial}.
 \pageto{NewSparseMultivariatePolynomial}{NSMP}
 
 {\bf Exports:}\\
-\begin{tabular}{ll}
+\begin{tabular}{lll}
 \cross{NSUP}{0} &
-\cross{NSUP}{1} \\
-\cross{NSUP}{associates?} &
-\cross{NSUP}{binomThmExpt} \\
+\cross{NSUP}{1} &
+\cross{NSUP}{associates?} \\
+\cross{NSUP}{binomThmExpt} &
 \cross{NSUP}{characteristic} &
 \cross{NSUP}{charthRoot} \\
 \cross{NSUP}{coefficient} &
-\cross{NSUP}{coefficients} \\
-\cross{NSUP}{coerce} &
-\cross{NSUP}{composite} \\
+\cross{NSUP}{coefficients} &
+\cross{NSUP}{coerce} \\
+\cross{NSUP}{composite} &
 \cross{NSUP}{conditionP} &
 \cross{NSUP}{content} \\
 \cross{NSUP}{convert} &
-\cross{NSUP}{D} \\
-\cross{NSUP}{degree} &
-\cross{NSUP}{differentiate} \\
+\cross{NSUP}{D} &
+\cross{NSUP}{degree} \\
+\cross{NSUP}{differentiate} &
 \cross{NSUP}{discriminant} &
 \cross{NSUP}{divide} \\
 \cross{NSUP}{divideExponents} &
-\cross{NSUP}{elt} \\
-\cross{NSUP}{euclideanSize} &
-\cross{NSUP}{eval} \\
+\cross{NSUP}{elt} &
+\cross{NSUP}{euclideanSize} \\
+\cross{NSUP}{eval} &
 \cross{NSUP}{expressIdealMember} &
 \cross{NSUP}{exquo} \\
 \cross{NSUP}{extendedEuclidean} &
-\cross{NSUP}{extendedResultant} \\
-\cross{NSUP}{extendedSubResultantGcd} &
-\cross{NSUP}{factor} \\
+\cross{NSUP}{extendedResultant} &
+\cross{NSUP}{extendedSubResultantGcd} \\
+\cross{NSUP}{factor} &
 \cross{NSUP}{factorPolynomial} &
 \cross{NSUP}{factorSquareFreePolynomial} \\
 \cross{NSUP}{fmecg} &
-\cross{NSUP}{gcd} \\
-\cross{NSUP}{gcdPolynomial} &
-\cross{NSUP}{ground} \\
+\cross{NSUP}{gcd} &
+\cross{NSUP}{gcdPolynomial} \\
+\cross{NSUP}{ground} &
 \cross{NSUP}{ground?} &
 \cross{NSUP}{halfExtendedResultant1} \\
 \cross{NSUP}{halfExtendedResultant2} &
-\cross{NSUP}{halfExtendedSubResultantGcd1} \\
-\cross{NSUP}{halfExtendedSubResultantGcd2} &
-\cross{NSUP}{hash} \\
+\cross{NSUP}{halfExtendedSubResultantGcd1} &
+\cross{NSUP}{halfExtendedSubResultantGcd2} \\
+\cross{NSUP}{hash} &
 \cross{NSUP}{init} &
 \cross{NSUP}{integrate} \\
 \cross{NSUP}{isExpt} &
-\cross{NSUP}{isPlus} \\
-\cross{NSUP}{isTimes} &
-\cross{NSUP}{karatsubaDivide} \\
+\cross{NSUP}{isPlus} &
+\cross{NSUP}{isTimes} \\
+\cross{NSUP}{karatsubaDivide} &
 \cross{NSUP}{lastSubResultant} &
 \cross{NSUP}{latex} \\
 \cross{NSUP}{lazyPseudoDivide} &
-\cross{NSUP}{lazyPseudoQuotient} \\
-\cross{NSUP}{lazyPseudoRemainder} &
-\cross{NSUP}{lazyResidueClass} \\
+\cross{NSUP}{lazyPseudoQuotient} &
+\cross{NSUP}{lazyPseudoRemainder} \\
+\cross{NSUP}{lazyResidueClass} &
 \cross{NSUP}{lcm} &
 \cross{NSUP}{leadingCoefficient} \\
 \cross{NSUP}{leadingMonomial} &
-\cross{NSUP}{mainVariable} \\
-\cross{NSUP}{makeSUP} &
-\cross{NSUP}{map} \\
+\cross{NSUP}{mainVariable} &
+\cross{NSUP}{makeSUP} \\
+\cross{NSUP}{map} &
 \cross{NSUP}{mapExponents} &
 \cross{NSUP}{max} \\
 \cross{NSUP}{min} &
-\cross{NSUP}{minimumDegree} \\
-\cross{NSUP}{monicDivide} &
-\cross{NSUP}{monicModulo} \\
+\cross{NSUP}{minimumDegree} &
+\cross{NSUP}{monicDivide} \\
+\cross{NSUP}{monicModulo} &
 \cross{NSUP}{monomial} &
 \cross{NSUP}{monomial?} \\
 \cross{NSUP}{monomials} &
-\cross{NSUP}{multiEuclidean} \\
-\cross{NSUP}{multiplyExponents} &
-\cross{NSUP}{multivariate} \\
+\cross{NSUP}{multiEuclidean} &
+\cross{NSUP}{multiplyExponents} \\
+\cross{NSUP}{multivariate} &
 \cross{NSUP}{nextItem} &
 \cross{NSUP}{numberOfMonomials} \\
 \cross{NSUP}{one?} &
-\cross{NSUP}{order} \\
-\cross{NSUP}{patternMatch} &
-\cross{NSUP}{pomopo!} \\
+\cross{NSUP}{order} &
+\cross{NSUP}{patternMatch} \\
+\cross{NSUP}{pomopo!} &
 \cross{NSUP}{prime?} &
 \cross{NSUP}{primitiveMonomials} \\
 \cross{NSUP}{primitivePart} &
-\cross{NSUP}{principalIdeal} \\
-\cross{NSUP}{pseudoDivide} &
-\cross{NSUP}{pseudoQuotient} \\
+\cross{NSUP}{principalIdeal} &
+\cross{NSUP}{pseudoDivide} \\
+\cross{NSUP}{pseudoQuotient} &
 \cross{NSUP}{pseudoRemainder} &
 \cross{NSUP}{recip} \\
 \cross{NSUP}{reducedSystem} &
-\cross{NSUP}{reductum} \\
-\cross{NSUP}{resultant} &
-\cross{NSUP}{retract} \\
+\cross{NSUP}{reductum} &
+\cross{NSUP}{resultant} \\
+\cross{NSUP}{retract} &
 \cross{NSUP}{retractIfCan} &
 \cross{NSUP}{sample} \\
 \cross{NSUP}{separate} &
-\cross{NSUP}{shiftLeft} \\
-\cross{NSUP}{shiftRight} &
-\cross{NSUP}{sizeLess?} \\
+\cross{NSUP}{shiftLeft} &
+\cross{NSUP}{shiftRight} \\
+\cross{NSUP}{sizeLess?} &
 \cross{NSUP}{solveLinearPolynomialEquation} &
 \cross{NSUP}{squareFree} \\
 \cross{NSUP}{squareFreePart} &
-\cross{NSUP}{squareFreePolynomial} \\
-\cross{NSUP}{subResultantGcd} &
-\cross{NSUP}{subResultantsChain} \\
+\cross{NSUP}{squareFreePolynomial} &
+\cross{NSUP}{subResultantGcd} \\
+\cross{NSUP}{subResultantsChain} &
 \cross{NSUP}{subtractIfCan} &
 \cross{NSUP}{totalDegree} \\
 \cross{NSUP}{totalDegree} &
-\cross{NSUP}{unit?} \\
-\cross{NSUP}{unitCanonical} &
-\cross{NSUP}{unitNormal} \\
+\cross{NSUP}{unit?} &
+\cross{NSUP}{unitCanonical} \\
+\cross{NSUP}{unitNormal} &
 \cross{NSUP}{univariate} &
 \cross{NSUP}{unmakeSUP} \\
 \cross{NSUP}{variables} &
-\cross{NSUP}{vectorise} \\
-\cross{NSUP}{zero?} &
-\cross{NSUP}{?*?} \\
+\cross{NSUP}{vectorise} &
+\cross{NSUP}{zero?} \\
+\cross{NSUP}{?*?} &
 \cross{NSUP}{?**?} &
 \cross{NSUP}{?+?} \\
 \cross{NSUP}{?-?} &
-\cross{NSUP}{-?} \\
-\cross{NSUP}{?=?} &
-\cross{NSUP}{?\^{}?} \\
+\cross{NSUP}{-?} &
+\cross{NSUP}{?=?} \\
+\cross{NSUP}{?\^{}?} &
 \cross{NSUP}{?.?} &
 \cross{NSUP}{?\~{}=?} \\
 \cross{NSUP}{?/?} &
-\cross{NSUP}{?$<$?} \\
-\cross{NSUP}{?$<=$?} &
-\cross{NSUP}{?$>$?} \\
+\cross{NSUP}{?$<$?} &
+\cross{NSUP}{?$<=$?} \\
+\cross{NSUP}{?$>$?} &
 \cross{NSUP}{?$>=$?} &
 \cross{NSUP}{?quo?} \\
-\cross{NSUP}{?rem?} &
+\cross{NSUP}{?rem?} &&
 \end{tabular}
 
 <<domain NSUP NewSparseUnivariatePolynomial>>=
@@ -61024,6 +61081,7 @@ ODEIntensityFunctionsTable(): E == I where
 @
 <<ODEIFTBL.dotabb>>=
 "ODEIFTBL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ODEIFTBL"]
+"Domain" [color="#88FF44"]
 "ODEIFTBL" -> "Domain"
 
 @
@@ -61460,13 +61518,13 @@ OnePointCompletion(R:SetCategory): Exports == Implementation where
 \pageto{OpenMathDevice}{OMDEV}
 
 {\bf Exports:}\\
-\begin{tabular}{llllll}
+\begin{tabular}{llll}
 \cross{OMCONN}{OMbindTCP} &
 \cross{OMCONN}{OMcloseConn} &
 \cross{OMCONN}{OMconnectTCP} &
-\cross{OMCONN}{OMconnInDevice} &
+\cross{OMCONN}{OMconnInDevice} \\
 \cross{OMCONN}{OMconnOutDevice} &
-\cross{OMCONN}{OMmakeConn} 
+\cross{OMCONN}{OMmakeConn} &&
 \end{tabular}
 
 <<domain OMCONN OpenMathConnection>>=
@@ -61508,6 +61566,7 @@ OpenMathConnection(): with
 @
 <<OMCONN.dotabb>>=
 "OMCONN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OMCONN"]
+"Domain" [color="#88FF44"]
 "OMCONN" -> "Domain"
 
 @
@@ -61520,23 +61579,23 @@ OpenMathConnection(): with
 \pageto{OpenMathConnection}{OMCONN}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
 \cross{OMDEV}{OMclose} &
 \cross{OMDEV}{OMgetApp} &
 \cross{OMDEV}{OMgetAtp} &
-\cross{OMDEV}{OMgetAttr} &
-\cross{OMDEV}{OMgetBVar} \\
+\cross{OMDEV}{OMgetAttr} \\
+\cross{OMDEV}{OMgetBVar} &
 \cross{OMDEV}{OMgetBind} &
 \cross{OMDEV}{OMgetEndApp} &
-\cross{OMDEV}{OMgetEndAtp} &
+\cross{OMDEV}{OMgetEndAtp} \\
 \cross{OMDEV}{OMgetEndAttr} &
-\cross{OMDEV}{OMgetEndBVar} \\
+\cross{OMDEV}{OMgetEndBVar} &
 \cross{OMDEV}{OMgetEndBind} &
-\cross{OMDEV}{OMgetEndError} &
+\cross{OMDEV}{OMgetEndError} \\
 \cross{OMDEV}{OMgetEndObject} &
 \cross{OMDEV}{OMgetError} &
-\cross{OMDEV}{OMgetFloat} \\
-\cross{OMDEV}{OMgetInteger} &
+\cross{OMDEV}{OMgetFloat} &
+\cross{OMDEV}{OMgetInteger} \\
 \cross{OMDEV}{OMgetObject} &
 \cross{OMDEV}{OMgetString} &
 \cross{OMDEV}{OMgetType} &
@@ -61544,26 +61603,26 @@ OpenMathConnection(): with
 \cross{OMDEV}{OMputApp} &
 \cross{OMDEV}{OMputAtp} &
 \cross{OMDEV}{OMputAttr} &
-\cross{OMDEV}{OMputBVar} &
-\cross{OMDEV}{OMputBind} \\
+\cross{OMDEV}{OMputBVar} \\
+\cross{OMDEV}{OMputBind} &
 \cross{OMDEV}{OMputEndApp} &
 \cross{OMDEV}{OMputEndAtp} &
-\cross{OMDEV}{OMputEndAttr} &
+\cross{OMDEV}{OMputEndAttr} \\
 \cross{OMDEV}{OMputEndBVar} &
-\cross{OMDEV}{OMputEndBind} \\
+\cross{OMDEV}{OMputEndBind} &
 \cross{OMDEV}{OMputEndError} &
-\cross{OMDEV}{OMputEndObject} &
+\cross{OMDEV}{OMputEndObject} \\
 \cross{OMDEV}{OMputError} &
 \cross{OMDEV}{OMputObject} &
-\cross{OMDEV}{OMputString} \\
-\cross{OMDEV}{OMgetSymbol} &
+\cross{OMDEV}{OMputString} &
+\cross{OMDEV}{OMgetSymbol} \\
 \cross{OMDEV}{OMopenFile} &
 \cross{OMDEV}{OMopenString} &
 \cross{OMDEV}{OMputFloat} &
 \cross{OMDEV}{OMputInteger} \\
 \cross{OMDEV}{OMputSymbol} &
 \cross{OMDEV}{OMputVariable} &
-\cross{OMDEV}{OMsetEncoding} &&
+\cross{OMDEV}{OMsetEncoding} &
 \end{tabular}
 
 <<domain OMDEV OpenMathDevice>>=
@@ -61734,6 +61793,7 @@ OpenMathDevice(): with
 @
 <<OMDEV.dotabb>>=
 "OMDEV" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OMDEV"]
+"Domain" [color="#88FF44"]
 "OMDEV" -> "Domain"
 
 @
@@ -61746,16 +61806,16 @@ OpenMathDevice(): with
 \pageto{OpenMathConnection}{OMCONN}
 
 {\bf Exports:}\\
-\begin{tabular}{lllllllll}
+\begin{tabular}{lllll}
 \cross{OMENC}{coerce} &
 \cross{OMENC}{hash} &
 \cross{OMENC}{latex} &
 \cross{OMENC}{OMencodingBinary} &
-\cross{OMENC}{OMencodingSGML} &
+\cross{OMENC}{OMencodingSGML} \\
 \cross{OMENC}{OMencodingUnknown} &
 \cross{OMENC}{OMencodingXML} &
 \cross{OMENC}{?=?} &
-\cross{OMENC}{?\~{}=?} 
+\cross{OMENC}{?\~{}=?} &
 \end{tabular}
 
 <<domain OMENC OpenMathEncoding>>=
@@ -61818,12 +61878,12 @@ OpenMathEncoding(): SetCategory with
 \pageto{OpenMathErrorKind}{OMERRK}
 
 {\bf Exports:}\\
-\begin{tabular}{llllllll}
+\begin{tabular}{lllll}
 \cross{OMERR}{coerce} &
 \cross{OMERR}{errorInfo} &
 \cross{OMERR}{errorKind} &
 \cross{OMERR}{hash} &
-\cross{OMERR}{latex} &
+\cross{OMERR}{latex} \\
 \cross{OMERR}{omError} &
 \cross{OMERR}{?=?} &
 \cross{OMERR}{?~=?} 
@@ -64826,23 +64886,23 @@ OutputForm(): SetCategory with
 \pageto{BalancedPAdicRational}{BPADICRT}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
 \cross{PADIC}{0} &
 \cross{PADIC}{1} &
 \cross{PADIC}{approximate} &
-\cross{PADIC}{associates?} &
-\cross{PADIC}{characteristic} \\
+\cross{PADIC}{associates?} \\
+\cross{PADIC}{characteristic} &
 \cross{PADIC}{coerce} &
 \cross{PADIC}{complete} &
-\cross{PADIC}{digits} &
+\cross{PADIC}{digits} \\
 \cross{PADIC}{divide} &
-\cross{PADIC}{euclideanSize} \\
+\cross{PADIC}{euclideanSize} &
 \cross{PADIC}{expressIdealMember} &
-\cross{PADIC}{exquo} &
+\cross{PADIC}{exquo} \\
 \cross{PADIC}{extend} &
 \cross{PADIC}{extendedEuclidean} &
-\cross{PADIC}{gcd} \\
-\cross{PADIC}{gcdPolynomial} &
+\cross{PADIC}{gcd} &
+\cross{PADIC}{gcdPolynomial} \\
 \cross{PADIC}{hash} &
 \cross{PADIC}{latex} &
 \cross{PADIC}{lcm} &
@@ -64850,19 +64910,19 @@ OutputForm(): SetCategory with
 \cross{PADIC}{moduloP} &
 \cross{PADIC}{modulus} &
 \cross{PADIC}{multiEuclidean} &
-\cross{PADIC}{one?} &
-\cross{PADIC}{order} \\
+\cross{PADIC}{one?} \\
+\cross{PADIC}{order} &
 \cross{PADIC}{principalIdeal} &
 \cross{PADIC}{quotientByP} &
-\cross{PADIC}{recip} &
+\cross{PADIC}{recip} \\
 \cross{PADIC}{root} &
-\cross{PADIC}{sample} \\
+\cross{PADIC}{sample} &
 \cross{PADIC}{sizeLess?} &
-\cross{PADIC}{sqrt} &
+\cross{PADIC}{sqrt} \\
 \cross{PADIC}{subtractIfCan} &
 \cross{PADIC}{unit?} &
-\cross{PADIC}{unitCanonical} \\
-\cross{PADIC}{unitNormal} &
+\cross{PADIC}{unitCanonical} &
+\cross{PADIC}{unitNormal} \\
 \cross{PADIC}{zero?} &
 \cross{PADIC}{?*?} &
 \cross{PADIC}{?**?} &
@@ -64870,10 +64930,10 @@ OutputForm(): SetCategory with
 \cross{PADIC}{?-?} &
 \cross{PADIC}{-?} &
 \cross{PADIC}{?=?} &
-\cross{PADIC}{?\^{}?} &
-\cross{PADIC}{?\~{}=?} \\
+\cross{PADIC}{?\^{}?} \\
+\cross{PADIC}{?\~{}=?} &
 \cross{PADIC}{?quo?} &
-\cross{PADIC}{?rem?} &&&
+\cross{PADIC}{?rem?} &
 \end{tabular}
 
 <<domain PADIC PAdicInteger>>=
@@ -65035,88 +65095,88 @@ PAdicRational(p:Integer) == PAdicRationalConstructor(p,PAdicInteger p)
 \pageto{BalancedPAdicRational}{BPADICRT}
 
 {\bf Exports:}\\
-\begin{tabular}{llll}
+\begin{tabular}{lll}
 \cross{PADICRC}{0} &
 \cross{PADICRC}{1} &
-\cross{PADICRC}{abs} &
-\cross{PADICRC}{approximate} \\
+\cross{PADICRC}{abs} \\
+\cross{PADICRC}{approximate} &
 \cross{PADICRC}{associates?} &
-\cross{PADICRC}{ceiling} &
+\cross{PADICRC}{ceiling} \\
 \cross{PADICRC}{characteristic} &
-\cross{PADICRC}{charthRoot} \\
-\cross{PADICRC}{coerce} &
+\cross{PADICRC}{charthRoot} &
+\cross{PADICRC}{coerce} \\
 \cross{PADICRC}{conditionP} &
 \cross{PADICRC}{continuedFraction} &
 \cross{PADICRC}{convert} \\
 \cross{PADICRC}{D} &
 \cross{PADICRC}{denom} &
-\cross{PADICRC}{denominator} &
-\cross{PADICRC}{differentiate} \\
+\cross{PADICRC}{denominator} \\
+\cross{PADICRC}{differentiate} &
 \cross{PADICRC}{divide} &
-\cross{PADICRC}{euclideanSize} &
+\cross{PADICRC}{euclideanSize} \\
 \cross{PADICRC}{eval} &
-\cross{PADICRC}{expressIdealMember} \\
-\cross{PADICRC}{exquo} &
+\cross{PADICRC}{expressIdealMember} &
+\cross{PADICRC}{exquo} \\
 \cross{PADICRC}{extendedEuclidean} &
 \cross{PADICRC}{factor} &
 \cross{PADICRC}{factorPolynomial} \\
 \cross{PADICRC}{factorSquareFreePolynomial} &
 \cross{PADICRC}{floor} &
-\cross{PADICRC}{fractionPart} &
-\cross{PADICRC}{gcd} \\
-\cross{PADICRC}{gcdPolynomial} &
+\cross{PADICRC}{fractionPart} \\
 \cross{PADICRC}{gcd} &
+\cross{PADICRC}{gcdPolynomial} &
+\cross{PADICRC}{gcd} \\
 \cross{PADICRC}{hash} &
-\cross{PADICRC}{init} \\
-\cross{PADICRC}{inv} &
+\cross{PADICRC}{init} &
+\cross{PADICRC}{inv} \\
 \cross{PADICRC}{latex} &
 \cross{PADICRC}{lcm} &
 \cross{PADICRC}{map} \\
 \cross{PADICRC}{max} &
 \cross{PADICRC}{min} &
-\cross{PADICRC}{multiEuclidean} &
-\cross{PADICRC}{negative?} \\
+\cross{PADICRC}{multiEuclidean} \\
+\cross{PADICRC}{negative?} &
 \cross{PADICRC}{nextItem} &
-\cross{PADICRC}{numer} &
+\cross{PADICRC}{numer} \\
 \cross{PADICRC}{numerator} &
-\cross{PADICRC}{one?} \\
-\cross{PADICRC}{patternMatch} &
+\cross{PADICRC}{one?} &
+\cross{PADICRC}{patternMatch} \\
 \cross{PADICRC}{positive?} &
 \cross{PADICRC}{prime?} &
 \cross{PADICRC}{principalIdeal} \\
 \cross{PADICRC}{random} &
 \cross{PADICRC}{recip} &
-\cross{PADICRC}{reducedSystem} &
-\cross{PADICRC}{removeZeroes} \\
+\cross{PADICRC}{reducedSystem} \\
+\cross{PADICRC}{removeZeroes} &
 \cross{PADICRC}{retract} &
-\cross{PADICRC}{retractIfCan} &
+\cross{PADICRC}{retractIfCan} \\
 \cross{PADICRC}{sample} &
-\cross{PADICRC}{sign} \\
-\cross{PADICRC}{sizeLess?} &
+\cross{PADICRC}{sign} &
+\cross{PADICRC}{sizeLess?} \\
 \cross{PADICRC}{solveLinearPolynomialEquation} &
 \cross{PADICRC}{squareFree} &
 \cross{PADICRC}{squareFreePart} \\
 \cross{PADICRC}{squareFreePolynomial} &
 \cross{PADICRC}{subtractIfCan} &
-\cross{PADICRC}{unit?} &
-\cross{PADICRC}{unitCanonical} \\
+\cross{PADICRC}{unit?} \\
+\cross{PADICRC}{unitCanonical} &
 \cross{PADICRC}{unitNormal} &
-\cross{PADICRC}{wholePart} &
+\cross{PADICRC}{wholePart} \\
 \cross{PADICRC}{zero?} &
-\cross{PADICRC}{?*?} \\
-\cross{PADICRC}{?**?} &
+\cross{PADICRC}{?*?} &
+\cross{PADICRC}{?**?} \\
 \cross{PADICRC}{?+?} &
 \cross{PADICRC}{?-?} &
 \cross{PADICRC}{-?} \\
 \cross{PADICRC}{?/?} &
 \cross{PADICRC}{?=?} &
-\cross{PADICRC}{?\^{}?} &
-\cross{PADICRC}{?\~{}=?} \\
+\cross{PADICRC}{?\^{}?} \\
+\cross{PADICRC}{?\~{}=?} &
 \cross{PADICRC}{?$<$?} &
-\cross{PADICRC}{?$<=$?} &
+\cross{PADICRC}{?$<=$?} \\
 \cross{PADICRC}{?$>$?} &
-\cross{PADICRC}{?$>=$?} \\
-\cross{PADICRC}{?.?} &
+\cross{PADICRC}{?$>=$?} &
+\cross{PADICRC}{?.?} \\
 \cross{PADICRC}{?quo?} &
 \cross{PADICRC}{?rem?} &
 \end{tabular}
@@ -81186,6 +81246,25 @@ Ruleset(Base, R, F): Exports == Implementation where
 \section{domain FORMULA ScriptFormulaFormat}
 \pagehead{ScriptFormulaFormat}{FORMULA}
 \pagepic{ps/v103scriptformulaformat.ps}{FORMULA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FORMULA}{coerce} &
+\cross{FORMULA}{display} &
+\cross{FORMULA}{epilogue} &
+\cross{FORMULA}{formula} &
+\cross{FORMULA}{hash} \\
+\cross{FORMULA}{latex} &
+\cross{FORMULA}{new} &
+\cross{FORMULA}{prologue} &
+\cross{FORMULA}{convert} &
+\cross{FORMULA}{setEpilogue!} \\
+\cross{FORMULA}{setFormula!} &
+\cross{FORMULA}{setPrologue!} &
+\cross{FORMULA}{?=?} &
+\cross{FORMULA}{?\~{}=?} &
+\end{tabular}
+
 <<domain FORMULA ScriptFormulaFormat>>=
 )abbrev domain FORMULA ScriptFormulaFormat
 ++ Author: Robert S. Sutor
@@ -81796,6 +81875,27 @@ o )show Segment
 {\bf See}\\
 \pageto{SegmentBinding}{SEGBIND}
 \pageto{UniversalSegment}{UNISEG}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SEG}{BY} &
+\cross{SEG}{coerce} &
+\cross{SEG}{convert} &
+\cross{SEG}{expand} &
+\cross{SEG}{hash} \\
+\cross{SEG}{hi} &
+\cross{SEG}{high} &
+\cross{SEG}{incr} &
+\cross{SEG}{latex} &
+\cross{SEG}{lo} \\
+\cross{SEG}{low} &
+\cross{SEG}{map} &
+\cross{SEG}{segment} &
+\cross{SEG}{?=?} &
+\cross{SEG}{?\~{}=?} \\
+\cross{SEG}{?..?} &&&&
+\end{tabular}
+
 <<domain SEG Segment>>=
 )abbrev domain SEG Segment
 ++ Author:  Stephen M. Watt
@@ -81997,6 +82097,19 @@ o )show SegmentBinding
 {\bf See}\\
 \pageto{Segment}{SEG}
 \pageto{UniversalSegment}{UNISEG}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SEGBIND}{coerce} &
+\cross{SEGBIND}{equation} &
+\cross{SEGBIND}{hash} &
+\cross{SEGBIND}{latex} &
+\cross{SEGBIND}{segment} \\
+\cross{SEGBIND}{variable} &
+\cross{SEGBIND}{?=?} &
+\cross{SEGBIND}{?\~{}=?} &&
+\end{tabular}
+
 <<domain SEGBIND SegmentBinding>>=
 )abbrev domain SEGBIND SegmentBinding
 ++ Author:
@@ -82358,6 +82471,65 @@ o )show Set
 @
 \pagehead{Set}{SET}
 \pagepic{ps/v103set.ps}{SET}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SET}{any?} &
+\cross{SET}{bag} &
+\cross{SET}{brace} &
+\cross{SET}{cardinality} &
+\cross{SET}{coerce} \\
+\cross{SET}{complement} &
+\cross{SET}{construct} &
+\cross{SET}{convert} &
+\cross{SET}{copy} &
+\cross{SET}{count} \\
+\cross{SET}{dictionary} &
+\cross{SET}{difference} &
+\cross{SET}{empty} &
+\cross{SET}{empty?} &
+\cross{SET}{eq?} \\
+\cross{SET}{eval} &
+\cross{SET}{every?} &
+\cross{SET}{extract!} &
+\cross{SET}{find} &
+\cross{SET}{hash} \\
+\cross{SET}{index} &
+\cross{SET}{insert!} &
+\cross{SET}{inspect} &
+\cross{SET}{intersect} &
+\cross{SET}{latex} \\
+\cross{SET}{less?} &
+\cross{SET}{lookup} &
+\cross{SET}{map} &
+\cross{SET}{map!} &
+\cross{SET}{max} \\
+\cross{SET}{member?} &
+\cross{SET}{members} &
+\cross{SET}{min} &
+\cross{SET}{more?} &
+\cross{SET}{parts} \\
+\cross{SET}{random} &
+\cross{SET}{reduce} &
+\cross{SET}{remove} &
+\cross{SET}{remove!} &
+\cross{SET}{removeDuplicates} \\
+\cross{SET}{sample} &
+\cross{SET}{select} &
+\cross{SET}{select!} &
+\cross{SET}{set} &
+\cross{SET}{size} \\
+\cross{SET}{size?} &
+\cross{SET}{subset?} &
+\cross{SET}{symmetricDifference} &
+\cross{SET}{union} &
+\cross{SET}{universe} \\
+\cross{SET}{\#{}?} &
+\cross{SET}{?\~{}=?} &
+\cross{SET}{?$<$?} &
+\cross{SET}{?=?} &
+\end{tabular}
+
 <<domain SET Set>>=
 )abbrev domain SET Set
 ++ Author: Michael Monagan; revised by Richard Jenks
@@ -82546,6 +82718,27 @@ Set(S:SetCategory): FiniteSetAggregate S == add
 \section{domain SETMN SetOfMIntegersInOneToN}
 \pagehead{SetOfMIntegersInOneToN}{SETMN}
 \pagepic{ps/v103setofmintegersinoneton.ps}{SETMN}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SETMN}{coerce} &
+\cross{SETMN}{delta} &
+\cross{SETMN}{elements} &
+\cross{SETMN}{enumerate} &
+\cross{SETMN}{hash} \\
+\cross{SETMN}{incrementKthElement} &
+\cross{SETMN}{index} &
+\cross{SETMN}{latex} &
+\cross{SETMN}{lookup} &
+\cross{SETMN}{member?} \\
+\cross{SETMN}{random} &
+\cross{SETMN}{replaceKthElement} &
+\cross{SETMN}{setOfMinN} &
+\cross{SETMN}{size} &
+\cross{SETMN}{?=?} \\
+\cross{SETMN}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain SETMN SetOfMIntegersInOneToN>>=
 )abbrev domain SETMN SetOfMIntegersInOneToN
 ++ Author: Manuel Bronstein
@@ -82707,6 +82900,103 @@ SetOfMIntegersInOneToN(m, n): Exports == Implementation where
 \pageto{SequentialDifferentialVariable}{SDVAR}
 \pageto{DifferentialSparseMultivariatePolynomial}{DSMP}
 \pageto{OrderlyDifferentialPolynomial}{ODPOL}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{SDPOL}{0} &
+\cross{SDPOL}{1} &
+\cross{SDPOL}{associates?} \\
+\cross{SDPOL}{binomThmExpt} &
+\cross{SDPOL}{characteristic} &
+\cross{SDPOL}{charthRoot} \\
+\cross{SDPOL}{coefficient} &
+\cross{SDPOL}{coefficients} &
+\cross{SDPOL}{coerce} \\
+\cross{SDPOL}{conditionP} &
+\cross{SDPOL}{content} &
+\cross{SDPOL}{convert} \\
+\cross{SDPOL}{D} &
+\cross{SDPOL}{degree} &
+\cross{SDPOL}{differentialVariables} \\
+\cross{SDPOL}{differentiate} &
+\cross{SDPOL}{discriminant} &
+\cross{SDPOL}{eval} \\
+\cross{SDPOL}{exquo} &
+\cross{SDPOL}{factor} &
+\cross{SDPOL}{factorPolynomial} \\
+\cross{SDPOL}{factorSquareFreePolynomial} &
+\cross{SDPOL}{gcd} &
+\cross{SDPOL}{gcdPolynomial} \\
+\cross{SDPOL}{ground} &
+\cross{SDPOL}{ground?} &
+\cross{SDPOL}{hash} \\
+\cross{SDPOL}{initial} &
+\cross{SDPOL}{isExpt} &
+\cross{SDPOL}{isobaric?} \\
+\cross{SDPOL}{isPlus} &
+\cross{SDPOL}{isTimes} &
+\cross{SDPOL}{latex} \\
+\cross{SDPOL}{lcm} &
+\cross{SDPOL}{leader} &
+\cross{SDPOL}{leadingCoefficient} \\
+\cross{SDPOL}{leadingMonomial} &
+\cross{SDPOL}{mainVariable} &
+\cross{SDPOL}{makeVariable} \\
+\cross{SDPOL}{map} &
+\cross{SDPOL}{mapExponents} &
+\cross{SDPOL}{max} \\
+\cross{SDPOL}{min} &
+\cross{SDPOL}{minimumDegree} &
+\cross{SDPOL}{monicDivide} \\
+\cross{SDPOL}{monomial} &
+\cross{SDPOL}{monomial?} &
+\cross{SDPOL}{monomials} \\
+\cross{SDPOL}{multivariate} &
+\cross{SDPOL}{numberOfMonomials} &
+\cross{SDPOL}{one?} \\
+\cross{SDPOL}{order} &
+\cross{SDPOL}{patternMatch} &
+\cross{SDPOL}{pomopo!} \\
+\cross{SDPOL}{prime?} &
+\cross{SDPOL}{primitiveMonomials} &
+\cross{SDPOL}{primitivePart} \\
+\cross{SDPOL}{recip} &
+\cross{SDPOL}{reducedSystem} &
+\cross{SDPOL}{reductum} \\
+\cross{SDPOL}{resultant} &
+\cross{SDPOL}{retract} &
+\cross{SDPOL}{retractIfCan} \\
+\cross{SDPOL}{sample} &
+\cross{SDPOL}{separant} &
+\cross{SDPOL}{solveLinearPolynomialEquation} \\
+\cross{SDPOL}{squareFree} &
+\cross{SDPOL}{squareFreePart} &
+\cross{SDPOL}{squareFreePolynomial} \\
+\cross{SDPOL}{subtractIfCan} &
+\cross{SDPOL}{totalDegree} &
+\cross{SDPOL}{unit?} \\
+\cross{SDPOL}{unitCanonical} &
+\cross{SDPOL}{unitNormal} &
+\cross{SDPOL}{univariate} \\
+\cross{SDPOL}{variables} &
+\cross{SDPOL}{weight} &
+\cross{SDPOL}{weights} \\
+\cross{SDPOL}{zero?} &
+\cross{SDPOL}{?\^{}?} &
+\cross{SDPOL}{?*?} \\
+\cross{SDPOL}{?**?} &
+\cross{SDPOL}{?+?} &
+\cross{SDPOL}{?-?} \\
+\cross{SDPOL}{-?} &
+\cross{SDPOL}{?=?} &
+\cross{SDPOL}{?\~{}=?} \\
+\cross{SDPOL}{?/?} &
+\cross{SDPOL}{?$<$?} &
+\cross{SDPOL}{?$<=$?} \\
+\cross{SDPOL}{?$>$?} &
+\cross{SDPOL}{?$>=$?} &
+\end{tabular}
+
 <<domain SDPOL SequentialDifferentialPolynomial>>=
 )abbrev domain SDPOL SequentialDifferentialPolynomial
 ++ Author:  William Sit
@@ -82755,6 +83045,29 @@ SequentialDifferentialPolynomial(R):
 \pageto{DifferentialSparseMultivariatePolynomial}{DSMP}
 \pageto{OrderlyDifferentialPolynomial}{ODPOL}
 \pageto{SequentialDifferentialPolynomial}{SDPOL}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SDVAR}{coerce} &
+\cross{SDVAR}{differentiate} &
+\cross{SDVAR}{hash} &
+\cross{SDVAR}{latex} &
+\cross{SDVAR}{makeVariable} \\
+\cross{SDVAR}{max} &
+\cross{SDVAR}{min} &
+\cross{SDVAR}{order} &
+\cross{SDVAR}{retract} &
+\cross{SDVAR}{retractIfCan} \\
+\cross{SDVAR}{variable} &
+\cross{SDVAR}{weight} &
+\cross{SDVAR}{?\~{}=?} &
+\cross{SDVAR}{?$<$?} &
+\cross{SDVAR}{?$<=$?} \\
+\cross{SDVAR}{?=?} &
+\cross{SDVAR}{?$>$?} &
+\cross{SDVAR}{?$>=$?} &&
+\end{tabular}
+
 <<domain SDVAR SequentialDifferentialVariable>>=
 )abbrev domain SDVAR SequentialDifferentialVariable
 ++ Author:  William Sit
@@ -82805,6 +83118,36 @@ SequentialDifferentialVariable(S:OrderedSet):DifferentialVariableCategory(S)
 \pagepic{ps/v103sexpression.ps}{SEX}{1.00}
 {\bf See}\\
 \pageto{SExpressionOf}{SEXOF}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SEX}{atom?} &
+\cross{SEX}{car} &
+\cross{SEX}{cdr} &
+\cross{SEX}{coerce} &
+\cross{SEX}{convert} \\
+\cross{SEX}{destruct} &
+\cross{SEX}{eq} &
+\cross{SEX}{expr} &
+\cross{SEX}{float} &
+\cross{SEX}{float?} \\
+\cross{SEX}{hash} &
+\cross{SEX}{integer} &
+\cross{SEX}{integer?} &
+\cross{SEX}{latex} &
+\cross{SEX}{list?} \\
+\cross{SEX}{null?} &
+\cross{SEX}{pair?} &
+\cross{SEX}{string} &
+\cross{SEX}{string?} &
+\cross{SEX}{symbol} \\
+\cross{SEX}{symbol?} &
+\cross{SEX}{\#{}?} &
+\cross{SEX}{?.?} &
+\cross{SEX}{?=?} &
+\cross{SEX}{?\~{}=?} 
+\end{tabular}
+
 <<domain SEX SExpression>>=
 )abbrev domain SEX SExpression
 ++ Domain for the standard Lisp values
@@ -82829,6 +83172,36 @@ SExpression()
 \pagepic{ps/v103sexpressionof.ps}{SEXOF}{1.00}
 {\bf See}\\
 \pageto{SExpression}{SEX}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SEXOF}{atom?} &
+\cross{SEXOF}{car} &
+\cross{SEXOF}{cdr} &
+\cross{SEXOF}{coerce} &
+\cross{SEXOF}{convert} \\
+\cross{SEXOF}{destruct} &
+\cross{SEXOF}{eq} &
+\cross{SEXOF}{expr} &
+\cross{SEXOF}{float} &
+\cross{SEXOF}{float?} \\
+\cross{SEXOF}{hash} &
+\cross{SEXOF}{integer} &
+\cross{SEXOF}{integer?} &
+\cross{SEXOF}{latex} &
+\cross{SEXOF}{list?} \\
+\cross{SEXOF}{null?} &
+\cross{SEXOF}{pair?} &
+\cross{SEXOF}{string} &
+\cross{SEXOF}{string?} &
+\cross{SEXOF}{symbol} \\
+\cross{SEXOF}{symbol?} &
+\cross{SEXOF}{\#{}?} &
+\cross{SEXOF}{?.?} &
+\cross{SEXOF}{?=?} &
+\cross{SEXOF}{?\~{}=?} 
+\end{tabular}
+
 <<domain SEXOF SExpressionOf>>=
 )abbrev domain SEXOF SExpressionOf
 ++ Domain for Lisp values over arbitrary atomic types
@@ -82910,6 +83283,92 @@ SExpressionOf(Str, Sym, Int, Flt, Expr): Decl == Body where
 \section{domain SAE SimpleAlgebraicExtension}
 \pagehead{SimpleAlgebraicExtension}{SAE}
 \pagepic{ps/v103simplealgebraicextension.ps}{SAE}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{SAE}{0} &
+\cross{SAE}{1} &
+\cross{SAE}{associates?} \\
+\cross{SAE}{basis} &
+\cross{SAE}{characteristic} &
+\cross{SAE}{characteristicPolynomial} \\
+\cross{SAE}{charthRoot} &
+\cross{SAE}{coerce} &
+\cross{SAE}{conditionP} \\
+\cross{SAE}{convert} &
+\cross{SAE}{coordinates} &
+\cross{SAE}{createPrimitiveElement} \\
+\cross{SAE}{D} &
+\cross{SAE}{definingPolynomial} &
+\cross{SAE}{derivationCoordinates} \\
+\cross{SAE}{differentiate} &
+\cross{SAE}{discreteLog} &
+\cross{SAE}{discriminant} \\
+\cross{SAE}{divide} &
+\cross{SAE}{euclideanSize} &
+\cross{SAE}{expressIdealMember} \\
+\cross{SAE}{exquo} &
+\cross{SAE}{extendedEuclidean} &
+\cross{SAE}{factor} \\
+\cross{SAE}{factorsOfCyclicGroupSize} &
+\cross{SAE}{gcd} &
+\cross{SAE}{gcdPolynomial} \\
+\cross{SAE}{generator} &
+\cross{SAE}{hash} &
+\cross{SAE}{index} \\
+\cross{SAE}{init} &
+\cross{SAE}{inv} &
+\cross{SAE}{latex} \\
+\cross{SAE}{lcm} &
+\cross{SAE}{lift} &
+\cross{SAE}{lookup} \\
+\cross{SAE}{minimalPolynomial} &
+\cross{SAE}{multiEuclidean} &
+\cross{SAE}{nextItem} \\
+\cross{SAE}{norm} &
+\cross{SAE}{one?} &
+\cross{SAE}{order} \\
+\cross{SAE}{prime?} &
+\cross{SAE}{primeFrobenius} &
+\cross{SAE}{primitive?} \\
+\cross{SAE}{primitiveElement} &
+\cross{SAE}{principalIdeal} &
+\cross{SAE}{random} \\
+\cross{SAE}{rank} &
+\cross{SAE}{recip} &
+\cross{SAE}{reduce} \\
+\cross{SAE}{reducedSystem} &
+\cross{SAE}{regularRepresentation} &
+\cross{SAE}{representationType} \\
+\cross{SAE}{represents} &
+\cross{SAE}{retract} &
+\cross{SAE}{retractIfCan} \\
+\cross{SAE}{sample} &
+\cross{SAE}{size} &
+\cross{SAE}{sizeLess?} \\
+\cross{SAE}{squareFree} &
+\cross{SAE}{squareFreePart} &
+\cross{SAE}{subtractIfCan} \\
+\cross{SAE}{tableForDiscreteLogarithm} &
+\cross{SAE}{trace} &
+\cross{SAE}{traceMatrix} \\
+\cross{SAE}{unit?} &
+\cross{SAE}{unitCanonical} &
+\cross{SAE}{unitNormal} \\
+\cross{SAE}{zero?} &
+\cross{SAE}{?*?} &
+\cross{SAE}{?**?} \\
+\cross{SAE}{?+?} &
+\cross{SAE}{?-?} &
+\cross{SAE}{-?} \\
+\cross{SAE}{?=?} &
+\cross{SAE}{?\^{}?} &
+\cross{SAE}{?\~{}=?} \\
+\cross{SAE}{?/?} &
+\cross{SAE}{?quo?} &
+\cross{SAE}{?rem?} 
+\end{tabular}
+
 <<domain SAE SimpleAlgebraicExtension>>=
 )abbrev domain SAE SimpleAlgebraicExtension
 ++ Algebraic extension of a ring by a single polynomial
@@ -83108,6 +83567,14 @@ SimpleAlgebraicExtension(R:CommutativeRing,
 \pageto{Switch}{SWITCH}
 \pageto{FortranTemplate}{FTEM}
 \pageto{FortranExpression}{FEXPR}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{SFORT}{coerce} &
+\cross{SFORT}{fortran} &
+\cross{SFORT}{outputAsFortran} 
+\end{tabular}
+
 <<domain SFORT SimpleFortranProgram>>=
 )abbrev domain SFORT SimpleFortranProgram
 -- Because of a bug in the compiler:
@@ -83369,6 +83836,103 @@ o )show SingleInteger
 @
 \pagehead{SingleInteger}{SINT}
 \pagepic{ps/v103singleinteger.ps}{SINT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{SINT}{0} &
+\cross{SINT}{1} &
+\cross{SINT}{abs} &
+\cross{SINT}{addmod} \\
+\cross{SINT}{And} &
+\cross{SINT}{associates?} &
+\cross{SINT}{base} &
+\cross{SINT}{binomial} \\
+\cross{SINT}{bit?} &
+\cross{SINT}{characteristic} &
+\cross{SINT}{coerce} &
+\cross{SINT}{convert} \\
+\cross{SINT}{copy} &
+\cross{SINT}{D} &
+\cross{SINT}{dec} &
+\cross{SINT}{differentiate} \\
+\cross{SINT}{divide} &
+\cross{SINT}{euclideanSize} &
+\cross{SINT}{even?} &
+\cross{SINT}{expressIdealMember} \\
+\cross{SINT}{exquo} &
+\cross{SINT}{extendedEuclidean} &
+\cross{SINT}{factor} &
+\cross{SINT}{factorial} \\
+\cross{SINT}{gcd} &
+\cross{SINT}{gcdPolynomial} &
+\cross{SINT}{hash} &
+\cross{SINT}{inc} \\
+\cross{SINT}{init} &
+\cross{SINT}{invmod} &
+\cross{SINT}{latex} &
+\cross{SINT}{lcm} \\
+\cross{SINT}{length} &
+\cross{SINT}{mask} &
+\cross{SINT}{max} &
+\cross{SINT}{min} \\
+\cross{SINT}{mulmod} &
+\cross{SINT}{multiEuclidean} &
+\cross{SINT}{negative?} &
+\cross{SINT}{nextItem} \\
+\cross{SINT}{Not} &
+\cross{SINT}{not?} &
+\cross{SINT}{odd?} &
+\cross{SINT}{OMwrite} \\
+\cross{SINT}{one?} &
+\cross{SINT}{Or} &
+\cross{SINT}{patternMatch} &
+\cross{SINT}{permutation} \\
+\cross{SINT}{principalIdeal} &
+\cross{SINT}{positive?} &
+\cross{SINT}{positiveRemainder} &
+\cross{SINT}{powmod} \\
+\cross{SINT}{prime?} &
+\cross{SINT}{random} &
+\cross{SINT}{rational} &
+\cross{SINT}{rationalIfCan} \\
+\cross{SINT}{rational?} &
+\cross{SINT}{recip} &
+\cross{SINT}{reducedSystem} &
+\cross{SINT}{retract} \\
+\cross{SINT}{retractIfCan} &
+\cross{SINT}{sample} &
+\cross{SINT}{shift} &
+\cross{SINT}{sign} \\
+\cross{SINT}{sizeLess?} &
+\cross{SINT}{squareFree} &
+\cross{SINT}{squareFreePart} &
+\cross{SINT}{subtractIfCan} \\
+\cross{SINT}{submod} &
+\cross{SINT}{symmetricRemainder} &
+\cross{SINT}{unit?} &
+\cross{SINT}{unitCanonical} \\
+\cross{SINT}{unitNormal} &
+\cross{SINT}{xor} &
+\cross{SINT}{zero?} &
+\cross{SINT}{?*?} \\
+\cross{SINT}{?**?} &
+\cross{SINT}{?+?} &
+\cross{SINT}{?-?} &
+\cross{SINT}{-?} \\
+\cross{SINT}{?/$\backslash{}$?} &
+\cross{SINT}{?$<$?} &
+\cross{SINT}{?$<=$?} &
+\cross{SINT}{?=?} \\
+\cross{SINT}{?$>$?} &
+\cross{SINT}{?$>=$?} &
+\cross{SINT}{?$\backslash{}$/?} &
+\cross{SINT}{?\^{}?} \\
+\cross{SINT}{~?} &
+\cross{SINT}{?\~{}=?} &
+\cross{SINT}{?quo?} &
+\cross{SINT}{?rem?}
+\end{tabular}
+
 <<domain SINT SingleInteger>>=
 )abbrev domain SINT SingleInteger
 
@@ -83579,6 +84143,24 @@ SingleInteger(): Join(IntegerNumberSystem,Logic,OpenMath) with
 \section{domain SAOS SingletonAsOrderedSet}
 \pagehead{SingletonAsOrderedSet}{SAOS}
 \pagepic{ps/v103singletonasorderedset.ps}{SAOS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SAOS}{coerce} &
+\cross{SAOS}{convert} &
+\cross{SAOS}{create} &
+\cross{SAOS}{hash} &
+\cross{SAOS}{latex} \\
+\cross{SAOS}{max} &
+\cross{SAOS}{min} &
+\cross{SAOS}{?\~{}=?} &
+\cross{SAOS}{?$<$?} &
+\cross{SAOS}{?$<=$?} \\
+\cross{SAOS}{?=?} &
+\cross{SAOS}{?$>$?} &
+\cross{SAOS}{?$>=$?} &&
+\end{tabular}
+
 <<domain SAOS SingletonAsOrderedSet>>=
 )abbrev domain SAOS SingletonAsOrderedSet
 ++ This trivial domain lets us build Univariate Polynomials
@@ -83610,6 +84192,94 @@ SingletonAsOrderedSet(): OrderedSet with
 \pageto{Polynomial}{POLY}
 \pageto{MultivariatePolynomial}{MPOLY}
 \pageto{IndexedExponents}{INDE}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{SMP}{0} &
+\cross{SMP}{1} &
+\cross{SMP}{associates?} \\
+\cross{SMP}{binomThmExpt} &
+\cross{SMP}{characteristic} &
+\cross{SMP}{charthRoot} \\
+\cross{SMP}{coefficient} &
+\cross{SMP}{coefficients} &
+\cross{SMP}{coerce} \\
+\cross{SMP}{conditionP} &
+\cross{SMP}{content} &
+\cross{SMP}{convert} \\
+\cross{SMP}{D} &
+\cross{SMP}{degree} &
+\cross{SMP}{differentiate} \\
+\cross{SMP}{discriminant} &
+\cross{SMP}{eval} &
+\cross{SMP}{exquo} \\
+\cross{SMP}{factor} &
+\cross{SMP}{factorPolynomial} &
+\cross{SMP}{factorSquareFreePolynomial} \\
+\cross{SMP}{gcd} &
+\cross{SMP}{gcdPolynomial} &
+\cross{SMP}{ground} \\
+\cross{SMP}{ground?} &
+\cross{SMP}{hash} &
+\cross{SMP}{latex} \\
+\cross{SMP}{isExpt} &
+\cross{SMP}{isPlus} &
+\cross{SMP}{isTimes} \\
+\cross{SMP}{lcm} &
+\cross{SMP}{leadingCoefficient} &
+\cross{SMP}{leadingMonomial} \\
+\cross{SMP}{mainVariable} &
+\cross{SMP}{map} &
+\cross{SMP}{mapExponents} \\
+\cross{SMP}{max} &
+\cross{SMP}{min} &
+\cross{SMP}{minimumDegree} \\
+\cross{SMP}{monicDivide} &
+\cross{SMP}{monomial} &
+\cross{SMP}{monomial?} \\
+\cross{SMP}{monomials} &
+\cross{SMP}{multivariate} &
+\cross{SMP}{numberOfMonomials} \\
+\cross{SMP}{one?} &
+\cross{SMP}{patternMatch} &
+\cross{SMP}{pomopo!} \\
+\cross{SMP}{prime?} &
+\cross{SMP}{primitivePart} &
+\cross{SMP}{primitiveMonomials} \\
+\cross{SMP}{recip} &
+\cross{SMP}{reducedSystem} &
+\cross{SMP}{reductum} \\
+\cross{SMP}{resultant} &
+\cross{SMP}{retract} &
+\cross{SMP}{retractIfCan} \\
+\cross{SMP}{sample} &
+\cross{SMP}{solveLinearPolynomialEquation} &
+\cross{SMP}{squareFree} \\
+\cross{SMP}{squareFreePart} &
+\cross{SMP}{squareFreePolynomial} &
+\cross{SMP}{subtractIfCan} \\
+\cross{SMP}{totalDegree} &
+\cross{SMP}{unit?} &
+\cross{SMP}{unitCanonical} \\
+\cross{SMP}{unitNormal} &
+\cross{SMP}{univariate} &
+\cross{SMP}{variables} \\
+\cross{SMP}{zero?} &
+\cross{SMP}{?*?} &
+\cross{SMP}{?**?} \\
+\cross{SMP}{?+?} &
+\cross{SMP}{?-?} &
+\cross{SMP}{-?} \\
+\cross{SMP}{?=?} &
+\cross{SMP}{?\^{}?} &
+\cross{SMP}{?\~{}=?} \\
+\cross{SMP}{?/?} &
+\cross{SMP}{?$<$?} &
+\cross{SMP}{?$<=$?} \\
+\cross{SMP}{?$>$?} &
+\cross{SMP}{?$>=$?} &
+\end{tabular}
+
 <<domain SMP SparseMultivariatePolynomial>>=
 )abbrev domain SMP SparseMultivariatePolynomial
 ++ Author: Dave Barton, Barry Trager
@@ -84196,6 +84866,85 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
 \pagepic{ps/v103sparsemultivariatetaylorseries.ps}{SMTS}{1.00}
 {\bf See}\\
 \pageto{TaylorSeries}{TS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SMTS}{0} &
+\cross{SMTS}{1} &
+\cross{SMTS}{acos} &
+\cross{SMTS}{acosh} &
+\cross{SMTS}{acot} \\
+\cross{SMTS}{acoth} &
+\cross{SMTS}{acsc} &
+\cross{SMTS}{acsch} &
+\cross{SMTS}{asec} &
+\cross{SMTS}{asech} \\
+\cross{SMTS}{asin} &
+\cross{SMTS}{asinh} &
+\cross{SMTS}{associates?} &
+\cross{SMTS}{atan} &
+\cross{SMTS}{atanh} \\
+\cross{SMTS}{characteristic} &
+\cross{SMTS}{charthRoot} &
+\cross{SMTS}{coefficient} &
+\cross{SMTS}{coerce} &
+\cross{SMTS}{complete} \\
+\cross{SMTS}{cos} &
+\cross{SMTS}{cosh} &
+\cross{SMTS}{cot} &
+\cross{SMTS}{coth} &
+\cross{SMTS}{csc} \\
+\cross{SMTS}{csch} &
+\cross{SMTS}{csubst} &
+\cross{SMTS}{D} &
+\cross{SMTS}{degree} &
+\cross{SMTS}{differentiate} \\
+\cross{SMTS}{eval} &
+\cross{SMTS}{exp} &
+\cross{SMTS}{exquo} &
+\cross{SMTS}{extend} &
+\cross{SMTS}{fintegrate} \\
+\cross{SMTS}{hash} &
+\cross{SMTS}{integrate} &
+\cross{SMTS}{latex} &
+\cross{SMTS}{leadingCoefficient} &
+\cross{SMTS}{leadingMonomial} \\
+\cross{SMTS}{log} &
+\cross{SMTS}{map} &
+\cross{SMTS}{monomial} &
+\cross{SMTS}{monomial?} &
+\cross{SMTS}{nthRoot} \\
+\cross{SMTS}{one?} &
+\cross{SMTS}{order} &
+\cross{SMTS}{pi} &
+\cross{SMTS}{pole?} &
+\cross{SMTS}{polynomial} \\
+\cross{SMTS}{recip} &
+\cross{SMTS}{reductum} &
+\cross{SMTS}{sample} &
+\cross{SMTS}{sec} &
+\cross{SMTS}{sech} \\
+\cross{SMTS}{sin} &
+\cross{SMTS}{sinh} &
+\cross{SMTS}{sqrt} &
+\cross{SMTS}{subtractIfCan} &
+\cross{SMTS}{tan} \\
+\cross{SMTS}{tanh} &
+\cross{SMTS}{unit?} &
+\cross{SMTS}{unitCanonical} &
+\cross{SMTS}{unitNormal} &
+\cross{SMTS}{variables} \\
+\cross{SMTS}{zero?} &
+\cross{SMTS}{?*?} &
+\cross{SMTS}{?**?} &
+\cross{SMTS}{?+?} &
+\cross{SMTS}{?-?} \\
+\cross{SMTS}{-?} &
+\cross{SMTS}{?=?} &
+\cross{SMTS}{?\^{}?} &
+\cross{SMTS}{?\~{}=?} &
+\end{tabular}
+
 <<domain SMTS SparseMultivariateTaylorSeries>>=
 )abbrev domain SMTS SparseMultivariateTaylorSeries
 ++ This domain provides multivariate Taylor series
@@ -84593,6 +85342,66 @@ o )show SparseTable
 \pageto{EqTable}{EQTBL}
 \pageto{StringTable}{STRTBL}
 \pageto{GeneralSparseTable}{GSTBL}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{STBL}{any?} &
+\cross{STBL}{bag} &
+\cross{STBL}{coerce} &
+\cross{STBL}{construct} &
+\cross{STBL}{convert} \\
+\cross{STBL}{copy} &
+\cross{STBL}{count} &
+\cross{STBL}{dictionary} &
+\cross{STBL}{elt} &
+\cross{STBL}{empty} \\
+\cross{STBL}{empty?} &
+\cross{STBL}{entries} &
+\cross{STBL}{entry?} &
+\cross{STBL}{eq?} &
+\cross{STBL}{eval} \\
+\cross{STBL}{every?} &
+\cross{STBL}{extract!} &
+\cross{STBL}{fill!} &
+\cross{STBL}{find} &
+\cross{STBL}{first} \\
+\cross{STBL}{hash} &
+\cross{STBL}{index?} &
+\cross{STBL}{indices} &
+\cross{STBL}{insert!} &
+\cross{STBL}{inspect} \\
+\cross{STBL}{key?} &
+\cross{STBL}{keys} &
+\cross{STBL}{latex} &
+\cross{STBL}{less?} &
+\cross{STBL}{map} \\
+\cross{STBL}{map!} &
+\cross{STBL}{maxIndex} &
+\cross{STBL}{member?} &
+\cross{STBL}{members} &
+\cross{STBL}{minIndex} \\
+\cross{STBL}{more?} &
+\cross{STBL}{parts} &
+\cross{STBL}{qelt} &
+\cross{STBL}{qsetelt!} &
+\cross{STBL}{reduce} \\
+\cross{STBL}{remove} &
+\cross{STBL}{remove!} &
+\cross{STBL}{removeDuplicates} &
+\cross{STBL}{sample} &
+\cross{STBL}{search} \\
+\cross{STBL}{setelt} &
+\cross{STBL}{select} &
+\cross{STBL}{select!} &
+\cross{STBL}{size?} &
+\cross{STBL}{swap!} \\
+\cross{STBL}{table} &
+\cross{STBL}{\#{}?} &
+\cross{STBL}{?=?} &
+\cross{STBL}{?\~{}=?} &
+\cross{STBL}{?.?} 
+\end{tabular}
+
 <<domain STBL SparseTable>>=
 )abbrev domain STBL SparseTable
 ++ Author: Stephen M. Watt
@@ -84623,6 +85432,147 @@ SparseTable(Key:SetCategory, Ent:SetCategory, dent:Ent) ==
 \section{domain SULS SparseUnivariateLaurentSeries}
 \pagehead{SparseUnivariateLaurentSeries}{SULS}
 \pagepic{ps/v103sparseunivariatelaurentseries.ps}{SULS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{SULS}{0} &
+\cross{SULS}{1} &
+\cross{SULS}{abs} \\
+\cross{SULS}{acos} &
+\cross{SULS}{acosh} &
+\cross{SULS}{acot} \\
+\cross{SULS}{acoth} &
+\cross{SULS}{acsc} &
+\cross{SULS}{acsch} \\
+\cross{SULS}{approximate} &
+\cross{SULS}{asec} &
+\cross{SULS}{asech} \\
+\cross{SULS}{asin} &
+\cross{SULS}{asinh} &
+\cross{SULS}{associates?} \\
+\cross{SULS}{atan} &
+\cross{SULS}{atanh} &
+\cross{SULS}{ceiling} \\
+\cross{SULS}{characteristic} &
+\cross{SULS}{charthRoot} &
+\cross{SULS}{center} \\
+\cross{SULS}{coefficient} &
+\cross{SULS}{coerce} &
+\cross{SULS}{complete} \\
+\cross{SULS}{conditionP} &
+\cross{SULS}{convert} &
+\cross{SULS}{cos} \\
+\cross{SULS}{cosh} &
+\cross{SULS}{cot} &
+\cross{SULS}{coth} \\
+\cross{SULS}{csc} &
+\cross{SULS}{csch} &
+\cross{SULS}{D} \\
+\cross{SULS}{degree} &
+\cross{SULS}{denom} &
+\cross{SULS}{denominator} \\
+\cross{SULS}{differentiate} &
+\cross{SULS}{divide} &
+\cross{SULS}{euclideanSize} \\
+\cross{SULS}{eval} &
+\cross{SULS}{exp} &
+\cross{SULS}{expressIdealMember} \\
+\cross{SULS}{exquo} &
+\cross{SULS}{extend} &
+\cross{SULS}{extendedEuclidean} \\
+\cross{SULS}{factor} &
+\cross{SULS}{factorPolynomial} &
+\cross{SULS}{factorSquareFreePolynomial} \\
+\cross{SULS}{floor} &
+\cross{SULS}{fractionPart} &
+\cross{SULS}{gcd} \\
+\cross{SULS}{gcdPolynomial} &
+\cross{SULS}{hash} &
+\cross{SULS}{init} \\
+\cross{SULS}{integrate} &
+\cross{SULS}{inv} &
+\cross{SULS}{latex} \\
+\cross{SULS}{laurent} &
+\cross{SULS}{lcm} &
+\cross{SULS}{leadingCoefficient} \\
+\cross{SULS}{leadingMonomial} &
+\cross{SULS}{log} &
+\cross{SULS}{map} \\
+\cross{SULS}{max} &
+\cross{SULS}{min} &
+\cross{SULS}{monomial} \\
+\cross{SULS}{monomial?} &
+\cross{SULS}{multiEuclidean} &
+\cross{SULS}{multiplyCoefficients} \\
+\cross{SULS}{multiplyExponents} &
+\cross{SULS}{negative?} &
+\cross{SULS}{nextItem} \\
+\cross{SULS}{nthRoot} &
+\cross{SULS}{numer} &
+\cross{SULS}{numerator} \\
+\cross{SULS}{one?} &
+\cross{SULS}{order} &
+\cross{SULS}{patternMatch} \\
+\cross{SULS}{pi} &
+\cross{SULS}{pole?} &
+\cross{SULS}{positive?} \\
+\cross{SULS}{prime?} &
+\cross{SULS}{principalIdeal} &
+\cross{SULS}{random} \\
+\cross{SULS}{rationalFunction} &
+\cross{SULS}{recip} &
+\cross{SULS}{reducedSystem} \\
+\cross{SULS}{reductum} &
+\cross{SULS}{removeZeroes} &
+\cross{SULS}{retract} \\
+\cross{SULS}{retractIfCan} &
+\cross{SULS}{sample} &
+\cross{SULS}{sec} \\
+\cross{SULS}{sech} &
+\cross{SULS}{series} &
+\cross{SULS}{sign} \\
+\cross{SULS}{sin} &
+\cross{SULS}{sinh} &
+\cross{SULS}{sizeLess?} \\
+\cross{SULS}{solveLinearPolynomialEquation} &
+\cross{SULS}{sqrt} &
+\cross{SULS}{squareFree} \\
+\cross{SULS}{squareFreePart} &
+\cross{SULS}{squareFreePolynomial} &
+\cross{SULS}{subtractIfCan} \\
+\cross{SULS}{tan} &
+\cross{SULS}{tanh} &
+\cross{SULS}{taylor} \\
+\cross{SULS}{taylorIfCan} &
+\cross{SULS}{taylorRep} &
+\cross{SULS}{terms} \\
+\cross{SULS}{truncate} &
+\cross{SULS}{unit?} &
+\cross{SULS}{unitCanonical} \\
+\cross{SULS}{unitNormal} &
+\cross{SULS}{variable} &
+\cross{SULS}{variables} \\
+\cross{SULS}{wholePart} &
+\cross{SULS}{zero?} &
+\cross{SULS}{?*?} \\
+\cross{SULS}{?**?} &
+\cross{SULS}{?+?} &
+\cross{SULS}{?-?} \\
+\cross{SULS}{-?} &
+\cross{SULS}{?=?} &
+\cross{SULS}{?\^{}?} \\
+\cross{SULS}{?.?} &
+\cross{SULS}{?\~{}=?} &
+\cross{SULS}{?/?} \\
+\cross{SULS}{?$<$?} &
+\cross{SULS}{?$<=$?} &
+\cross{SULS}{?$>$?} \\
+\cross{SULS}{?$>=$?} &
+\cross{SULS}{?\^{}?} &
+\cross{SULS}{?quo?} \\
+\cross{SULS}{?rem?} &&
+\end{tabular}
+
 <<domain SULS SparseUnivariateLaurentSeries>>=
 )abbrev domain SULS SparseUnivariateLaurentSeries
 ++ Author: Clifton J. Williamson
@@ -84832,6 +85782,127 @@ SparseUnivariateLaurentSeries(Coef,var,cen): Exports == Implementation where
 \pageto{FreeModule}{FM}
 \pageto{PolynomialRing}{PR}
 \pageto{UnivariatePolynomial}{UP}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{SUP}{0} &
+\cross{SUP}{1} \\
+\cross{SUP}{associates?} &
+\cross{SUP}{binomThmExpt} \\
+\cross{SUP}{characteristic} &
+\cross{SUP}{charthRoot} \\
+\cross{SUP}{coefficient} &
+\cross{SUP}{coefficients} \\
+\cross{SUP}{coerce} &
+\cross{SUP}{composite} \\
+\cross{SUP}{conditionP} &
+\cross{SUP}{content} \\
+\cross{SUP}{convert} &
+\cross{SUP}{D} \\
+\cross{SUP}{degree} &
+\cross{SUP}{differentiate} \\
+\cross{SUP}{discriminant} &
+\cross{SUP}{divide} \\
+\cross{SUP}{divideExponents} &
+\cross{SUP}{elt} \\
+\cross{SUP}{euclideanSize} &
+\cross{SUP}{eval} \\
+\cross{SUP}{expressIdealMember} &
+\cross{SUP}{exquo} \\
+\cross{SUP}{extendedEuclidean} &
+\cross{SUP}{factor} \\
+\cross{SUP}{factorPolynomial} &
+\cross{SUP}{factorSquareFreePolynomial} \\
+\cross{SUP}{fmecg} &
+\cross{SUP}{gcd} \\
+\cross{SUP}{gcdPolynomial} &
+\cross{SUP}{ground} \\
+\cross{SUP}{ground?} &
+\cross{SUP}{hash} \\
+\cross{SUP}{init} &
+\cross{SUP}{integrate} \\
+\cross{SUP}{isExpt} &
+\cross{SUP}{isPlus} \\
+\cross{SUP}{isTimes} &
+\cross{SUP}{karatsubaDivide} \\
+\cross{SUP}{latex} &
+\cross{SUP}{lcm} \\
+\cross{SUP}{leadingCoefficient} &
+\cross{SUP}{leadingMonomial} \\
+\cross{SUP}{mainVariable} &
+\cross{SUP}{makeSUP} \\
+\cross{SUP}{map} &
+\cross{SUP}{mapExponents} \\
+\cross{SUP}{max} &
+\cross{SUP}{min} \\
+\cross{SUP}{minimumDegree} &
+\cross{SUP}{monicDivide} \\
+\cross{SUP}{monomial} &
+\cross{SUP}{monomial?} \\
+\cross{SUP}{monomials} &
+\cross{SUP}{multiEuclidean} \\
+\cross{SUP}{multiplyExponents} &
+\cross{SUP}{multivariate} \\
+\cross{SUP}{nextItem} &
+\cross{SUP}{numberOfMonomials} \\
+\cross{SUP}{one?} &
+\cross{SUP}{order} \\
+\cross{SUP}{outputForm} &
+\cross{SUP}{patternMatch} \\
+\cross{SUP}{pomopo!} &
+\cross{SUP}{prime?} \\
+\cross{SUP}{primitiveMonomials} &
+\cross{SUP}{primitivePart} \\
+\cross{SUP}{principalIdeal} &
+\cross{SUP}{pseudoDivide} \\
+\cross{SUP}{pseudoQuotient} &
+\cross{SUP}{pseudoRemainder} \\
+\cross{SUP}{recip} &
+\cross{SUP}{reducedSystem} \\
+\cross{SUP}{reductum} &
+\cross{SUP}{resultant} \\
+\cross{SUP}{retract} &
+\cross{SUP}{retractIfCan} \\
+\cross{SUP}{sample} &
+\cross{SUP}{separate} \\
+\cross{SUP}{shiftLeft} &
+\cross{SUP}{shiftRight} \\
+\cross{SUP}{sizeLess?} &
+\cross{SUP}{solveLinearPolynomialEquation} \\
+\cross{SUP}{squareFree} &
+\cross{SUP}{squareFreePart} \\
+\cross{SUP}{squareFreePolynomial} &
+\cross{SUP}{subResultantGcd} \\
+\cross{SUP}{subtractIfCan} &
+\cross{SUP}{totalDegree} \\
+\cross{SUP}{totalDegree} &
+\cross{SUP}{unit?} \\
+\cross{SUP}{unitCanonical} &
+\cross{SUP}{unitNormal} \\
+\cross{SUP}{univariate} &
+\cross{SUP}{univariate} \\
+\cross{SUP}{unmakeSUP} &
+\cross{SUP}{variables} \\
+\cross{SUP}{vectorise} &
+\cross{SUP}{zero?} \\
+\cross{SUP}{?*?} &
+\cross{SUP}{?**?} \\
+\cross{SUP}{?+?} &
+\cross{SUP}{?-?} \\
+\cross{SUP}{-?} &
+\cross{SUP}{?=?} \\
+\cross{SUP}{?\^{}?} &
+\cross{SUP}{?.?} \\
+\cross{SUP}{?\~{}=?} &
+\cross{SUP}{?/?} \\
+\cross{SUP}{?$<$?} &
+\cross{SUP}{?$<=$?} \\
+\cross{SUP}{?$>$?} &
+\cross{SUP}{?$>=$?} \\
+\cross{SUP}{?quo?} &
+\cross{SUP}{?rem?} 
+\end{tabular}
+
 <<domain SUP SparseUnivariatePolynomial>>=
 )abbrev domain SUP SparseUnivariatePolynomial
 ++ Author: Dave Barton, Barry Trager
@@ -85198,6 +86269,150 @@ unfortunately.
 
 \pagehead{SparseUnivariatePolynomialExpressions}{SUPEXPR}
 \pagepic{ps/v103sparseunivariatepolynomialexpressions.ps}{SUPEXPR}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{SUPEXPR}{0} &
+\cross{SUPEXPR}{1} &
+\cross{SUPEXPR}{acos} \\
+\cross{SUPEXPR}{acosh} &
+\cross{SUPEXPR}{acot} &
+\cross{SUPEXPR}{acoth} \\
+\cross{SUPEXPR}{acsc} &
+\cross{SUPEXPR}{acsch} &
+\cross{SUPEXPR}{asec} \\
+\cross{SUPEXPR}{asech} &
+\cross{SUPEXPR}{asin} &
+\cross{SUPEXPR}{asinh} \\
+\cross{SUPEXPR}{associates?} &
+\cross{SUPEXPR}{atan} &
+\cross{SUPEXPR}{atanh} \\
+\cross{SUPEXPR}{binomThmExpt} &
+\cross{SUPEXPR}{characteristic} &
+\cross{SUPEXPR}{charthRoot} \\
+\cross{SUPEXPR}{coefficient} &
+\cross{SUPEXPR}{coefficients} &
+\cross{SUPEXPR}{coerce} \\
+\cross{SUPEXPR}{composite} &
+\cross{SUPEXPR}{conditionP} &
+\cross{SUPEXPR}{content} \\
+\cross{SUPEXPR}{convert} &
+\cross{SUPEXPR}{cos} &
+\cross{SUPEXPR}{cosh} \\
+\cross{SUPEXPR}{cot} &
+\cross{SUPEXPR}{coth} &
+\cross{SUPEXPR}{csc} \\
+\cross{SUPEXPR}{csch} &
+\cross{SUPEXPR}{D} &
+\cross{SUPEXPR}{degree} \\
+\cross{SUPEXPR}{differentiate} &
+\cross{SUPEXPR}{discriminant} &
+\cross{SUPEXPR}{divide} \\
+\cross{SUPEXPR}{divideExponents} &
+\cross{SUPEXPR}{elt} &
+\cross{SUPEXPR}{euclideanSize} \\
+\cross{SUPEXPR}{eval} &
+\cross{SUPEXPR}{exp} &
+\cross{SUPEXPR}{expressIdealMember} \\
+\cross{SUPEXPR}{exquo} &
+\cross{SUPEXPR}{extendedEuclidean} &
+\cross{SUPEXPR}{factor} \\
+\cross{SUPEXPR}{factorPolynomial} &
+\cross{SUPEXPR}{factorSquareFreePolynomial} &
+\cross{SUPEXPR}{gcd} \\
+\cross{SUPEXPR}{gcdPolynomial} &
+\cross{SUPEXPR}{ground} &
+\cross{SUPEXPR}{ground?} \\
+\cross{SUPEXPR}{hash} &
+\cross{SUPEXPR}{init} &
+\cross{SUPEXPR}{integrate} \\
+\cross{SUPEXPR}{isExpt} &
+\cross{SUPEXPR}{isPlus} &
+\cross{SUPEXPR}{isTimes} \\
+\cross{SUPEXPR}{karatsubaDivide} &
+\cross{SUPEXPR}{latex} &
+\cross{SUPEXPR}{lcm} \\
+\cross{SUPEXPR}{leadingCoefficient} &
+\cross{SUPEXPR}{leadingMonomial} &
+\cross{SUPEXPR}{log} \\
+\cross{SUPEXPR}{mainVariable} &
+\cross{SUPEXPR}{makeSUP} &
+\cross{SUPEXPR}{map} \\
+\cross{SUPEXPR}{mapExponents} &
+\cross{SUPEXPR}{max} &
+\cross{SUPEXPR}{min} \\
+\cross{SUPEXPR}{minimumDegree} &
+\cross{SUPEXPR}{monicDivide} &
+\cross{SUPEXPR}{monomial} \\
+\cross{SUPEXPR}{monomial?} &
+\cross{SUPEXPR}{monomials} &
+\cross{SUPEXPR}{multiEuclidean} \\
+\cross{SUPEXPR}{multiplyExponents} &
+\cross{SUPEXPR}{multivariate} &
+\cross{SUPEXPR}{nextItem} \\
+\cross{SUPEXPR}{numberOfMonomials} &
+\cross{SUPEXPR}{one?} &
+\cross{SUPEXPR}{order} \\
+\cross{SUPEXPR}{patternMatch} &
+\cross{SUPEXPR}{pi} &
+\cross{SUPEXPR}{pomopo!} \\
+\cross{SUPEXPR}{prime?} &
+\cross{SUPEXPR}{primitiveMonomials} &
+\cross{SUPEXPR}{primitivePart} \\
+\cross{SUPEXPR}{principalIdeal} &
+\cross{SUPEXPR}{pseudoDivide} &
+\cross{SUPEXPR}{pseudoQuotient} \\
+\cross{SUPEXPR}{pseudoRemainder} &
+\cross{SUPEXPR}{recip} &
+\cross{SUPEXPR}{reducedSystem} \\
+\cross{SUPEXPR}{reductum} &
+\cross{SUPEXPR}{resultant} &
+\cross{SUPEXPR}{retract} \\
+\cross{SUPEXPR}{retractIfCan} &
+\cross{SUPEXPR}{sample} &
+\cross{SUPEXPR}{sec} \\
+\cross{SUPEXPR}{sech} &
+\cross{SUPEXPR}{separate} &
+\cross{SUPEXPR}{shiftLeft} \\
+\cross{SUPEXPR}{shiftRight} &
+\cross{SUPEXPR}{sin} &
+\cross{SUPEXPR}{sinh} \\
+\cross{SUPEXPR}{sizeLess?} &
+\cross{SUPEXPR}{solveLinearPolynomialEquation} &
+\cross{SUPEXPR}{squareFree} \\
+\cross{SUPEXPR}{squareFreePart} &
+\cross{SUPEXPR}{squareFreePolynomial} &
+\cross{SUPEXPR}{subResultantGcd} \\
+\cross{SUPEXPR}{subtractIfCan} &
+\cross{SUPEXPR}{tan} &
+\cross{SUPEXPR}{tanh} \\
+\cross{SUPEXPR}{totalDegree} &
+\cross{SUPEXPR}{unit?} &
+\cross{SUPEXPR}{unitCanonical} \\
+\cross{SUPEXPR}{unitNormal} &
+\cross{SUPEXPR}{univariate} &
+\cross{SUPEXPR}{unmakeSUP} \\
+\cross{SUPEXPR}{variables} &
+\cross{SUPEXPR}{vectorise} &
+\cross{SUPEXPR}{zero?} \\
+\cross{SUPEXPR}{?*?} &
+\cross{SUPEXPR}{?**?} &
+\cross{SUPEXPR}{?+?} \\
+\cross{SUPEXPR}{?-?} &
+\cross{SUPEXPR}{-?} &
+\cross{SUPEXPR}{?=?} \\
+\cross{SUPEXPR}{?\^{}?} &
+\cross{SUPEXPR}{?.?} &
+\cross{SUPEXPR}{?\~{}=?} \\
+\cross{SUPEXPR}{?/?} &
+\cross{SUPEXPR}{?$<$?} &
+\cross{SUPEXPR}{?$<=$?} \\
+\cross{SUPEXPR}{?$>$?} &
+\cross{SUPEXPR}{?$>=$?} &
+\cross{SUPEXPR}{?quo?} \\
+\cross{SUPEXPR}{?rem?} &&
+\end{tabular}
+
 <<domain SUPEXPR SparseUnivariatePolynomialExpressions>>=
 )abb domain SUPEXPR SparseUnivariatePolynomialExpressions
 SparseUnivariatePolynomialExpressions(R: Ring): Exports == Implementation where
@@ -85246,6 +86461,115 @@ SparseUnivariatePolynomialExpressions(R: Ring): Exports == Implementation where
 \section{domain SUPXS SparseUnivariatePuiseuxSeries}
 \pagehead{SparseUnivariatePuiseuxSeries}{SUPXS}
 \pagepic{ps/v103sparseunivariatepuiseuxseries.ps}{SUPXS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{SUPXS}{0} &
+\cross{SUPXS}{1} &
+\cross{SUPXS}{acos} &
+\cross{SUPXS}{acosh} \\
+\cross{SUPXS}{acot} &
+\cross{SUPXS}{acoth} &
+\cross{SUPXS}{acsc} &
+\cross{SUPXS}{acsch} \\
+\cross{SUPXS}{approximate} &
+\cross{SUPXS}{asec} &
+\cross{SUPXS}{asech} &
+\cross{SUPXS}{asin} \\
+\cross{SUPXS}{asinh} &
+\cross{SUPXS}{associates?} &
+\cross{SUPXS}{atan} &
+\cross{SUPXS}{atanh} \\
+\cross{SUPXS}{characteristic} &
+\cross{SUPXS}{charthRoot} &
+\cross{SUPXS}{center} &
+\cross{SUPXS}{coefficient} \\
+\cross{SUPXS}{coerce} &
+\cross{SUPXS}{complete} &
+\cross{SUPXS}{cos} &
+\cross{SUPXS}{cosh} \\
+\cross{SUPXS}{cot} &
+\cross{SUPXS}{coth} &
+\cross{SUPXS}{csc} &
+\cross{SUPXS}{csch} \\
+\cross{SUPXS}{D} &
+\cross{SUPXS}{degree} &
+\cross{SUPXS}{differentiate} &
+\cross{SUPXS}{divide} \\
+\cross{SUPXS}{euclideanSize} &
+\cross{SUPXS}{eval} &
+\cross{SUPXS}{exp} &
+\cross{SUPXS}{expressIdealMember} \\
+\cross{SUPXS}{exquo} &
+\cross{SUPXS}{extend} &
+\cross{SUPXS}{extendedEuclidean} &
+\cross{SUPXS}{factor} \\
+\cross{SUPXS}{gcd} &
+\cross{SUPXS}{gcdPolynomial} &
+\cross{SUPXS}{hash} &
+\cross{SUPXS}{integrate} \\
+\cross{SUPXS}{inv} &
+\cross{SUPXS}{latex} &
+\cross{SUPXS}{laurent} &
+\cross{SUPXS}{laurentIfCan} \\
+\cross{SUPXS}{laurentRep} &
+\cross{SUPXS}{lcm} &
+\cross{SUPXS}{leadingCoefficient} &
+\cross{SUPXS}{leadingMonomial} \\
+\cross{SUPXS}{log} &
+\cross{SUPXS}{map} &
+\cross{SUPXS}{monomial} &
+\cross{SUPXS}{monomial?} \\
+\cross{SUPXS}{multiEuclidean} &
+\cross{SUPXS}{multiplyExponents} &
+\cross{SUPXS}{nthRoot} &
+\cross{SUPXS}{one?} \\
+\cross{SUPXS}{order} &
+\cross{SUPXS}{pi} &
+\cross{SUPXS}{pole?} &
+\cross{SUPXS}{prime?} \\
+\cross{SUPXS}{principalIdeal} &
+\cross{SUPXS}{puiseux} &
+\cross{SUPXS}{rationalPower} &
+\cross{SUPXS}{recip} \\
+\cross{SUPXS}{reductum} &
+\cross{SUPXS}{retract} &
+\cross{SUPXS}{retractIfCan} &
+\cross{SUPXS}{sample} \\
+\cross{SUPXS}{sec} &
+\cross{SUPXS}{sech} &
+\cross{SUPXS}{series} &
+\cross{SUPXS}{sin} \\
+\cross{SUPXS}{sinh} &
+\cross{SUPXS}{sizeLess?} &
+\cross{SUPXS}{sqrt} &
+\cross{SUPXS}{squareFree} \\
+\cross{SUPXS}{squareFreePart} &
+\cross{SUPXS}{subtractIfCan} &
+\cross{SUPXS}{tan} &
+\cross{SUPXS}{tanh} \\
+\cross{SUPXS}{terms} &
+\cross{SUPXS}{truncate} &
+\cross{SUPXS}{unit?} &
+\cross{SUPXS}{unitCanonical} \\
+\cross{SUPXS}{unitNormal} &
+\cross{SUPXS}{variable} &
+\cross{SUPXS}{variables} &
+\cross{SUPXS}{zero?} \\
+\cross{SUPXS}{?.?} &
+\cross{SUPXS}{?*?} &
+\cross{SUPXS}{?**?} &
+\cross{SUPXS}{?+?} \\
+\cross{SUPXS}{?-?} &
+\cross{SUPXS}{-?} &
+\cross{SUPXS}{?=?} &
+\cross{SUPXS}{?\^{}?} \\
+\cross{SUPXS}{?\~{}=?} &
+\cross{SUPXS}{?/?} &
+\cross{SUPXS}{?quo?} &
+\cross{SUPXS}{?rem?} 
+\end{tabular}
+
 <<domain SUPXS SparseUnivariatePuiseuxSeries>>=
 )abbrev domain SUPXS SparseUnivariatePuiseuxSeries
 ++ Author: Clifton J. Williamson
@@ -85346,6 +86670,60 @@ SparseUnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
 {\bf See}\\
 \pageto{Automorphism}{AUTOMOR}
 \pageto{UnivariateSkewPolynomial}{OREUP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{ORESUP}{0} &
+\cross{ORESUP}{1} &
+\cross{ORESUP}{apply} &
+\cross{ORESUP}{characteristic} &
+\cross{ORESUP}{coefficient} \\
+\cross{ORESUP}{coefficients} &
+\cross{ORESUP}{coerce} &
+\cross{ORESUP}{content} &
+\cross{ORESUP}{degree} &
+\cross{ORESUP}{exquo} \\
+\cross{ORESUP}{hash} &
+\cross{ORESUP}{latex} &
+\cross{ORESUP}{leadingCoefficient} &
+\cross{ORESUP}{leftDivide} &
+\cross{ORESUP}{leftExactQuotient} \\
+\cross{ORESUP}{leftExtendedGcd} &
+\cross{ORESUP}{leftGcd} &
+\cross{ORESUP}{leftLcm} &
+\cross{ORESUP}{leftQuotient} &
+\cross{ORESUP}{leftRemainder} \\
+\cross{ORESUP}{minimumDegree} &
+\cross{ORESUP}{monicLeftDivide} &
+\cross{ORESUP}{monicRightDivide} &
+\cross{ORESUP}{monomial} &
+\cross{ORESUP}{one?} \\
+\cross{ORESUP}{outputForm} &
+\cross{ORESUP}{primitivePart} &
+\cross{ORESUP}{recip} &
+\cross{ORESUP}{reductum} &
+\cross{ORESUP}{retract} \\
+\cross{ORESUP}{retractIfCan} &
+\cross{ORESUP}{rightDivide} &
+\cross{ORESUP}{rightExactQuotient} &
+\cross{ORESUP}{rightExtendedGcd} &
+\cross{ORESUP}{rightGcd} \\
+\cross{ORESUP}{rightLcm} &
+\cross{ORESUP}{rightQuotient} &
+\cross{ORESUP}{rightRemainder} &
+\cross{ORESUP}{sample} &
+\cross{ORESUP}{subtractIfCan} \\
+\cross{ORESUP}{zero?} &
+\cross{ORESUP}{?*?} &
+\cross{ORESUP}{?**?} &
+\cross{ORESUP}{?+?} &
+\cross{ORESUP}{?-?} \\
+\cross{ORESUP}{-?} &
+\cross{ORESUP}{?=?} &
+\cross{ORESUP}{?\^{}?} &
+\cross{ORESUP}{?\~{}=?} &
+\end{tabular}
+
 <<domain ORESUP SparseUnivariateSkewPolynomial>>=
 )abbrev domain ORESUP SparseUnivariateSkewPolynomial
 ++ Author: Manuel Bronstein
@@ -85385,6 +86763,98 @@ SparseUnivariateSkewPolynomial(R:Ring, sigma:Automorphism R, delta: R -> R):
 \section{domain SUTS SparseUnivariateTaylorSeries}
 \pagehead{SparseUnivariateTaylorSeries}{SUTS}
 \pagepic{ps/v103sparseunivariatetaylorseries.ps}{SUTS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SUTS}{0} &
+\cross{SUTS}{1} &
+\cross{SUTS}{acos} &
+\cross{SUTS}{acosh} &
+\cross{SUTS}{acot} \\
+\cross{SUTS}{acoth} &
+\cross{SUTS}{acsc} &
+\cross{SUTS}{acsch} &
+\cross{SUTS}{approximate} &
+\cross{SUTS}{asec} \\
+\cross{SUTS}{asech} &
+\cross{SUTS}{asin} &
+\cross{SUTS}{asinh} &
+\cross{SUTS}{associates?} &
+\cross{SUTS}{atan} \\
+\cross{SUTS}{atanh} &
+\cross{SUTS}{center} &
+\cross{SUTS}{characteristic} &
+\cross{SUTS}{charthRoot} &
+\cross{SUTS}{coefficient} \\
+\cross{SUTS}{coefficients} &
+\cross{SUTS}{coerce} &
+\cross{SUTS}{complete} &
+\cross{SUTS}{cos} &
+\cross{SUTS}{cosh} \\
+\cross{SUTS}{cot} &
+\cross{SUTS}{coth} &
+\cross{SUTS}{csc} &
+\cross{SUTS}{csch} &
+\cross{SUTS}{D} \\
+\cross{SUTS}{degree} &
+\cross{SUTS}{differentiate} &
+\cross{SUTS}{eval} &
+\cross{SUTS}{exp} &
+\cross{SUTS}{exquo} \\
+\cross{SUTS}{extend} &
+\cross{SUTS}{hash} &
+\cross{SUTS}{integrate} &
+\cross{SUTS}{latex} &
+\cross{SUTS}{leadingCoefficient} \\
+\cross{SUTS}{leadingMonomial} &
+\cross{SUTS}{log} &
+\cross{SUTS}{map} &
+\cross{SUTS}{monomial} &
+\cross{SUTS}{monomial?} \\
+\cross{SUTS}{multiplyCoefficients} &
+\cross{SUTS}{multiplyExponents} &
+\cross{SUTS}{nthRoot} &
+\cross{SUTS}{one?} &
+\cross{SUTS}{order} \\
+\cross{SUTS}{pole?} &
+\cross{SUTS}{pi} &
+\cross{SUTS}{polynomial} &
+\cross{SUTS}{polynomial} &
+\cross{SUTS}{quoByVar} \\
+\cross{SUTS}{recip} &
+\cross{SUTS}{reductum} &
+\cross{SUTS}{sample} &
+\cross{SUTS}{sec} &
+\cross{SUTS}{sech} \\
+\cross{SUTS}{series} &
+\cross{SUTS}{sin} &
+\cross{SUTS}{sinh} &
+\cross{SUTS}{sqrt} &
+\cross{SUTS}{subtractIfCan} \\
+\cross{SUTS}{tan} &
+\cross{SUTS}{tanh} &
+\cross{SUTS}{terms} &
+\cross{SUTS}{truncate} &
+\cross{SUTS}{truncate} \\
+\cross{SUTS}{unit?} &
+\cross{SUTS}{unitCanonical} &
+\cross{SUTS}{unitNormal} &
+\cross{SUTS}{univariatePolynomial} &
+\cross{SUTS}{variable} \\
+\cross{SUTS}{variables} &
+\cross{SUTS}{zero?} &
+\cross{SUTS}{?*?} &
+\cross{SUTS}{?**?} &
+\cross{SUTS}{?+?} \\
+\cross{SUTS}{?-?} &
+\cross{SUTS}{-?} &
+\cross{SUTS}{?=?} &
+\cross{SUTS}{?\^{}?} &
+\cross{SUTS}{?\~{}=?} \\
+\cross{SUTS}{?/?} &
+\cross{SUTS}{?.?} &&&
+\end{tabular}
+
 <<domain SUTS SparseUnivariateTaylorSeries>>=
 )abbrev domain SUTS SparseUnivariateTaylorSeries
 ++ Author: Clifton J. Williamson
@@ -85782,6 +87252,86 @@ SparseUnivariateTaylorSeries(Coef,var,cen): Exports == Implementation where
 {\bf See}\\
 \pageto{OrderedDirectProduct}{ODP}
 \pageto{HomogeneousDirectProduct}{HDP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SHDP}{0} &
+\cross{SHDP}{1} &
+\cross{SHDP}{abs} &
+\cross{SHDP}{any?} &
+\cross{SHDP}{characteristic} \\
+\cross{SHDP}{coerce} &
+\cross{SHDP}{copy} &
+\cross{SHDP}{count} &
+\cross{SHDP}{D} &
+\cross{SHDP}{differentiate} \\
+\cross{SHDP}{dimension} &
+\cross{SHDP}{directProduct} &
+\cross{SHDP}{dot} &
+\cross{SHDP}{elt} &
+\cross{SHDP}{empty} \\
+\cross{SHDP}{empty?} &
+\cross{SHDP}{entries} &
+\cross{SHDP}{entry?} &
+\cross{SHDP}{eq?} &
+\cross{SHDP}{eval} \\
+\cross{SHDP}{every?} &
+\cross{SHDP}{fill!} &
+\cross{SHDP}{first} &
+\cross{SHDP}{hash} &
+\cross{SHDP}{index} \\
+\cross{SHDP}{index?} &
+\cross{SHDP}{indices} &
+\cross{SHDP}{latex} &
+\cross{SHDP}{less?} &
+\cross{SHDP}{lookup} \\
+\cross{SHDP}{map} &
+\cross{SHDP}{map!} &
+\cross{SHDP}{max} &
+\cross{SHDP}{maxIndex} &
+\cross{SHDP}{member?} \\
+\cross{SHDP}{members} &
+\cross{SHDP}{min} &
+\cross{SHDP}{minIndex} &
+\cross{SHDP}{more?} &
+\cross{SHDP}{negative?} \\
+\cross{SHDP}{one?} &
+\cross{SHDP}{parts} &
+\cross{SHDP}{positive?} &
+\cross{SHDP}{qelt} &
+\cross{SHDP}{qsetelt!} \\
+\cross{SHDP}{random} &
+\cross{SHDP}{recip} &
+\cross{SHDP}{reducedSystem} &
+\cross{SHDP}{retract} &
+\cross{SHDP}{retractIfCan} \\
+\cross{SHDP}{sample} &
+\cross{SHDP}{setelt} &
+\cross{SHDP}{sign} &
+\cross{SHDP}{size} &
+\cross{SHDP}{size?} \\
+\cross{SHDP}{subtractIfCan} &
+\cross{SHDP}{sup} &
+\cross{SHDP}{swap!} &
+\cross{SHDP}{unitVector} &
+\cross{SHDP}{zero?} \\
+\cross{SHDP}{\#{}?} &
+\cross{SHDP}{?*?} &
+\cross{SHDP}{?**?} &
+\cross{SHDP}{?+?} &
+\cross{SHDP}{?-?} \\
+\cross{SHDP}{?/?} &
+\cross{SHDP}{?$<$?} &
+\cross{SHDP}{?$<=$?} &
+\cross{SHDP}{?=?} &
+\cross{SHDP}{?$>$?} \\
+\cross{SHDP}{?$>=$?} &
+\cross{SHDP}{?\^{}?} &
+\cross{SHDP}{?\~{}=?} &
+\cross{SHDP}{-?} &
+\cross{SHDP}{?.?} 
+\end{tabular}
+
 <<domain SHDP SplitHomogeneousDirectProduct>>=
 )abbrev domain SHDP SplitHomogeneousDirectProduct
 ++ Author:
@@ -85843,6 +87393,29 @@ SplitHomogeneousDirectProduct(dimtot,dim1,S) : T == C where
 \pagepic{ps/v103splittingnode.ps}{SPLNODE}{1.00}
 {\bf See}\\
 \pageto{SplittingNode}{SPLNODE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SPLNODE}{coerce} &
+\cross{SPLNODE}{condition} &
+\cross{SPLNODE}{construct} &
+\cross{SPLNODE}{copy} &
+\cross{SPLNODE}{empty} \\
+\cross{SPLNODE}{empty?} &
+\cross{SPLNODE}{hash} &
+\cross{SPLNODE}{infLex?} &
+\cross{SPLNODE}{latex} &
+\cross{SPLNODE}{setCondition!} \\
+\cross{SPLNODE}{setEmpty!} &
+\cross{SPLNODE}{setStatus!} &
+\cross{SPLNODE}{setValue!} &
+\cross{SPLNODE}{status} &
+\cross{SPLNODE}{subNode?} \\
+\cross{SPLNODE}{value} &
+\cross{SPLNODE}{?=?} &
+\cross{SPLNODE}{?\~{}=?} &&
+\end{tabular}
+
 <<domain SPLNODE SplittingNode>>=
 )abbrev domain SPLNODE SplittingNode
 ++ Author: Marc Moereno Maza
@@ -86010,6 +87583,58 @@ SplittingNode(V,C) : Exports == Implementation where
 \pagepic{ps/v103splittingtree.ps}{SPLTREE}{1.00}
 {\bf See}\\
 \pageto{SplittingTree}{SPLTREE}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{SPLTREE}{any?} &
+\cross{SPLTREE}{child?} &
+\cross{SPLTREE}{children} &
+\cross{SPLTREE}{coerce} \\
+\cross{SPLTREE}{conditions} &
+\cross{SPLTREE}{construct} &
+\cross{SPLTREE}{copy} &
+\cross{SPLTREE}{count} \\
+\cross{SPLTREE}{cyclic?} &
+\cross{SPLTREE}{distance} &
+\cross{SPLTREE}{empty} &
+\cross{SPLTREE}{empty?} \\
+\cross{SPLTREE}{eq?} &
+\cross{SPLTREE}{eval} &
+\cross{SPLTREE}{every?} &
+\cross{SPLTREE}{extractSplittingLeaf} \\
+\cross{SPLTREE}{hash} &
+\cross{SPLTREE}{latex} &
+\cross{SPLTREE}{leaf?} &
+\cross{SPLTREE}{leaves} \\
+\cross{SPLTREE}{less?} &
+\cross{SPLTREE}{map} &
+\cross{SPLTREE}{map!} &
+\cross{SPLTREE}{member?} \\
+\cross{SPLTREE}{members} &
+\cross{SPLTREE}{more?} &
+\cross{SPLTREE}{node?} &
+\cross{SPLTREE}{nodeOf?} \\
+\cross{SPLTREE}{nodes} &
+\cross{SPLTREE}{parts} &
+\cross{SPLTREE}{remove} &
+\cross{SPLTREE}{remove!} \\
+\cross{SPLTREE}{result} &
+\cross{SPLTREE}{sample} &
+\cross{SPLTREE}{setchildren!} &
+\cross{SPLTREE}{setelt} \\
+\cross{SPLTREE}{setvalue!} &
+\cross{SPLTREE}{size?} &
+\cross{SPLTREE}{splitNodeOf!} &
+\cross{SPLTREE}{splitNodeOf!} \\
+\cross{SPLTREE}{subNodeOf?} &
+\cross{SPLTREE}{updateStatus!} &
+\cross{SPLTREE}{value} &
+\cross{SPLTREE}{\#{}?} \\
+\cross{SPLTREE}{?=?} &
+\cross{SPLTREE}{?.value} &
+\cross{SPLTREE}{?\~{}=?} &
+\end{tabular}
+
 <<domain SPLTREE SplittingTree>>=
 )abbrev domain SPLTREE SplittingTree
 ++ Author: Marc Moereno Maza
@@ -86797,6 +88422,104 @@ o )show SquareFreeRegularTriangularSet
 @
 \pagehead{SquareFreeRegularTriangularSet}{SREGSET}
 \pagepic{ps/v103squarefreeregulartriangularset.ps}{SREGSET}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{SREGSET}{algebraic?} &
+\cross{SREGSET}{algebraicCoefficients?} \\
+\cross{SREGSET}{algebraicVariables} &
+\cross{SREGSET}{any?} \\
+\cross{SREGSET}{augment} &
+\cross{SREGSET}{autoReduced?} \\
+\cross{SREGSET}{basicSet} &
+\cross{SREGSET}{coerce} \\
+\cross{SREGSET}{coHeight} &
+\cross{SREGSET}{collect} \\
+\cross{SREGSET}{collectQuasiMonic} &
+\cross{SREGSET}{collectUnder} \\
+\cross{SREGSET}{collectUpper} &
+\cross{SREGSET}{convert} \\
+\cross{SREGSET}{construct} &
+\cross{SREGSET}{copy} \\
+\cross{SREGSET}{count} &
+\cross{SREGSET}{degree} \\
+\cross{SREGSET}{empty} &
+\cross{SREGSET}{empty?} \\
+\cross{SREGSET}{eq?} &
+\cross{SREGSET}{eval} \\
+\cross{SREGSET}{every?} &
+\cross{SREGSET}{extend} \\
+\cross{SREGSET}{extendIfCan} &
+\cross{SREGSET}{find} \\
+\cross{SREGSET}{first} &
+\cross{SREGSET}{hash} \\
+\cross{SREGSET}{headReduce} &
+\cross{SREGSET}{headReduced?} \\
+\cross{SREGSET}{headRemainder} &
+\cross{SREGSET}{infRittWu?} \\
+\cross{SREGSET}{initiallyReduce} &
+\cross{SREGSET}{initiallyReduced?} \\
+\cross{SREGSET}{initials} &
+\cross{SREGSET}{internalAugment} \\
+\cross{SREGSET}{internalZeroSetSplit} &
+\cross{SREGSET}{intersect} \\
+\cross{SREGSET}{invertible?} &
+\cross{SREGSET}{invertibleSet} \\
+\cross{SREGSET}{invertibleElseSplit?} &
+\cross{SREGSET}{last} \\
+\cross{SREGSET}{lastSubResultant} &
+\cross{SREGSET}{lastSubResultantElseSplit} \\
+\cross{SREGSET}{less?} &
+\cross{SREGSET}{latex} \\
+\cross{SREGSET}{mainVariable?} &
+\cross{SREGSET}{mainVariables} \\
+\cross{SREGSET}{map} &
+\cross{SREGSET}{map!} \\
+\cross{SREGSET}{member?} &
+\cross{SREGSET}{members} \\
+\cross{SREGSET}{more?} &
+\cross{SREGSET}{mvar} \\
+\cross{SREGSET}{normalized?} &
+\cross{SREGSET}{parts} \\
+\cross{SREGSET}{preprocess} &
+\cross{SREGSET}{purelyAlgebraic?} \\
+\cross{SREGSET}{purelyAlgebraicLeadingMonomial?} &
+\cross{SREGSET}{purelyTranscendental?} \\
+\cross{SREGSET}{quasiComponent} &
+\cross{SREGSET}{reduce} \\
+\cross{SREGSET}{reduceByQuasiMonic} &
+\cross{SREGSET}{reduced?} \\
+\cross{SREGSET}{remainder} &
+\cross{SREGSET}{remove} \\
+\cross{SREGSET}{removeDuplicates} &
+\cross{SREGSET}{removeZero} \\
+\cross{SREGSET}{rest} &
+\cross{SREGSET}{retract} \\
+\cross{SREGSET}{retractIfCan} &
+\cross{SREGSET}{rewriteIdealWithHeadRemainder} \\
+\cross{SREGSET}{rewriteIdealWithRemainder} &
+\cross{SREGSET}{rewriteSetWithReduction} \\
+\cross{SREGSET}{roughBase?} &
+\cross{SREGSET}{roughEqualIdeals?} \\
+\cross{SREGSET}{roughSubIdeal?} &
+\cross{SREGSET}{roughUnitIdeal?} \\
+\cross{SREGSET}{sample} &
+\cross{SREGSET}{select} \\
+\cross{SREGSET}{size?} &
+\cross{SREGSET}{sort} \\
+\cross{SREGSET}{squareFreePart} &
+\cross{SREGSET}{stronglyReduce} \\
+\cross{SREGSET}{stronglyReduced?} &
+\cross{SREGSET}{triangular?} \\
+\cross{SREGSET}{trivialIdeal?} &
+\cross{SREGSET}{variables} \\
+\cross{SREGSET}{zeroSetSplit} &
+\cross{SREGSET}{zeroSetSplitIntoTriangularSystems} \\
+\cross{SREGSET}{\#{}?} &
+\cross{SREGSET}{?=?} \\
+\cross{SREGSET}{?\~{}=?} &
+\end{tabular}
+
 <<domain SREGSET SquareFreeRegularTriangularSet>>=
 )abbrev domain SREGSET SquareFreeRegularTriangularSet
 ++ Author: Marc Moreno Maza
@@ -87351,6 +89074,85 @@ o )show SquareMatrix
 \pageto{IndexedMatrix}{IMATRIX}
 \pageto{Matrix}{MATRIX}
 \pageto{RectangularMatrix}{RMATRIX}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SQMATRIX}{0} &
+\cross{SQMATRIX}{1} &
+\cross{SQMATRIX}{antisymmetric?} &
+\cross{SQMATRIX}{any?} &
+\cross{SQMATRIX}{characteristic} \\
+\cross{SQMATRIX}{coerce} &
+\cross{SQMATRIX}{column} &
+\cross{SQMATRIX}{convert} &
+\cross{SQMATRIX}{copy} &
+\cross{SQMATRIX}{count} \\
+\cross{SQMATRIX}{D} &
+\cross{SQMATRIX}{determinant} &
+\cross{SQMATRIX}{diagonal} &
+\cross{SQMATRIX}{diagonal?} &
+\cross{SQMATRIX}{diagonalMatrix} \\
+\cross{SQMATRIX}{diagonalProduct} &
+\cross{SQMATRIX}{differentiate} &
+\cross{SQMATRIX}{elt} &
+\cross{SQMATRIX}{empty} &
+\cross{SQMATRIX}{empty?} \\
+\cross{SQMATRIX}{eq?} &
+\cross{SQMATRIX}{eval} &
+\cross{SQMATRIX}{every?} &
+\cross{SQMATRIX}{exquo} &
+\cross{SQMATRIX}{hash} \\
+\cross{SQMATRIX}{inverse} &
+\cross{SQMATRIX}{latex} &
+\cross{SQMATRIX}{less?} &
+\cross{SQMATRIX}{listOfLists} &
+\cross{SQMATRIX}{map} \\
+\cross{SQMATRIX}{map!} &
+\cross{SQMATRIX}{matrix} &
+\cross{SQMATRIX}{maxColIndex} &
+\cross{SQMATRIX}{maxRowIndex} &
+\cross{SQMATRIX}{member?} \\
+\cross{SQMATRIX}{members} &
+\cross{SQMATRIX}{minColIndex} &
+\cross{SQMATRIX}{minordet} &
+\cross{SQMATRIX}{minRowIndex} &
+\cross{SQMATRIX}{more?} \\
+\cross{SQMATRIX}{ncols} &
+\cross{SQMATRIX}{nrows} &
+\cross{SQMATRIX}{nullSpace} &
+\cross{SQMATRIX}{nullity} &
+\cross{SQMATRIX}{one?} \\
+\cross{SQMATRIX}{parts} &
+\cross{SQMATRIX}{qelt} &
+\cross{SQMATRIX}{rank} &
+\cross{SQMATRIX}{recip} &
+\cross{SQMATRIX}{reducedSystem} \\
+\cross{SQMATRIX}{retract} &
+\cross{SQMATRIX}{retractIfCan} &
+\cross{SQMATRIX}{row} &
+\cross{SQMATRIX}{rowEchelon} &
+\cross{SQMATRIX}{sample} \\
+\cross{SQMATRIX}{scalarMatrix} &
+\cross{SQMATRIX}{size?} &
+\cross{SQMATRIX}{square?} &
+\cross{SQMATRIX}{squareMatrix} &
+\cross{SQMATRIX}{subtractIfCan} \\
+\cross{SQMATRIX}{symmetric?} &
+\cross{SQMATRIX}{trace} &
+\cross{SQMATRIX}{transpose} &
+\cross{SQMATRIX}{zero?} &
+\cross{SQMATRIX}{\#{}?} \\
+\cross{SQMATRIX}{?*?} &
+\cross{SQMATRIX}{?**?} &
+\cross{SQMATRIX}{?+?} &
+\cross{SQMATRIX}{?-?} &
+\cross{SQMATRIX}{-?} \\
+\cross{SQMATRIX}{?=?} &
+\cross{SQMATRIX}{?\^{}?} &
+\cross{SQMATRIX}{?\~{}=?} &
+\cross{SQMATRIX}{?/?} &
+\end{tabular}
+
 <<domain SQMATRIX SquareMatrix>>=
 )abbrev domain SQMATRIX SquareMatrix
 ++ Author: Grabmeier, Gschnitzer, Williamson
@@ -87504,6 +89306,43 @@ SquareMatrix(ndim,R): Exports == Implementation where
 \pageto{Queue}{QUEUE}
 \pageto{Dequeue}{DEQUEUE}
 \pageto{Heap}{HEAP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{STACK}{any?} &
+\cross{STACK}{bag} &
+\cross{STACK}{coerce} &
+\cross{STACK}{copy} &
+\cross{STACK}{count} \\
+\cross{STACK}{depth} &
+\cross{STACK}{empty} &
+\cross{STACK}{empty?} &
+\cross{STACK}{eq?} &
+\cross{STACK}{eval} \\
+\cross{STACK}{every?} &
+\cross{STACK}{extract!} &
+\cross{STACK}{hash} &
+\cross{STACK}{insert!} &
+\cross{STACK}{inspect} \\
+\cross{STACK}{latex} &
+\cross{STACK}{less?} &
+\cross{STACK}{map} &
+\cross{STACK}{map!} &
+\cross{STACK}{member?} \\
+\cross{STACK}{members} &
+\cross{STACK}{more?} &
+\cross{STACK}{parts} &
+\cross{STACK}{pop!} &
+\cross{STACK}{push!} \\
+\cross{STACK}{sample} &
+\cross{STACK}{size?} &
+\cross{STACK}{stack} &
+\cross{STACK}{top} &
+\cross{STACK}{\#{}?} \\
+\cross{STACK}{?=?} &
+\cross{STACK}{?\~{}=?} &&&
+\end{tabular}
+
 <<domain STACK Stack>>=
 )abbrev domain STACK Stack
 ++ Author: Michael Monagan and Stephen Watt
@@ -87743,6 +89582,114 @@ o )show Stream
 @
 \pagehead{Stream}{STREAM}
 \pagepic{ps/v103stream.ps}{STREAM}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{STREAM}{any?} &
+\cross{STREAM}{child?} &
+\cross{STREAM}{children} \\
+\cross{STREAM}{coerce} &
+\cross{STREAM}{complete} &
+\cross{STREAM}{concat} \\
+\cross{STREAM}{concat!} &
+\cross{STREAM}{cons} &
+\cross{STREAM}{construct} \\
+\cross{STREAM}{convert} &
+\cross{STREAM}{copy} &
+\cross{STREAM}{count} \\
+\cross{STREAM}{cycleEntry} &
+\cross{STREAM}{cycleLength} &
+\cross{STREAM}{cycleSplit!} \\
+\cross{STREAM}{cycleTail} &
+\cross{STREAM}{cyclic?} &
+\cross{STREAM}{delay} \\
+\cross{STREAM}{delete} &
+\cross{STREAM}{distance} &
+\cross{STREAM}{elt} \\
+\cross{STREAM}{empty} &
+\cross{STREAM}{empty?} &
+\cross{STREAM}{entries} \\
+\cross{STREAM}{entry?} &
+\cross{STREAM}{eq?} &
+\cross{STREAM}{eval} \\
+\cross{STREAM}{eval} &
+\cross{STREAM}{eval} &
+\cross{STREAM}{eval} \\
+\cross{STREAM}{every?} &
+\cross{STREAM}{explicitEntries?} &
+\cross{STREAM}{explicitlyEmpty?} \\
+\cross{STREAM}{explicitlyFinite?} &
+\cross{STREAM}{extend} &
+\cross{STREAM}{fill!} \\
+\cross{STREAM}{filterUntil} &
+\cross{STREAM}{filterWhile} &
+\cross{STREAM}{find} \\
+\cross{STREAM}{findCycle} &
+\cross{STREAM}{first} &
+\cross{STREAM}{frst} \\
+\cross{STREAM}{generate} &
+\cross{STREAM}{hash} &
+\cross{STREAM}{index?} \\
+\cross{STREAM}{indices} &
+\cross{STREAM}{insert} &
+\cross{STREAM}{insert} \\
+\cross{STREAM}{last} &
+\cross{STREAM}{latex} &
+\cross{STREAM}{lazy?} \\
+\cross{STREAM}{lazyEvaluate} &
+\cross{STREAM}{leaf?} &
+\cross{STREAM}{leaves} \\
+\cross{STREAM}{less?} &
+\cross{STREAM}{map} &
+\cross{STREAM}{map!} \\
+\cross{STREAM}{maxIndex} &
+\cross{STREAM}{member?} &
+\cross{STREAM}{members} \\
+\cross{STREAM}{minIndex} &
+\cross{STREAM}{more?} &
+\cross{STREAM}{new} \\
+\cross{STREAM}{nodes} &
+\cross{STREAM}{node?} &
+\cross{STREAM}{numberOfComputedEntries} \\
+\cross{STREAM}{output} &
+\cross{STREAM}{parts} &
+\cross{STREAM}{possiblyInfinite?} \\
+\cross{STREAM}{qelt} &
+\cross{STREAM}{qsetelt!} &
+\cross{STREAM}{reduce} \\
+\cross{STREAM}{remove} &
+\cross{STREAM}{removeDuplicates} &
+\cross{STREAM}{repeating} \\
+\cross{STREAM}{repeating?} &
+\cross{STREAM}{rest} &
+\cross{STREAM}{rst} \\
+\cross{STREAM}{sample} &
+\cross{STREAM}{second} &
+\cross{STREAM}{select} \\
+\cross{STREAM}{setchildren!} &
+\cross{STREAM}{setelt} &
+\cross{STREAM}{setfirst!} \\
+\cross{STREAM}{setlast!} &
+\cross{STREAM}{setrest!} &
+\cross{STREAM}{setvalue!} \\
+\cross{STREAM}{showAll?} &
+\cross{STREAM}{showAllElements} &
+\cross{STREAM}{size?} \\
+\cross{STREAM}{split!} &
+\cross{STREAM}{swap!} &
+\cross{STREAM}{tail} \\
+\cross{STREAM}{third} &
+\cross{STREAM}{value} &
+\cross{STREAM}{\#?} \\
+\cross{STREAM}{?=?} &
+\cross{STREAM}{?\~{}=?} &
+\cross{STREAM}{?.?} \\
+\cross{STREAM}{?.last} &
+\cross{STREAM}{?.rest} &
+\cross{STREAM}{?.first} \\
+\cross{STREAM}{?.value} &&
+\end{tabular}
+
 <<domain STREAM Stream>>=
 )abbrev domain STREAM Stream
 ++ Implementation of streams via lazy evaluation
@@ -88908,6 +90855,88 @@ o )show String
 \pageto{Character}{CHAR}
 \pageto{CharacterClass}{CCLASS}
 \pageto{IndexedString}{ISTRING}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{STRING}{any?} &
+\cross{STRING}{coerce} &
+\cross{STRING}{concat} &
+\cross{STRING}{construct} &
+\cross{STRING}{convert} \\
+\cross{STRING}{copy} &
+\cross{STRING}{copyInto!} &
+\cross{STRING}{count} &
+\cross{STRING}{delete} &
+\cross{STRING}{elt} \\
+\cross{STRING}{empty} &
+\cross{STRING}{empty?} &
+\cross{STRING}{entries} &
+\cross{STRING}{entry?} &
+\cross{STRING}{eq?} \\
+\cross{STRING}{eval} &
+\cross{STRING}{every?} &
+\cross{STRING}{fill!} &
+\cross{STRING}{find} &
+\cross{STRING}{first} \\
+\cross{STRING}{hash} &
+\cross{STRING}{index?} &
+\cross{STRING}{indices} &
+\cross{STRING}{insert} &
+\cross{STRING}{latex} \\
+\cross{STRING}{leftTrim} &
+\cross{STRING}{less?} &
+\cross{STRING}{lowerCase} &
+\cross{STRING}{lowerCase!} &
+\cross{STRING}{map} \\
+\cross{STRING}{map!} &
+\cross{STRING}{match} &
+\cross{STRING}{match?} &
+\cross{STRING}{max} &
+\cross{STRING}{maxIndex} \\
+\cross{STRING}{member?} &
+\cross{STRING}{members} &
+\cross{STRING}{merge} &
+\cross{STRING}{min} &
+\cross{STRING}{minIndex} \\
+\cross{STRING}{more?} &
+\cross{STRING}{new} &
+\cross{STRING}{OMwrite} &
+\cross{STRING}{parts} &
+\cross{STRING}{position} \\
+\cross{STRING}{prefix?} &
+\cross{STRING}{qelt} &
+\cross{STRING}{qsetelt!} &
+\cross{STRING}{reduce} &
+\cross{STRING}{removeDuplicates} \\
+\cross{STRING}{replace} &
+\cross{STRING}{reverse} &
+\cross{STRING}{reverse!} &
+\cross{STRING}{rightTrim} &
+\cross{STRING}{sample} \\
+\cross{STRING}{select} &
+\cross{STRING}{setelt} &
+\cross{STRING}{size?} &
+\cross{STRING}{sort} &
+\cross{STRING}{sort!} \\
+\cross{STRING}{sorted?} &
+\cross{STRING}{split} &
+\cross{STRING}{string} &
+\cross{STRING}{substring?} &
+\cross{STRING}{suffix?} \\
+\cross{STRING}{swap!} &
+\cross{STRING}{trim} &
+\cross{STRING}{upperCase} &
+\cross{STRING}{upperCase!} &
+\cross{STRING}{\#{}?} \\
+\cross{STRING}{?=?} &
+\cross{STRING}{?.?} &
+\cross{STRING}{?\~{}=?} &
+\cross{STRING}{?$<$?} &
+\cross{STRING}{?$<=$?} \\
+\cross{STRING}{?$>$?} &
+\cross{STRING}{?$>=$?} &&&
+\end{tabular}
+
 <<domain STRING String>>=
 )abbrev domain STRING String
 ++ Description:
@@ -89042,6 +91071,66 @@ o )show StringTable
 \pageto{EqTable}{EQTBL}
 \pageto{GeneralSparseTable}{GSTBL}
 \pageto{SparseTable}{STBL}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{STRTBL}{any?} &
+\cross{STRTBL}{bag} &
+\cross{STRTBL}{coerce} &
+\cross{STRTBL}{construct} &
+\cross{STRTBL}{convert} \\
+\cross{STRTBL}{copy} &
+\cross{STRTBL}{count} &
+\cross{STRTBL}{dictionary} &
+\cross{STRTBL}{elt} &
+\cross{STRTBL}{empty} \\
+\cross{STRTBL}{empty?} &
+\cross{STRTBL}{entries} &
+\cross{STRTBL}{entry?} &
+\cross{STRTBL}{eq?} &
+\cross{STRTBL}{eval} \\
+\cross{STRTBL}{every?} &
+\cross{STRTBL}{extract!} &
+\cross{STRTBL}{fill!} &
+\cross{STRTBL}{find} &
+\cross{STRTBL}{first} \\
+\cross{STRTBL}{hash} &
+\cross{STRTBL}{index?} &
+\cross{STRTBL}{indices} &
+\cross{STRTBL}{insert!} &
+\cross{STRTBL}{inspect} \\
+\cross{STRTBL}{key?} &
+\cross{STRTBL}{keys} &
+\cross{STRTBL}{latex} &
+\cross{STRTBL}{less?} &
+\cross{STRTBL}{map} \\
+\cross{STRTBL}{map!} &
+\cross{STRTBL}{maxIndex} &
+\cross{STRTBL}{member?} &
+\cross{STRTBL}{members} &
+\cross{STRTBL}{minIndex} \\
+\cross{STRTBL}{more?} &
+\cross{STRTBL}{parts} &
+\cross{STRTBL}{qelt} &
+\cross{STRTBL}{qsetelt!} &
+\cross{STRTBL}{reduce} \\
+\cross{STRTBL}{remove} &
+\cross{STRTBL}{remove!} &
+\cross{STRTBL}{removeDuplicates} &
+\cross{STRTBL}{sample} &
+\cross{STRTBL}{search} \\
+\cross{STRTBL}{select} &
+\cross{STRTBL}{select!} &
+\cross{STRTBL}{setelt} &
+\cross{STRTBL}{size?} &
+\cross{STRTBL}{swap!} \\
+\cross{STRTBL}{table} &
+\cross{STRTBL}{\#{}?} &
+\cross{STRTBL}{?=?} &
+\cross{STRTBL}{?\~{}=?} &
+\cross{STRTBL}{?.?} 
+\end{tabular}
+
 <<domain STRTBL StringTable>>=
 )abbrev domain STRTBL StringTable
 ++ Author: Stephen M. Watt
@@ -89121,6 +91210,44 @@ point.
 {\bf See}\\
 \pageto{Point}{POINT}
 \pageto{SubSpaceComponentProperty}{COMPPROP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SUBSPACE}{addPoint} &
+\cross{SUBSPACE}{addPointLast} &
+\cross{SUBSPACE}{addPoint2} &
+\cross{SUBSPACE}{birth} &
+\cross{SUBSPACE}{child} \\
+\cross{SUBSPACE}{children} &
+\cross{SUBSPACE}{closeComponent} &
+\cross{SUBSPACE}{coerce} &
+\cross{SUBSPACE}{deepCopy} &
+\cross{SUBSPACE}{defineProperty} \\
+\cross{SUBSPACE}{extractClosed} &
+\cross{SUBSPACE}{extractIndex} &
+\cross{SUBSPACE}{extractPoint} &
+\cross{SUBSPACE}{extractProperty} &
+\cross{SUBSPACE}{hash} \\
+\cross{SUBSPACE}{internal?} &
+\cross{SUBSPACE}{latex} &
+\cross{SUBSPACE}{leaf?} &
+\cross{SUBSPACE}{level} &
+\cross{SUBSPACE}{merge} \\
+\cross{SUBSPACE}{merge} &
+\cross{SUBSPACE}{modifyPoint} &
+\cross{SUBSPACE}{new} &
+\cross{SUBSPACE}{numberOfChildren} &
+\cross{SUBSPACE}{parent} \\
+\cross{SUBSPACE}{pointData} &
+\cross{SUBSPACE}{root?} &
+\cross{SUBSPACE}{separate} &
+\cross{SUBSPACE}{shallowCopy} &
+\cross{SUBSPACE}{subspace} \\
+\cross{SUBSPACE}{traverse} &
+\cross{SUBSPACE}{?~=?} &
+\cross{SUBSPACE}{?=?} &&
+\end{tabular}
+
 <<domain SUBSPACE SubSpace>>=
 )abbrev domain SUBSPACE SubSpace
 ++ Description:
@@ -89553,6 +91680,22 @@ SubSpace(n:PI,R:Ring) : Exports == Implementation where
 {\bf See}\\
 \pageto{Point}{POINT}
 \pageto{SubSpace}{SUBSPACE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{COMPPROP}{close} &
+\cross{COMPPROP}{closed?} &
+\cross{COMPPROP}{coerce} &
+\cross{COMPPROP}{copy} &
+\cross{COMPPROP}{hash} \\
+\cross{COMPPROP}{latex} &
+\cross{COMPPROP}{new} &
+\cross{COMPPROP}{solid} &
+\cross{COMPPROP}{solid?} &
+\cross{COMPPROP}{?\~{}=?} \\
+\cross{COMPPROP}{?=?} &&&&
+\end{tabular}
+
 <<domain COMPPROP SubSpaceComponentProperty>>=
 )abbrev domain COMPPROP SubSpaceComponentProperty
 ++ Description:
@@ -89611,6 +91754,19 @@ SubSpaceComponentProperty() : Exports == Implementation where
 \section{domain SUCH SuchThat}
 \pagehead{SuchThat}{SUCH}
 \pagepic{ps/v103suchthat.ps}{SUCH}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SUCH}{coerce} &
+\cross{SUCH}{construct} &
+\cross{SUCH}{hash} &
+\cross{SUCH}{latex} &
+\cross{SUCH}{lhs} \\
+\cross{SUCH}{rhs} &
+\cross{SUCH}{?=?} &
+\cross{SUCH}{?\~{}=?} &&
+\end{tabular}
+
 <<domain SUCH SuchThat>>=
 )abbrev domain SUCH SuchThat
 ++ Description:
@@ -89655,6 +91811,20 @@ SuchThat(S1, S2): Cat == Capsule where
 \pageto{SimpleFortranProgram}{SFORT}
 \pageto{FortranTemplate}{FTEM}
 \pageto{FortranExpression}{FEXPR}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllllll}
+\cross{SWITCH}{coerce} &
+\cross{SWITCH}{AND} &
+\cross{SWITCH}{EQ} &
+\cross{SWITCH}{GE} &
+\cross{SWITCH}{GT} &
+\cross{SWITCH}{LE} &
+\cross{SWITCH}{LT} &
+\cross{SWITCH}{NOT} &
+\cross{SWITCH}{OR} 
+\end{tabular}
+
 <<domain SWITCH Switch>>=
 )abbrev domain SWITCH Switch
 -- Because of a bug in the compiler:
@@ -90134,6 +92304,38 @@ o )show Symbol
 @
 \pagehead{Symbol}{SYMBOL}
 \pagepic{ps/v103symbol.ps}{SYMBOL}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SYMBOL}{argscript} &
+\cross{SYMBOL}{coerce} &
+\cross{SYMBOL}{convert} &
+\cross{SYMBOL}{hash} &
+\cross{SYMBOL}{latex} \\
+\cross{SYMBOL}{list} &
+\cross{SYMBOL}{max} &
+\cross{SYMBOL}{min} &
+\cross{SYMBOL}{name} &
+\cross{SYMBOL}{new} \\
+\cross{SYMBOL}{OMwrite} &
+\cross{SYMBOL}{patternMatch} &
+\cross{SYMBOL}{resetNew} &
+\cross{SYMBOL}{sample} &
+\cross{SYMBOL}{script} \\
+\cross{SYMBOL}{scripts} &
+\cross{SYMBOL}{scripted?} &
+\cross{SYMBOL}{string} &
+\cross{SYMBOL}{subscript} &
+\cross{SYMBOL}{superscript} \\
+\cross{SYMBOL}{?\~{}=?} &
+\cross{SYMBOL}{?.?} &
+\cross{SYMBOL}{?$<$?} &
+\cross{SYMBOL}{?$<=$?} &
+\cross{SYMBOL}{?=?} \\
+\cross{SYMBOL}{?$>$?} &
+\cross{SYMBOL}{?$>=$?} &&&
+\end{tabular}
+
 <<domain SYMBOL Symbol>>=
 )abbrev domain SYMBOL Symbol
 ++ Author: Stephen Watt
@@ -90458,6 +92660,22 @@ Symbol(): Exports == Implementation where
 \pageto{FortranScalarType}{FST}
 \pageto{FortranType}{FT}
 \pageto{TheSymbolTable}{SYMS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SYMTAB}{coerce} &
+\cross{SYMTAB}{declare!} &
+\cross{SYMTAB}{empty} &
+\cross{SYMTAB}{externalList} &
+\cross{SYMTAB}{fortranTypeOf} \\
+\cross{SYMTAB}{newTypeLists} &
+\cross{SYMTAB}{parametersOf} &
+\cross{SYMTAB}{printTypes} &
+\cross{SYMTAB}{symbolTable} &
+\cross{SYMTAB}{typeList} \\
+\cross{SYMTAB}{typeLists} &&&&
+\end{tabular}
+
 <<domain SYMTAB SymbolTable>>=
 )abbrev domain SYMTAB SymbolTable
 ++ Author: Mike Dewar
@@ -90651,6 +92869,59 @@ SymbolTable() : exports == implementation where
 \pagepic{ps/v103symmetricpolynomial.ps}{SYMPOLY}{1.00}
 {\bf See}\\
 \pageto{Partition}{PRTITION}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{SYMPOLY}{0} &
+\cross{SYMPOLY}{1} &
+\cross{SYMPOLY}{associates?} &
+\cross{SYMPOLY}{binomThmExpt} \\
+\cross{SYMPOLY}{characteristic} &
+\cross{SYMPOLY}{charthRoot} &
+\cross{SYMPOLY}{coefficient} \\
+\cross{SYMPOLY}{coefficients} &
+\cross{SYMPOLY}{coerce} &
+\cross{SYMPOLY}{content} &
+\cross{SYMPOLY}{degree} \\
+\cross{SYMPOLY}{exquo} &
+\cross{SYMPOLY}{exquo} &
+\cross{SYMPOLY}{fmecg} &
+\cross{SYMPOLY}{ground} \\
+\cross{SYMPOLY}{ground?} &
+\cross{SYMPOLY}{hash} &
+\cross{SYMPOLY}{latex} &
+\cross{SYMPOLY}{leadingCoefficient} \\
+\cross{SYMPOLY}{leadingMonomial} &
+\cross{SYMPOLY}{map} &
+\cross{SYMPOLY}{mapExponents} &
+\cross{SYMPOLY}{minimumDegree} \\
+\cross{SYMPOLY}{monomial} &
+\cross{SYMPOLY}{monomial?} &
+\cross{SYMPOLY}{numberOfMonomials} &
+\cross{SYMPOLY}{one?} \\
+\cross{SYMPOLY}{pomopo!} &
+\cross{SYMPOLY}{primitivePart} &
+\cross{SYMPOLY}{recip} &
+\cross{SYMPOLY}{reductum} \\
+\cross{SYMPOLY}{retract} &
+\cross{SYMPOLY}{retractIfCan} &
+\cross{SYMPOLY}{sample} &
+\cross{SYMPOLY}{subtractIfCan} \\
+\cross{SYMPOLY}{unit?} &
+\cross{SYMPOLY}{unitCanonical} &
+\cross{SYMPOLY}{unitNormal} &
+\cross{SYMPOLY}{zero?} \\
+\cross{SYMPOLY}{?\~{}=?} &
+\cross{SYMPOLY}{?**?} &
+\cross{SYMPOLY}{?/?} &
+\cross{SYMPOLY}{?\^{}?} \\
+\cross{SYMPOLY}{?*?} &
+\cross{SYMPOLY}{?+?} &
+\cross{SYMPOLY}{?-?} &
+\cross{SYMPOLY}{-?} \\
+\cross{SYMPOLY}{?=?} &&&
+\end{tabular}
+
 <<domain SYMPOLY SymmetricPolynomial>>=
 )abbrev domain SYMPOLY SymmetricPolynomial
 ++ Description:
@@ -91004,6 +93275,68 @@ o )show Table
 \pageto{StringTable}{STRTBL}
 \pageto{GeneralSparseTable}{GSTBL}
 \pageto{SparseTable}{STBL}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{TABLE}{any?} &
+\cross{TABLE}{bag} &
+\cross{TABLE}{coerce} &
+\cross{TABLE}{construct} &
+\cross{TABLE}{convert} \\
+\cross{TABLE}{copy} &
+\cross{TABLE}{count} &
+\cross{TABLE}{dictionary} &
+\cross{TABLE}{elt} &
+\cross{TABLE}{empty} \\
+\cross{TABLE}{empty?} &
+\cross{TABLE}{entries} &
+\cross{TABLE}{entry?} &
+\cross{TABLE}{eq?} &
+\cross{TABLE}{eval} \\
+\cross{TABLE}{eval} &
+\cross{TABLE}{every?} &
+\cross{TABLE}{extract!} &
+\cross{TABLE}{fill!} &
+\cross{TABLE}{find} \\
+\cross{TABLE}{first} &
+\cross{TABLE}{hash} &
+\cross{TABLE}{index?} &
+\cross{TABLE}{indices} &
+\cross{TABLE}{insert!} \\
+\cross{TABLE}{inspect} &
+\cross{TABLE}{key?} &
+\cross{TABLE}{keys} &
+\cross{TABLE}{latex} &
+\cross{TABLE}{less?} \\
+\cross{TABLE}{map} &
+\cross{TABLE}{map} &
+\cross{TABLE}{map!} &
+\cross{TABLE}{maxIndex} &
+\cross{TABLE}{member?} \\
+\cross{TABLE}{members} &
+\cross{TABLE}{minIndex} &
+\cross{TABLE}{more?} &
+\cross{TABLE}{parts} &
+\cross{TABLE}{qelt} \\
+\cross{TABLE}{qsetelt!} &
+\cross{TABLE}{reduce} &
+\cross{TABLE}{remove} &
+\cross{TABLE}{remove!} &
+\cross{TABLE}{removeDuplicates} \\
+\cross{TABLE}{sample} &
+\cross{TABLE}{search} &
+\cross{TABLE}{select} &
+\cross{TABLE}{select!} &
+\cross{TABLE}{setelt} \\
+\cross{TABLE}{size?} &
+\cross{TABLE}{swap!} &
+\cross{TABLE}{table} &
+\cross{TABLE}{\#{}?} &
+\cross{TABLE}{?=?} \\
+\cross{TABLE}{?\~{}=?} &
+\cross{TABLE}{?.?} &&&
+\end{tabular}
+
 <<domain TABLE Table>>=
 )abbrev domain TABLE Table
 ++ Author: Stephen M. Watt, Barry Trager
@@ -91042,6 +93375,14 @@ Table(Key: SetCategory, Entry: SetCategory):Exports == Implementation where
 \section{domain TABLEAU Tableau}
 \pagehead{Tableau}{TABLEAU}
 \pagepic{ps/v103tableau.ps}{TABLEAU}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{TABLEAU}{coerce} &
+\cross{TABLEAU}{listOfLists} &
+\cross{TABLEAU}{tableau} 
+\end{tabular}
+
 <<domain TABLEAU Tableau>>=
 )abbrev domain TABLEAU Tableau
 ++ Author: William H. Burge
@@ -91106,6 +93447,85 @@ Tableau(S:SetCategory):Exports == Implementation where
 \pagepic{ps/v103taylorseries.ps}{TS}{1.00}
 {\bf See}\\
 \pageto{SparseMultivariateTaylorSeries}{SMTS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{TS}{0} &
+\cross{TS}{1} &
+\cross{TS}{acos} &
+\cross{TS}{acosh} &
+\cross{TS}{acot} \\
+\cross{TS}{acoth} &
+\cross{TS}{acsc} &
+\cross{TS}{acsch} &
+\cross{TS}{asec} &
+\cross{TS}{asech} \\
+\cross{TS}{asin} &
+\cross{TS}{asinh} &
+\cross{TS}{associates?} &
+\cross{TS}{atan} &
+\cross{TS}{atanh} \\
+\cross{TS}{characteristic} &
+\cross{TS}{charthRoot} &
+\cross{TS}{coefficient} &
+\cross{TS}{coerce} &
+\cross{TS}{complete} \\
+\cross{TS}{cos} &
+\cross{TS}{cosh} &
+\cross{TS}{cot} &
+\cross{TS}{coth} &
+\cross{TS}{csc} \\
+\cross{TS}{csch} &
+\cross{TS}{D} &
+\cross{TS}{degree} &
+\cross{TS}{differentiate} &
+\cross{TS}{eval} \\
+\cross{TS}{exp} &
+\cross{TS}{exquo} &
+\cross{TS}{extend} &
+\cross{TS}{fintegrate} &
+\cross{TS}{hash} \\
+\cross{TS}{integrate} &
+\cross{TS}{latex} &
+\cross{TS}{leadingCoefficient} &
+\cross{TS}{leadingMonomial} &
+\cross{TS}{log} \\
+\cross{TS}{map} &
+\cross{TS}{monomial} &
+\cross{TS}{monomial?} &
+\cross{TS}{nthRoot} &
+\cross{TS}{one?} \\
+\cross{TS}{order} &
+\cross{TS}{pi} &
+\cross{TS}{pole?} &
+\cross{TS}{polynomial} &
+\cross{TS}{recip} \\
+\cross{TS}{reductum} &
+\cross{TS}{sample} &
+\cross{TS}{sec} &
+\cross{TS}{sech} &
+\cross{TS}{sin} \\
+\cross{TS}{sinh} &
+\cross{TS}{sqrt} &
+\cross{TS}{subtractIfCan} &
+\cross{TS}{tan} &
+\cross{TS}{tanh} \\
+\cross{TS}{unit?} &
+\cross{TS}{unitCanonical} &
+\cross{TS}{unitNormal} &
+\cross{TS}{variables} &
+\cross{TS}{zero?} \\
+\cross{TS}{?*?} &
+\cross{TS}{?**?} &
+\cross{TS}{?+?} &
+\cross{TS}{?-?} &
+\cross{TS}{-?} \\
+\cross{TS}{?=?} &
+\cross{TS}{?\^{}?} &
+\cross{TS}{?\~{}=?} &
+\cross{TS}{?/?} &
+\end{tabular}
+
 <<domain TS TaylorSeries>>=
 )abbrev domain TS TaylorSeries
 ++ Authors: Burge, Watt, Williamson
@@ -91203,6 +93623,26 @@ in addition we need to add a line defining [[PI2]] in [[formatPlex]]:
 @
 \pagehead{TexFormat}{TEX}
 \pagepic{ps/v103texformat.ps}{TEX}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{TEX}{coerce} &
+\cross{TEX}{convert} &
+\cross{TEX}{display} &
+\cross{TEX}{epilogue} &
+\cross{TEX}{hash} \\
+\cross{TEX}{latex} &
+\cross{TEX}{new} &
+\cross{TEX}{prologue} &
+\cross{TEX}{setEpilogue!} &
+\cross{TEX}{setPrologue!} \\
+\cross{TEX}{setTex!} &
+\cross{TEX}{tex} &
+\cross{TEX}{convert} &
+\cross{TEX}{?=?} &
+\cross{TEX}{?\~{}=?}
+\end{tabular}
+
 <<domain TEX TexFormat>>=
 )abbrev domain TEX TexFormat
 ++ Author: Robert S. Sutor
@@ -91974,6 +94414,28 @@ o )show TextFile
 \pageto{BinaryFile}{BINFILE}
 \pageto{KeyedAccessFile}{KAFILE}
 \pageto{Library}{LIB}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{TEXTFILE}{close!} &
+\cross{TEXTFILE}{coerce} &
+\cross{TEXTFILE}{endOfFile?} &
+\cross{TEXTFILE}{hash} &
+\cross{TEXTFILE}{iomode} \\
+\cross{TEXTFILE}{latex} &
+\cross{TEXTFILE}{name} &
+\cross{TEXTFILE}{open} &
+\cross{TEXTFILE}{read!} &
+\cross{TEXTFILE}{readIfCan!} \\
+\cross{TEXTFILE}{readLine!} &
+\cross{TEXTFILE}{readLineIfCan!} &
+\cross{TEXTFILE}{reopen!} &
+\cross{TEXTFILE}{write!} &
+\cross{TEXTFILE}{writeLine!} \\
+\cross{TEXTFILE}{?=?} &
+\cross{TEXTFILE}{?\~{}=?} &&&
+\end{tabular}
+
 <<domain TEXTFILE TextFile>>=
 )abbrev domain TEXTFILE TextFile
 ++ Author: Stephen M. Watt
@@ -92075,6 +94537,26 @@ TextFile: Cat == Def where
 \pageto{FortranScalarType}{FST}
 \pageto{FortranType}{FT}
 \pageto{SymbolTable}{SYMTAB}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SYMS}{argumentList!} &
+\cross{SYMS}{argumentListOf} &
+\cross{SYMS}{clearTheSymbolTable} &
+\cross{SYMS}{coerce} &
+\cross{SYMS}{currentSubProgram} \\
+\cross{SYMS}{declare!} &
+\cross{SYMS}{empty} &
+\cross{SYMS}{endSubProgram} &
+\cross{SYMS}{newSubProgram} &
+\cross{SYMS}{printHeader} \\
+\cross{SYMS}{printTypes} &
+\cross{SYMS}{returnType!} &
+\cross{SYMS}{returnTypeOf} &
+\cross{SYMS}{showTheSymbolTable} &
+\cross{SYMS}{symbolTableOf} 
+\end{tabular}
+
 <<domain SYMS TheSymbolTable>>=
 )abbrev domain SYMS TheSymbolTable
 ++ Author: Mike Dewar
@@ -92295,6 +94777,42 @@ TheSymbolTable() : Exports == Implementation where
 \pageto{Switch}{SWITCH}
 \pageto{FortranTemplate}{FTEM}
 \pageto{FortranExpression}{FEXPR}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{M3D}{any?} &
+\cross{M3D}{coerce} &
+\cross{M3D}{construct} &
+\cross{M3D}{copy} &
+\cross{M3D}{count} \\
+\cross{M3D}{elt} &
+\cross{M3D}{empty} &
+\cross{M3D}{empty?} &
+\cross{M3D}{eq?} &
+\cross{M3D}{eval} \\
+\cross{M3D}{every?} &
+\cross{M3D}{hash} &
+\cross{M3D}{identityMatrix} &
+\cross{M3D}{latex} &
+\cross{M3D}{less?} \\
+\cross{M3D}{map} &
+\cross{M3D}{map!} &
+\cross{M3D}{matrixConcat3D} &
+\cross{M3D}{matrixDimensions} &
+\cross{M3D}{member?} \\
+\cross{M3D}{members} &
+\cross{M3D}{more?} &
+\cross{M3D}{parts} &
+\cross{M3D}{plus} &
+\cross{M3D}{sample} \\
+\cross{M3D}{setelt!} &
+\cross{M3D}{size?} &
+\cross{M3D}{zeroMatrix} &
+\cross{M3D}{\#{}?} &
+\cross{M3D}{?=?} \\
+\cross{M3D}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain M3D ThreeDimensionalMatrix>>=
 )abbrev domain M3D ThreeDimensionalMatrix
 ++ Author: William Naylor
@@ -92553,6 +95071,52 @@ ThreeDimensionalMatrix(R) : Exports == Implementation where
 \section{domain VIEW3D ThreeDimensionalViewport}
 \pagehead{ThreeDimensionalViewport}{VIEW3D}
 \pagepic{ps/v103threedimensionalviewport.ps}{VIEW3D}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{VIEW3D}{axes} &
+\cross{VIEW3D}{clipSurface} &
+\cross{VIEW3D}{colorDef} &
+\cross{VIEW3D}{close} &
+\cross{VIEW3D}{coerce} \\
+\cross{VIEW3D}{controlPanel} &
+\cross{VIEW3D}{diagonals} &
+\cross{VIEW3D}{dimensions} &
+\cross{VIEW3D}{drawStyle} &
+\cross{VIEW3D}{eyeDistance} \\
+\cross{VIEW3D}{hash} &
+\cross{VIEW3D}{hitherPlane} &
+\cross{VIEW3D}{intensity} &
+\cross{VIEW3D}{key} &
+\cross{VIEW3D}{latex} \\
+\cross{VIEW3D}{lighting} &
+\cross{VIEW3D}{makeViewport3D} &
+\cross{VIEW3D}{modifyPointData} &
+\cross{VIEW3D}{move} &
+\cross{VIEW3D}{options} \\
+\cross{VIEW3D}{outlineRender} &
+\cross{VIEW3D}{perspective} &
+\cross{VIEW3D}{reset} &
+\cross{VIEW3D}{resize} &
+\cross{VIEW3D}{rotate} \\
+\cross{VIEW3D}{showClipRegion} &
+\cross{VIEW3D}{showRegion} &
+\cross{VIEW3D}{subspace} &
+\cross{VIEW3D}{title} &
+\cross{VIEW3D}{translate} \\
+\cross{VIEW3D}{viewDeltaXDefault} &
+\cross{VIEW3D}{viewDeltaYDefault} &
+\cross{VIEW3D}{viewPhiDefault} &
+\cross{VIEW3D}{viewpoint} &
+\cross{VIEW3D}{viewThetaDefault} \\
+\cross{VIEW3D}{viewZoomDefault} &
+\cross{VIEW3D}{viewport3D} &
+\cross{VIEW3D}{write} &
+\cross{VIEW3D}{zoom} &
+\cross{VIEW3D}{?=?} \\
+\cross{VIEW3D}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain VIEW3D ThreeDimensionalViewport>>=
 )abbrev domain VIEW3D ThreeDimensionalViewport
 ++ Author: Jim Wen
@@ -93510,6 +96074,43 @@ ThreeDimensionalViewport(): Exports == Implementation where
 \section{domain SPACE3 ThreeSpace}
 \pagehead{ThreeSpace}{SPACE3}
 \pagepic{ps/v103threespace.ps}{SPACE3}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{SPACE3}{check} &
+\cross{SPACE3}{closedCurve} &
+\cross{SPACE3}{closedCurve?} &
+\cross{SPACE3}{coerce} &
+\cross{SPACE3}{components} \\
+\cross{SPACE3}{composite} &
+\cross{SPACE3}{composites} &
+\cross{SPACE3}{copy} &
+\cross{SPACE3}{create3Space} &
+\cross{SPACE3}{curve} \\
+\cross{SPACE3}{curve?} &
+\cross{SPACE3}{enterPointData} &
+\cross{SPACE3}{hash} &
+\cross{SPACE3}{latex} &
+\cross{SPACE3}{lllip} \\
+\cross{SPACE3}{lllp} &
+\cross{SPACE3}{llprop} &
+\cross{SPACE3}{lprop} &
+\cross{SPACE3}{lp} &
+\cross{SPACE3}{merge} \\
+\cross{SPACE3}{mesh} &
+\cross{SPACE3}{mesh?} &
+\cross{SPACE3}{modifyPointData} &
+\cross{SPACE3}{numberOfComponents} &
+\cross{SPACE3}{objects} \\
+\cross{SPACE3}{point} &
+\cross{SPACE3}{point?} &
+\cross{SPACE3}{polygon} &
+\cross{SPACE3}{polygon?} &
+\cross{SPACE3}{subspace} \\
+\cross{SPACE3}{?=?} &
+\cross{SPACE3}{?\~{}=?} &&&
+\end{tabular}
+
 <<domain SPACE3 ThreeSpace>>=
 )abbrev domain SPACE3 ThreeSpace
 ++ Author: 
@@ -93874,6 +96475,52 @@ ThreeSpace(R:Ring):Exports == Implementation where
 \pageto{BinaryTournament}{BTOURN}
 \pageto{BalancedBinaryTree}{BBTREE}
 \pageto{PendantTree}{PENDTREE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{TREE}{any?} &
+\cross{TREE}{child?} &
+\cross{TREE}{children} &
+\cross{TREE}{coerce} &
+\cross{TREE}{copy} \\
+\cross{TREE}{count} &
+\cross{TREE}{cyclic?} &
+\cross{TREE}{cyclicCopy} &
+\cross{TREE}{cyclicEntries} &
+\cross{TREE}{cyclicEqual?} \\
+\cross{TREE}{cyclicParents} &
+\cross{TREE}{distance} &
+\cross{TREE}{empty} &
+\cross{TREE}{empty?} &
+\cross{TREE}{eq?} \\
+\cross{TREE}{eval} &
+\cross{TREE}{every?} &
+\cross{TREE}{hash} &
+\cross{TREE}{latex} &
+\cross{TREE}{leaf?} \\
+\cross{TREE}{leaves} &
+\cross{TREE}{less?} &
+\cross{TREE}{map} &
+\cross{TREE}{map!} &
+\cross{TREE}{member?} \\
+\cross{TREE}{members} &
+\cross{TREE}{more?} &
+\cross{TREE}{node?} &
+\cross{TREE}{nodes} &
+\cross{TREE}{parts} \\
+\cross{TREE}{sample} &
+\cross{TREE}{setchildren!} &
+\cross{TREE}{setelt} &
+\cross{TREE}{setvalue!} &
+\cross{TREE}{size?} \\
+\cross{TREE}{tree} &
+\cross{TREE}{value} &
+\cross{TREE}{\#{}?} &
+\cross{TREE}{?=?} &
+\cross{TREE}{?\~{}=?} \\
+\cross{TREE}{?.value} &&&&
+\end{tabular}
+
 <<domain TREE Tree>>=
 )abbrev domain TREE Tree
 ++ Author:W. H. Burge
@@ -94219,6 +96866,17 @@ Tree(S: SetCategory): T==C where
 \section{domain TUBE TubePlot}
 \pagehead{TubePlot}{TUBE}
 \pagepic{ps/v103tubeplot.ps}{TUBE}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llllll}
+\cross{TUBE}{closed?} &
+\cross{TUBE}{getCurve} &
+\cross{TUBE}{listLoops} &
+\cross{TUBE}{open?} &
+\cross{TUBE}{setClosed} &
+\cross{TUBE}{tube} 
+\end{tabular}
+
 <<domain TUBE TubePlot>>=
 )abbrev domain TUBE TubePlot
 ++ Author: Clifton J. Williamson
@@ -94291,6 +96949,18 @@ TubePlot(Curve): Exports == Implementation where
 \pageto{FlexibleArray}{FARRAY}
 \pageto{IndexedOneDimensionalArray}{IARRAY1}
 \pageto{OneDimensionalArray}{ARRAY1}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{TUPLE}{coerce} &
+\cross{TUPLE}{hash} &
+\cross{TUPLE}{latex} &
+\cross{TUPLE}{length} &
+\cross{TUPLE}{select} &
+\cross{TUPLE}{?=?} &
+\cross{TUPLE}{?\~{}=?} 
+\end{tabular}
+
 <<domain TUPLE Tuple>>=
 )abbrev domain TUPLE Tuple
 ++ This domain is used to interface with the interpreter's notion
@@ -94339,6 +97009,7 @@ Tuple(S:Type): CoercibleTo(PrimitiveArray S) with
 <<TUPLE.dotabb>>=
 "TUPLE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TUPLE"]
 "A1AGG" [color="#4488FF",href="bookvol10.2.pdf#nameddest=A1AGG"]
+"A1AGG-" [color="#88FF44",href="bookvol10.3.pdf#nameddest=A1AGG"]
 "TUPLE" -> "A1AGG"
 "TUPLE" -> "A1AGG-"
 
@@ -94795,6 +97466,50 @@ o )show TwoDimensionalArray
 {\bf See}\\
 \pageto{InnerIndexedTwoDimensionalArray}{IIARRAY2}
 \pageto{IndexedTwoDimensionalArray}{IARRAY2}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{ARRAY2}{any?} &
+\cross{ARRAY2}{coerce} &
+\cross{ARRAY2}{column} &
+\cross{ARRAY2}{copy} &
+\cross{ARRAY2}{count} \\
+\cross{ARRAY2}{elt} &
+\cross{ARRAY2}{empty} &
+\cross{ARRAY2}{empty?} &
+\cross{ARRAY2}{eq?} &
+\cross{ARRAY2}{eval} \\
+\cross{ARRAY2}{every?} &
+\cross{ARRAY2}{fill!} &
+\cross{ARRAY2}{hash} &
+\cross{ARRAY2}{latex} &
+\cross{ARRAY2}{less?} \\
+\cross{ARRAY2}{map} &
+\cross{ARRAY2}{map!} &
+\cross{ARRAY2}{maxColIndex} &
+\cross{ARRAY2}{maxRowIndex} &
+\cross{ARRAY2}{member?} \\
+\cross{ARRAY2}{members} &
+\cross{ARRAY2}{more?} &
+\cross{ARRAY2}{minColIndex} &
+\cross{ARRAY2}{minRowIndex} &
+\cross{ARRAY2}{ncols} \\
+\cross{ARRAY2}{new} &
+\cross{ARRAY2}{nrows} &
+\cross{ARRAY2}{parts} &
+\cross{ARRAY2}{qelt} &
+\cross{ARRAY2}{qsetelt!} \\
+\cross{ARRAY2}{row} &
+\cross{ARRAY2}{sample} &
+\cross{ARRAY2}{setColumn!} &
+\cross{ARRAY2}{setRow!} &
+\cross{ARRAY2}{setelt} \\
+\cross{ARRAY2}{size?} &
+\cross{ARRAY2}{\#{}?} &
+\cross{ARRAY2}{?=?} &
+\cross{ARRAY2}{?\~{}=?} &
+\end{tabular}
+
 <<domain ARRAY2 TwoDimensionalArray>>=
 )abbrev domain ARRAY2 TwoDimensionalArray
 TwoDimensionalArray(R):Exports == Implementation where
@@ -95063,6 +97778,43 @@ o )show TwoDimensionalViewport
 @
 \pagehead{TwoDimensionalViewport}{VIEW2D}
 \pagepic{ps/v103twodimensionalviewport.ps}{VIEW2D}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{VIEW2d}{axes} &
+\cross{VIEW2d}{close} &
+\cross{VIEW2d}{coerce} &
+\cross{VIEW2d}{connect} &
+\cross{VIEW2d}{controlPanel} \\
+\cross{VIEW2d}{dimensions} &
+\cross{VIEW2d}{getGraph} &
+\cross{VIEW2d}{getPickedPoints} &
+\cross{VIEW2d}{graphState} &
+\cross{VIEW2d}{graphStates} \\
+\cross{VIEW2d}{graphs} &
+\cross{VIEW2d}{hash} &
+\cross{VIEW2d}{key} &
+\cross{VIEW2d}{latex} &
+\cross{VIEW2d}{makeViewport2D} \\
+\cross{VIEW2d}{move} &
+\cross{VIEW2d}{options} &
+\cross{VIEW2d}{points} &
+\cross{VIEW2d}{putGraph} &
+\cross{VIEW2d}{region} \\
+\cross{VIEW2d}{reset} &
+\cross{VIEW2d}{resize} &
+\cross{VIEW2d}{scale} &
+\cross{VIEW2d}{show} &
+\cross{VIEW2d}{title} \\
+\cross{VIEW2d}{translate} &
+\cross{VIEW2d}{units} &
+\cross{VIEW2d}{update} &
+\cross{VIEW2d}{viewport2D} &
+\cross{VIEW2d}{write} \\
+\cross{VIEW2d}{?=?} &
+\cross{VIEW2d}{?\~{}=?} &&&
+\end{tabular}
+
 <<domain VIEW2D TwoDimensionalViewport>>=
 )abbrev domain VIEW2D TwoDimensionalViewport
 ++ Author: Jim Wen
@@ -95719,6 +98471,104 @@ TwoDimensionalViewport ():Exports == Implementation where
 \section{domain UFPS UnivariateFormalPowerSeries}
 \pagehead{UnivariateFormalPowerSeries}{UFPS}
 \pagepic{ps/v103univariateformalpowerseries.ps}{UFPS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{UFPS}{0} &
+\cross{UFPS}{1} &
+\cross{UFPS}{acos} &
+\cross{UFPS}{acosh} \\
+\cross{UFPS}{acot} &
+\cross{UFPS}{acoth} &
+\cross{UFPS}{acsc} &
+\cross{UFPS}{acsch} \\
+\cross{UFPS}{approximate} &
+\cross{UFPS}{asec} &
+\cross{UFPS}{asech} &
+\cross{UFPS}{asin} \\
+\cross{UFPS}{asinh} &
+\cross{UFPS}{associates?} &
+\cross{UFPS}{atan} &
+\cross{UFPS}{atanh} \\
+\cross{UFPS}{center} &
+\cross{UFPS}{characteristic} &
+\cross{UFPS}{charthRoot} &
+\cross{UFPS}{coefficient} \\
+\cross{UFPS}{coefficients} &
+\cross{UFPS}{coerce} &
+\cross{UFPS}{complete} &
+\cross{UFPS}{cos} \\
+\cross{UFPS}{cosh} &
+\cross{UFPS}{cot} &
+\cross{UFPS}{coth} &
+\cross{UFPS}{csc} \\
+\cross{UFPS}{csch} &
+\cross{UFPS}{D} &
+\cross{UFPS}{degree} &
+\cross{UFPS}{differentiate} \\
+\cross{UFPS}{eval} &
+\cross{UFPS}{evenlambert} &
+\cross{UFPS}{exp} &
+\cross{UFPS}{exquo} \\
+\cross{UFPS}{extend} &
+\cross{UFPS}{generalLambert} &
+\cross{UFPS}{hash} &
+\cross{UFPS}{integrate} \\
+\cross{UFPS}{invmultisect} &
+\cross{UFPS}{lagrange} &
+\cross{UFPS}{lambert} &
+\cross{UFPS}{latex} \\
+\cross{UFPS}{leadingCoefficient} &
+\cross{UFPS}{leadingMonomial} &
+\cross{UFPS}{log} &
+\cross{UFPS}{map} \\
+\cross{UFPS}{monomial} &
+\cross{UFPS}{monomial?} &
+\cross{UFPS}{multiplyCoefficients} &
+\cross{UFPS}{multiplyExponents} \\
+\cross{UFPS}{multisect} &
+\cross{UFPS}{nthRoot} &
+\cross{UFPS}{oddlambert} &
+\cross{UFPS}{one?} \\
+\cross{UFPS}{order} &
+\cross{UFPS}{pi} &
+\cross{UFPS}{pole?} &
+\cross{UFPS}{polynomial} \\
+\cross{UFPS}{quoByVar} &
+\cross{UFPS}{recip} &
+\cross{UFPS}{reductum} &
+\cross{UFPS}{revert} \\
+\cross{UFPS}{sample} &
+\cross{UFPS}{sec} &
+\cross{UFPS}{sech} &
+\cross{UFPS}{series} \\
+\cross{UFPS}{sin} &
+\cross{UFPS}{sinh} &
+\cross{UFPS}{sqrt} &
+\cross{UFPS}{subtractIfCan} \\
+\cross{UFPS}{tan} &
+\cross{UFPS}{tanh} &
+\cross{UFPS}{terms} &
+\cross{UFPS}{truncate} \\
+\cross{UFPS}{unit?} &
+\cross{UFPS}{unitCanonical} &
+\cross{UFPS}{unitNormal} &
+\cross{UFPS}{univariatePolynomial} \\
+\cross{UFPS}{variable} &
+\cross{UFPS}{variables} &
+\cross{UFPS}{zero?} &
+\cross{UFPS}{?*?} \\
+\cross{UFPS}{?**?} &
+\cross{UFPS}{?+?} &
+\cross{UFPS}{?-?} &
+\cross{UFPS}{-?} \\
+\cross{UFPS}{?=?} &
+\cross{UFPS}{?\^{}?} &
+\cross{UFPS}{?\~{}=?} &
+\cross{UFPS}{?/?} \\
+\cross{UFPS}{?.?} &&&
+\end{tabular}
+
 <<domain UFPS UnivariateFormalPowerSeries>>=
 )abbrev domain UFPS UnivariateFormalPowerSeries
 UnivariateFormalPowerSeries(Coef: Ring) == 
@@ -95737,6 +98587,149 @@ UnivariateFormalPowerSeries(Coef: Ring) ==
 \pagepic{ps/v103univariatelaurentseries.ps}{ULS}{1.00}
 {\bf See}\\
 \pageto{UnivariateLaurentSeriesConstructor}{ULSCONS}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{ULS}{0} &
+\cross{ULS}{1} &
+\cross{ULS}{abs} \\
+\cross{ULS}{acos} &
+\cross{ULS}{acosh} &
+\cross{ULS}{acot} \\
+\cross{ULS}{acoth} &
+\cross{ULS}{acsc} &
+\cross{ULS}{acsch} \\
+\cross{ULS}{approximate} &
+\cross{ULS}{asec} &
+\cross{ULS}{asech} \\
+\cross{ULS}{asin} &
+\cross{ULS}{asinh} &
+\cross{ULS}{associates?} \\
+\cross{ULS}{atan} &
+\cross{ULS}{atanh} &
+\cross{ULS}{ceiling} \\
+\cross{ULS}{center} &
+\cross{ULS}{characteristic} &
+\cross{ULS}{charthRoot} \\
+\cross{ULS}{coerce} &
+\cross{ULS}{coefficient} &
+\cross{ULS}{coerce} \\
+\cross{ULS}{complete} &
+\cross{ULS}{conditionP} &
+\cross{ULS}{convert} \\
+\cross{ULS}{cos} &
+\cross{ULS}{cosh} &
+\cross{ULS}{cot} \\
+\cross{ULS}{coth} &
+\cross{ULS}{csc} &
+\cross{ULS}{csch} \\
+\cross{ULS}{D} &
+\cross{ULS}{degree} &
+\cross{ULS}{denom} \\
+\cross{ULS}{denominator} &
+\cross{ULS}{differentiate} &
+\cross{ULS}{divide} \\
+\cross{ULS}{euclideanSize} &
+\cross{ULS}{eval} &
+\cross{ULS}{exp} \\
+\cross{ULS}{expressIdealMember} &
+\cross{ULS}{exquo} &
+\cross{ULS}{extend} \\
+\cross{ULS}{extendedEuclidean} &
+\cross{ULS}{factor} &
+\cross{ULS}{factorPolynomial} \\
+\cross{ULS}{factorSquareFreePolynomial} &
+\cross{ULS}{floor} &
+\cross{ULS}{fractionPart} \\
+\cross{ULS}{gcd} &
+\cross{ULS}{gcdPolynomial} &
+\cross{ULS}{hash} \\
+\cross{ULS}{init} &
+\cross{ULS}{integrate} &
+\cross{ULS}{inv} \\
+\cross{ULS}{latex} &
+\cross{ULS}{laurent} &
+\cross{ULS}{leadingCoefficient} \\
+\cross{ULS}{leadingMonomial} &
+\cross{ULS}{lcm} &
+\cross{ULS}{log} \\
+\cross{ULS}{map} &
+\cross{ULS}{max} &
+\cross{ULS}{min} \\
+\cross{ULS}{monomial} &
+\cross{ULS}{monomial?} &
+\cross{ULS}{multiEuclidean} \\
+\cross{ULS}{multiplyCoefficients} &
+\cross{ULS}{multiplyExponents} &
+\cross{ULS}{negative?} \\
+\cross{ULS}{nextItem} &
+\cross{ULS}{nthRoot} &
+\cross{ULS}{numer} \\
+\cross{ULS}{numerator} &
+\cross{ULS}{one?} &
+\cross{ULS}{order} \\
+\cross{ULS}{patternMatch} &
+\cross{ULS}{pi} &
+\cross{ULS}{pole?} \\
+\cross{ULS}{positive?} &
+\cross{ULS}{prime?} &
+\cross{ULS}{principalIdeal} \\
+\cross{ULS}{random} &
+\cross{ULS}{rationalFunction} &
+\cross{ULS}{recip} \\
+\cross{ULS}{reducedSystem} &
+\cross{ULS}{reductum} &
+\cross{ULS}{removeZeroes} \\
+\cross{ULS}{retract} &
+\cross{ULS}{retractIfCan} &
+\cross{ULS}{sample} \\
+\cross{ULS}{sec} &
+\cross{ULS}{sech} &
+\cross{ULS}{series} \\
+\cross{ULS}{sign} &
+\cross{ULS}{sin} &
+\cross{ULS}{sinh} \\
+\cross{ULS}{sizeLess?} &
+\cross{ULS}{solveLinearPolynomialEquation} &
+\cross{ULS}{sqrt} \\
+\cross{ULS}{squareFree} &
+\cross{ULS}{squareFreePart} &
+\cross{ULS}{squareFreePolynomial} \\
+\cross{ULS}{subtractIfCan} &
+\cross{ULS}{tan} &
+\cross{ULS}{tanh} \\
+\cross{ULS}{taylor} &
+\cross{ULS}{taylorIfCan} &
+\cross{ULS}{taylorRep} \\
+\cross{ULS}{terms} &
+\cross{ULS}{truncate} &
+\cross{ULS}{unit?} \\
+\cross{ULS}{unitCanonical} &
+\cross{ULS}{unitNormal} &
+\cross{ULS}{variable} \\
+\cross{ULS}{variables} &
+\cross{ULS}{wholePart} &
+\cross{ULS}{zero?} \\
+\cross{ULS}{?*?} &
+\cross{ULS}{?**?} &
+\cross{ULS}{?+?} \\
+\cross{ULS}{?-?} &
+\cross{ULS}{-?} &
+\cross{ULS}{?=?} \\
+\cross{ULS}{?\^{}?} &
+\cross{ULS}{?.?} &
+\cross{ULS}{?\~{}=?} \\
+\cross{ULS}{?/?} &
+\cross{ULS}{?$<$?} &
+\cross{ULS}{?$<=$?} \\
+\cross{ULS}{?$>$?} &
+\cross{ULS}{?$>=$?} &
+\cross{ULS}{?\^{}?} \\
+\cross{ULS}{?.?} &
+\cross{ULS}{?quo?} &
+\cross{ULS}{?rem?} 
+\end{tabular}
+
 <<domain ULS UnivariateLaurentSeries>>=
 )abbrev domain ULS UnivariateLaurentSeries
 ++ Author: Clifton J. Williamson
@@ -95804,6 +98797,146 @@ UnivariateLaurentSeries(Coef,var,cen): Exports == Implementation where
 \pagepic{ps/v103univariatelaurentseriesconstructor.ps}{ULSCONS}{1.00}
 {\bf See}\\
 \pageto{UnivariateLaurentSeries}{ULS}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{ULSCONS}{0} &
+\cross{ULSCONS}{1} &
+\cross{ULSCONS}{abs} \\
+\cross{ULSCONS}{acos} &
+\cross{ULSCONS}{acosh} &
+\cross{ULSCONS}{acot} \\
+\cross{ULSCONS}{acoth} &
+\cross{ULSCONS}{acsc} &
+\cross{ULSCONS}{acsch} \\
+\cross{ULSCONS}{approximate} &
+\cross{ULSCONS}{asec} &
+\cross{ULSCONS}{asech} \\
+\cross{ULSCONS}{asin} &
+\cross{ULSCONS}{asinh} &
+\cross{ULSCONS}{associates?} \\
+\cross{ULSCONS}{atan} &
+\cross{ULSCONS}{atanh} &
+\cross{ULSCONS}{ceiling} \\
+\cross{ULSCONS}{center} &
+\cross{ULSCONS}{characteristic} &
+\cross{ULSCONS}{charthRoot} \\
+\cross{ULSCONS}{coefficient} &
+\cross{ULSCONS}{coerce} &
+\cross{ULSCONS}{complete} \\
+\cross{ULSCONS}{conditionP} &
+\cross{ULSCONS}{convert} &
+\cross{ULSCONS}{cos} \\
+\cross{ULSCONS}{cosh} &
+\cross{ULSCONS}{cot} &
+\cross{ULSCONS}{coth} \\
+\cross{ULSCONS}{csc} &
+\cross{ULSCONS}{csch} &
+\cross{ULSCONS}{D} \\
+\cross{ULSCONS}{degree} &
+\cross{ULSCONS}{denom} &
+\cross{ULSCONS}{denominator} \\
+\cross{ULSCONS}{differentiate} &
+\cross{ULSCONS}{divide} &
+\cross{ULSCONS}{extend} \\
+\cross{ULSCONS}{euclideanSize} &
+\cross{ULSCONS}{eval} &
+\cross{ULSCONS}{exp} \\
+\cross{ULSCONS}{expressIdealMember} &
+\cross{ULSCONS}{exquo} &
+\cross{ULSCONS}{extendedEuclidean} \\
+\cross{ULSCONS}{factor} &
+\cross{ULSCONS}{factorPolynomial} &
+\cross{ULSCONS}{factorSquareFreePolynomial} \\
+\cross{ULSCONS}{floor} &
+\cross{ULSCONS}{fractionPart} &
+\cross{ULSCONS}{gcd} \\
+\cross{ULSCONS}{gcdPolynomial} &
+\cross{ULSCONS}{hash} &
+\cross{ULSCONS}{init} \\
+\cross{ULSCONS}{integrate} &
+\cross{ULSCONS}{inv} &
+\cross{ULSCONS}{latex} \\
+\cross{ULSCONS}{laurent} &
+\cross{ULSCONS}{lcm} &
+\cross{ULSCONS}{leadingCoefficient} \\
+\cross{ULSCONS}{leadingMonomial} &
+\cross{ULSCONS}{log} &
+\cross{ULSCONS}{map} \\
+\cross{ULSCONS}{max} &
+\cross{ULSCONS}{min} &
+\cross{ULSCONS}{monomial} \\
+\cross{ULSCONS}{monomial?} &
+\cross{ULSCONS}{multiEuclidean} &
+\cross{ULSCONS}{multiplyCoefficients} \\
+\cross{ULSCONS}{multiplyExponents} &
+\cross{ULSCONS}{negative?} &
+\cross{ULSCONS}{nextItem} \\
+\cross{ULSCONS}{nthRoot} &
+\cross{ULSCONS}{numer} &
+\cross{ULSCONS}{numerator} \\
+\cross{ULSCONS}{one?} &
+\cross{ULSCONS}{order} &
+\cross{ULSCONS}{patternMatch} \\
+\cross{ULSCONS}{pi} &
+\cross{ULSCONS}{pole?} &
+\cross{ULSCONS}{positive?} \\
+\cross{ULSCONS}{prime?} &
+\cross{ULSCONS}{principalIdeal} &
+\cross{ULSCONS}{random} \\
+\cross{ULSCONS}{rationalFunction} &
+\cross{ULSCONS}{recip} &
+\cross{ULSCONS}{reducedSystem} \\
+\cross{ULSCONS}{reductum} &
+\cross{ULSCONS}{removeZeroes} &
+\cross{ULSCONS}{retract} \\
+\cross{ULSCONS}{retractIfCan} &
+\cross{ULSCONS}{sample} &
+\cross{ULSCONS}{sec} \\
+\cross{ULSCONS}{sech} &
+\cross{ULSCONS}{series} &
+\cross{ULSCONS}{sign} \\
+\cross{ULSCONS}{sin} &
+\cross{ULSCONS}{sinh} &
+\cross{ULSCONS}{sizeLess?} \\
+\cross{ULSCONS}{solveLinearPolynomialEquation} &
+\cross{ULSCONS}{sqrt} &
+\cross{ULSCONS}{squareFree} \\
+\cross{ULSCONS}{squareFreePart} &
+\cross{ULSCONS}{squareFreePolynomial} &
+\cross{ULSCONS}{subtractIfCan} \\
+\cross{ULSCONS}{tan} &
+\cross{ULSCONS}{tanh} &
+\cross{ULSCONS}{taylor} \\
+\cross{ULSCONS}{taylorIfCan} &
+\cross{ULSCONS}{taylorRep} &
+\cross{ULSCONS}{terms} \\
+\cross{ULSCONS}{truncate} &
+\cross{ULSCONS}{unit?} &
+\cross{ULSCONS}{unitCanonical} \\
+\cross{ULSCONS}{unitNormal} &
+\cross{ULSCONS}{variable} &
+\cross{ULSCONS}{variables} \\
+\cross{ULSCONS}{wholePart} &
+\cross{ULSCONS}{zero?} &
+\cross{ULSCONS}{?*?} \\
+\cross{ULSCONS}{?**?} &
+\cross{ULSCONS}{?+?} &
+\cross{ULSCONS}{?-?} \\
+\cross{ULSCONS}{-?} &
+\cross{ULSCONS}{?=?} &
+\cross{ULSCONS}{?\^{}?} \\
+\cross{ULSCONS}{?.?} &
+\cross{ULSCONS}{?\~{}=?} &
+\cross{ULSCONS}{?/?} \\
+\cross{ULSCONS}{?$<$?} &
+\cross{ULSCONS}{?$<=$?} &
+\cross{ULSCONS}{?$>$?} \\
+\cross{ULSCONS}{?$>=$?} &
+\cross{ULSCONS}{?quo?} &
+\cross{ULSCONS}{?rem?} 
+\end{tabular}
+
 <<domain ULSCONS UnivariateLaurentSeriesConstructor>>=
 )abbrev domain ULSCONS UnivariateLaurentSeriesConstructor
 ++ Authors: Bill Burge, Clifton J. Williamson
@@ -96895,6 +100028,125 @@ o )show UnivariatePolynomial
 \pageto{FreeModule}{FM}
 \pageto{PolynomialRing}{PR}
 \pageto{SparseUnivariatePolynomial}{SUP}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{UP}{0} &
+\cross{UP}{1} \\
+\cross{UP}{associates?} &
+\cross{UP}{binomThmExpt} \\
+\cross{UP}{characteristic} &
+\cross{UP}{charthRoot} \\
+\cross{UP}{coefficient} &
+\cross{UP}{coefficients} \\
+\cross{UP}{coerce} &
+\cross{UP}{composite} \\
+\cross{UP}{conditionP} &
+\cross{UP}{content} \\
+\cross{UP}{convert} &
+\cross{UP}{D} \\
+\cross{UP}{degree} &
+\cross{UP}{differentiate} \\
+\cross{UP}{discriminant} &
+\cross{UP}{divide} \\
+\cross{UP}{divideExponents} &
+\cross{UP}{elt} \\
+\cross{UP}{euclideanSize} &
+\cross{UP}{eval} \\
+\cross{UP}{expressIdealMember} &
+\cross{UP}{exquo} \\
+\cross{UP}{extendedEuclidean} &
+\cross{UP}{factor} \\
+\cross{UP}{factorPolynomial} &
+\cross{UP}{factorSquareFreePolynomial} \\
+\cross{UP}{fmecg} &
+\cross{UP}{gcd} \\
+\cross{UP}{gcdPolynomial} &
+\cross{UP}{ground} \\
+\cross{UP}{ground?} &
+\cross{UP}{hash} \\
+\cross{UP}{init} &
+\cross{UP}{integrate} \\
+\cross{UP}{isExpt} &
+\cross{UP}{isPlus} \\
+\cross{UP}{isTimes} &
+\cross{UP}{karatsubaDivide} \\
+\cross{UP}{latex} &
+\cross{UP}{lcm} \\
+\cross{UP}{leadingCoefficient} &
+\cross{UP}{leadingMonomial} \\
+\cross{UP}{mainVariable} &
+\cross{UP}{makeSUP} \\
+\cross{UP}{mapExponents} &
+\cross{UP}{map} \\
+\cross{UP}{max} &
+\cross{UP}{min} \\
+\cross{UP}{minimumDegree} &
+\cross{UP}{monicDivide} \\
+\cross{UP}{monomial} &
+\cross{UP}{monomial?} \\
+\cross{UP}{monomials} &
+\cross{UP}{multiEuclidean} \\
+\cross{UP}{multiplyExponents} &
+\cross{UP}{multivariate} \\
+\cross{UP}{nextItem} &
+\cross{UP}{numberOfMonomials} \\
+\cross{UP}{one?} &
+\cross{UP}{order} \\
+\cross{UP}{patternMatch} &
+\cross{UP}{pomopo!} \\
+\cross{UP}{prime?} &
+\cross{UP}{primitivePart} \\
+\cross{UP}{primitiveMonomials} &
+\cross{UP}{principalIdeal} \\
+\cross{UP}{pseudoDivide} &
+\cross{UP}{pseudoQuotient} \\
+\cross{UP}{pseudoRemainder} &
+\cross{UP}{recip} \\
+\cross{UP}{reducedSystem} &
+\cross{UP}{reductum} \\
+\cross{UP}{resultant} &
+\cross{UP}{retract} \\
+\cross{UP}{retractIfCan} &
+\cross{UP}{sample} \\
+\cross{UP}{separate} &
+\cross{UP}{shiftLeft} \\
+\cross{UP}{shiftRight} &
+\cross{UP}{sizeLess?} \\
+\cross{UP}{solveLinearPolynomialEquation} &
+\cross{UP}{squareFree} \\
+\cross{UP}{squareFreePart} &
+\cross{UP}{squareFreePolynomial} \\
+\cross{UP}{subResultantGcd} &
+\cross{UP}{subtractIfCan} \\
+\cross{UP}{totalDegree} &
+\cross{UP}{totalDegree} \\
+\cross{UP}{unit?} &
+\cross{UP}{unitCanonical} \\
+\cross{UP}{unitNormal} &
+\cross{UP}{univariate} \\
+\cross{UP}{unmakeSUP} &
+\cross{UP}{variables} \\
+\cross{UP}{vectorise} &
+\cross{UP}{zero?} \\
+\cross{UP}{?*?} &
+\cross{UP}{?**?} \\
+\cross{UP}{?+?} &
+\cross{UP}{?-?} \\
+\cross{UP}{-?} &
+\cross{UP}{?=?} \\
+\cross{UP}{?\^{}?} &
+\cross{UP}{?.?} \\
+\cross{UP}{?\~{}=?} &
+\cross{UP}{?/?} \\
+\cross{UP}{?$<$?} &
+\cross{UP}{?$<=$?} \\
+\cross{UP}{?$>$?} &
+\cross{UP}{?$>=$?} \\
+\cross{UP}{?quo?} &
+\cross{UP}{?rem?} 
+\end{tabular}
+
 <<domain UP UnivariatePolynomial>>=
 )abbrev domain UP UnivariatePolynomial
 ++ Author:
@@ -96938,6 +100190,115 @@ UnivariatePolynomial(x:Symbol, R:Ring):
 \pagepic{ps/v103univariatepuiseuxseries.ps}{UPXS}{1.00}
 {\bf See}\\
 \pageto{UnivariatePuiseuxSeriesConstructor}{UPXSCONS}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{UPXS}{0} &
+\cross{UPXS}{1} &
+\cross{UPXS}{acos} &
+\cross{UPXS}{acosh} \\
+\cross{UPXS}{acot} &
+\cross{UPXS}{acoth} &
+\cross{UPXS}{acsc} &
+\cross{UPXS}{acsch} \\
+\cross{UPXS}{approximate} &
+\cross{UPXS}{asec} &
+\cross{UPXS}{asech} &
+\cross{UPXS}{asin} \\
+\cross{UPXS}{asinh} &
+\cross{UPXS}{associates?} &
+\cross{UPXS}{atan} &
+\cross{UPXS}{atanh} \\
+\cross{UPXS}{center} &
+\cross{UPXS}{characteristic} &
+\cross{UPXS}{charthRoot} &
+\cross{UPXS}{coefficient} \\
+\cross{UPXS}{coerce} &
+\cross{UPXS}{complete} &
+\cross{UPXS}{cos} &
+\cross{UPXS}{cosh} \\
+\cross{UPXS}{cot} &
+\cross{UPXS}{coth} &
+\cross{UPXS}{csc} &
+\cross{UPXS}{csch} \\
+\cross{UPXS}{D} &
+\cross{UPXS}{degree} &
+\cross{UPXS}{differentiate} &
+\cross{UPXS}{divide} \\
+\cross{UPXS}{euclideanSize} &
+\cross{UPXS}{eval} &
+\cross{UPXS}{exp} &
+\cross{UPXS}{expressIdealMember} \\
+\cross{UPXS}{exquo} &
+\cross{UPXS}{extend} &
+\cross{UPXS}{extendedEuclidean} &
+\cross{UPXS}{factor} \\
+\cross{UPXS}{gcd} &
+\cross{UPXS}{gcdPolynomial} &
+\cross{UPXS}{hash} &
+\cross{UPXS}{integrate} \\
+\cross{UPXS}{inv} &
+\cross{UPXS}{latex} &
+\cross{UPXS}{laurent} &
+\cross{UPXS}{laurentIfCan} \\
+\cross{UPXS}{laurentRep} &
+\cross{UPXS}{lcm} &
+\cross{UPXS}{leadingCoefficient} &
+\cross{UPXS}{leadingMonomial} \\
+\cross{UPXS}{log} &
+\cross{UPXS}{map} &
+\cross{UPXS}{monomial} &
+\cross{UPXS}{monomial?} \\
+\cross{UPXS}{multiEuclidean} &
+\cross{UPXS}{multiplyExponents} &
+\cross{UPXS}{nthRoot} &
+\cross{UPXS}{one?} \\
+\cross{UPXS}{order} &
+\cross{UPXS}{pi} &
+\cross{UPXS}{pole?} &
+\cross{UPXS}{prime?} \\
+\cross{UPXS}{principalIdeal} &
+\cross{UPXS}{puiseux} &
+\cross{UPXS}{rationalPower} &
+\cross{UPXS}{recip} \\
+\cross{UPXS}{reductum} &
+\cross{UPXS}{retract} &
+\cross{UPXS}{retractIfCan} &
+\cross{UPXS}{sample} \\
+\cross{UPXS}{sec} &
+\cross{UPXS}{sech} &
+\cross{UPXS}{series} &
+\cross{UPXS}{sin} \\
+\cross{UPXS}{sinh} &
+\cross{UPXS}{sizeLess?} &
+\cross{UPXS}{sqrt} &
+\cross{UPXS}{squareFree} \\
+\cross{UPXS}{squareFreePart} &
+\cross{UPXS}{subtractIfCan} &
+\cross{UPXS}{tan} &
+\cross{UPXS}{tanh} \\
+\cross{UPXS}{terms} &
+\cross{UPXS}{truncate} &
+\cross{UPXS}{unit?} &
+\cross{UPXS}{unitCanonical} \\
+\cross{UPXS}{unitNormal} &
+\cross{UPXS}{variable} &
+\cross{UPXS}{variables} &
+\cross{UPXS}{zero?} \\
+\cross{UPXS}{?*?} &
+\cross{UPXS}{?**?} &
+\cross{UPXS}{?+?} &
+\cross{UPXS}{?-?} \\
+\cross{UPXS}{-?} &
+\cross{UPXS}{?=?} &
+\cross{UPXS}{?\^{}?} &
+\cross{UPXS}{?\~{}=?} \\
+\cross{UPXS}{?/?} &
+\cross{UPXS}{?.?} &
+\cross{UPXS}{?quo?} &
+\cross{UPXS}{?rem?} 
+\end{tabular}
+
 <<domain UPXS UnivariatePuiseuxSeries>>=
 )abbrev domain UPXS UnivariatePuiseuxSeries
 ++ Author: Clifton J. Williamson
@@ -97109,6 +100470,115 @@ UnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
 \pagepic{ps/v103univariatepuiseuxseriesconstructor.ps}{UPXSCONS}{1.00}
 {\bf See}\\
 \pageto{UnivariatePuiseuxSeries}{UPXS}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{UPXSCONS}{0} &
+\cross{UPXSCONS}{1} &
+\cross{UPXSCONS}{acos} &
+\cross{UPXSCONS}{acosh} \\
+\cross{UPXSCONS}{acot} &
+\cross{UPXSCONS}{acoth} &
+\cross{UPXSCONS}{acsc} &
+\cross{UPXSCONS}{acsch} \\
+\cross{UPXSCONS}{approximate} &
+\cross{UPXSCONS}{asec} &
+\cross{UPXSCONS}{asech} &
+\cross{UPXSCONS}{asin} \\
+\cross{UPXSCONS}{asinh} &
+\cross{UPXSCONS}{associates?} &
+\cross{UPXSCONS}{atan} &
+\cross{UPXSCONS}{atanh} \\
+\cross{UPXSCONS}{center} &
+\cross{UPXSCONS}{characteristic} &
+\cross{UPXSCONS}{charthRoot} &
+\cross{UPXSCONS}{coefficient} \\
+\cross{UPXSCONS}{coerce} &
+\cross{UPXSCONS}{complete} &
+\cross{UPXSCONS}{cos} &
+\cross{UPXSCONS}{cosh} \\
+\cross{UPXSCONS}{cot} &
+\cross{UPXSCONS}{coth} &
+\cross{UPXSCONS}{csc} &
+\cross{UPXSCONS}{csch} \\
+\cross{UPXSCONS}{D} &
+\cross{UPXSCONS}{degree} &
+\cross{UPXSCONS}{differentiate} &
+\cross{UPXSCONS}{divide} \\
+\cross{UPXSCONS}{euclideanSize} &
+\cross{UPXSCONS}{eval} &
+\cross{UPXSCONS}{exp} &
+\cross{UPXSCONS}{expressIdealMember} \\
+\cross{UPXSCONS}{exquo} &
+\cross{UPXSCONS}{extend} &
+\cross{UPXSCONS}{extendedEuclidean} &
+\cross{UPXSCONS}{factor} \\
+\cross{UPXSCONS}{gcd} &
+\cross{UPXSCONS}{gcdPolynomial} &
+\cross{UPXSCONS}{hash} &
+\cross{UPXSCONS}{integrate} \\
+\cross{UPXSCONS}{inv} &
+\cross{UPXSCONS}{latex} &
+\cross{UPXSCONS}{laurent} &
+\cross{UPXSCONS}{laurentIfCan} \\
+\cross{UPXSCONS}{laurentRep} &
+\cross{UPXSCONS}{lcm} &
+\cross{UPXSCONS}{leadingCoefficient} &
+\cross{UPXSCONS}{leadingMonomial} \\
+\cross{UPXSCONS}{log} &
+\cross{UPXSCONS}{map} &
+\cross{UPXSCONS}{monomial} &
+\cross{UPXSCONS}{monomial?} \\
+\cross{UPXSCONS}{multiEuclidean} &
+\cross{UPXSCONS}{multiplyExponents} &
+\cross{UPXSCONS}{nthRoot} &
+\cross{UPXSCONS}{one?} \\
+\cross{UPXSCONS}{order} &
+\cross{UPXSCONS}{pi} &
+\cross{UPXSCONS}{pole?} &
+\cross{UPXSCONS}{prime?} \\
+\cross{UPXSCONS}{principalIdeal} &
+\cross{UPXSCONS}{puiseux} &
+\cross{UPXSCONS}{rationalPower} &
+\cross{UPXSCONS}{recip} \\
+\cross{UPXSCONS}{reductum} &
+\cross{UPXSCONS}{retract} &
+\cross{UPXSCONS}{retractIfCan} &
+\cross{UPXSCONS}{sample} \\
+\cross{UPXSCONS}{sec} &
+\cross{UPXSCONS}{sech} &
+\cross{UPXSCONS}{series} &
+\cross{UPXSCONS}{sin} \\
+\cross{UPXSCONS}{sinh} &
+\cross{UPXSCONS}{sizeLess?} &
+\cross{UPXSCONS}{sqrt} &
+\cross{UPXSCONS}{squareFree} \\
+\cross{UPXSCONS}{squareFreePart} &
+\cross{UPXSCONS}{subtractIfCan} &
+\cross{UPXSCONS}{tan} &
+\cross{UPXSCONS}{tanh} \\
+\cross{UPXSCONS}{terms} &
+\cross{UPXSCONS}{truncate} &
+\cross{UPXSCONS}{unit?} &
+\cross{UPXSCONS}{unitCanonical} \\
+\cross{UPXSCONS}{unitNormal} &
+\cross{UPXSCONS}{variable} &
+\cross{UPXSCONS}{variables} &
+\cross{UPXSCONS}{zero?} \\
+\cross{UPXSCONS}{?*?} &
+\cross{UPXSCONS}{?**?} &
+\cross{UPXSCONS}{?+?} &
+\cross{UPXSCONS}{?-?} \\
+\cross{UPXSCONS}{-?} &
+\cross{UPXSCONS}{?=?} &
+\cross{UPXSCONS}{?\^{}?} &
+\cross{UPXSCONS}{?\~{}=?} \\
+\cross{UPXSCONS}{?/?} &
+\cross{UPXSCONS}{?.?} &
+\cross{UPXSCONS}{?quo?} &
+\cross{UPXSCONS}{?rem?} 
+\end{tabular}
+
 <<domain UPXSCONS UnivariatePuiseuxSeriesConstructor>>=
 )abbrev domain UPXSCONS UnivariatePuiseuxSeriesConstructor
 ++ Author: Clifton J. Williamson
@@ -97469,6 +100939,59 @@ UnivariatePuiseuxSeriesConstructor(Coef,ULS):_
 {\bf See}\\
 \pageto{ExponentialOfUnivariatePuiseuxSeries}{EXPUPXS}
 \pageto{ExponentialExpansion}{EXPEXPAN}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{UPXSSING}{0} &
+\cross{UPXSSING}{1} &
+\cross{UPXSSING}{associates?} &
+\cross{UPXSSING}{binomThmExpt} &
+\cross{UPXSSING}{characteristic} \\
+\cross{UPXSSING}{charthRoot} &
+\cross{UPXSSING}{coefficient} &
+\cross{UPXSSING}{coefficients} &
+\cross{UPXSSING}{coerce} &
+\cross{UPXSSING}{content} \\
+\cross{UPXSSING}{degree} &
+\cross{UPXSSING}{dominantTerm} &
+\cross{UPXSSING}{exquo} &
+\cross{UPXSSING}{ground} &
+\cross{UPXSSING}{ground?} \\
+\cross{UPXSSING}{hash} &
+\cross{UPXSSING}{latex} &
+\cross{UPXSSING}{leadingCoefficient} &
+\cross{UPXSSING}{leadingMonomial} &
+\cross{UPXSSING}{limitPlus} \\
+\cross{UPXSSING}{map} &
+\cross{UPXSSING}{mapExponents} &
+\cross{UPXSSING}{minimumDegree} &
+\cross{UPXSSING}{monomial} &
+\cross{UPXSSING}{monomial?} \\
+\cross{UPXSSING}{numberOfMonomials} &
+\cross{UPXSSING}{one?} &
+\cross{UPXSSING}{pomopo!} &
+\cross{UPXSSING}{primitivePart} &
+\cross{UPXSSING}{recip} \\
+\cross{UPXSSING}{reductum} &
+\cross{UPXSSING}{retract} &
+\cross{UPXSSING}{retractIfCan} &
+\cross{UPXSSING}{sample} &
+\cross{UPXSSING}{subtractIfCan} \\
+\cross{UPXSSING}{unit?} &
+\cross{UPXSSING}{unitCanonical} &
+\cross{UPXSSING}{unitNormal} &
+\cross{UPXSSING}{zero?} &
+\cross{UPXSSING}{?*?} \\
+\cross{UPXSSING}{?**?} &
+\cross{UPXSSING}{?+?} &
+\cross{UPXSSING}{?-?} &
+\cross{UPXSSING}{-?} &
+\cross{UPXSSING}{?=?} \\
+\cross{UPXSSING}{?\^{}?} &
+\cross{UPXSSING}{?\~{}=?} &
+\cross{UPXSSING}{?/?} &&
+\end{tabular}
+
 <<domain UPXSSING UnivariatePuiseuxSeriesWithExponentialSingularity>>=
 )abbrev domain UPXSSING UnivariatePuiseuxSeriesWithExponentialSingularity
 ++ Author: Clifton J. Williamson
@@ -97763,6 +101286,59 @@ UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen):_
 {\bf See}\\
 \pageto{Automorphism}{AUTOMOR}
 \pageto{SparseUnivariateSkewPolynomial}{ORESUP}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{OREUP}{0} &
+\cross{OREUP}{1} &
+\cross{OREUP}{apply} \\
+\cross{OREUP}{characteristic} &
+\cross{OREUP}{coefficient} &
+\cross{OREUP}{coefficients} \\
+\cross{OREUP}{coerce} &
+\cross{OREUP}{content} &
+\cross{OREUP}{degree} \\
+\cross{OREUP}{exquo} &
+\cross{OREUP}{hash} &
+\cross{OREUP}{latex} \\
+\cross{OREUP}{leadingCoefficient} &
+\cross{OREUP}{leftDivide} &
+\cross{OREUP}{leftExactQuotient} \\
+\cross{OREUP}{leftExtendedGcd} &
+\cross{OREUP}{leftGcd} &
+\cross{OREUP}{leftLcm} \\
+\cross{OREUP}{leftQuotient} &
+\cross{OREUP}{leftRemainder} &
+\cross{OREUP}{minimumDegree} \\
+\cross{OREUP}{monicLeftDivide} &
+\cross{OREUP}{monicRightDivide} &
+\cross{OREUP}{monomial} \\
+\cross{OREUP}{one?} &
+\cross{OREUP}{primitivePart} &
+\cross{OREUP}{recip} \\
+\cross{OREUP}{reductum} &
+\cross{OREUP}{retract} &
+\cross{OREUP}{retractIfCan} \\
+\cross{OREUP}{rightDivide} &
+\cross{OREUP}{rightExactQuotient} &
+\cross{OREUP}{rightExtendedGcd} \\
+\cross{OREUP}{rightGcd} &
+\cross{OREUP}{rightLcm} &
+\cross{OREUP}{rightQuotient} \\
+\cross{OREUP}{rightRemainder} &
+\cross{OREUP}{sample} &
+\cross{OREUP}{subtractIfCan} \\
+\cross{OREUP}{zero?} &
+\cross{OREUP}{?*?} &
+\cross{OREUP}{?**?} \\
+\cross{OREUP}{?+?} &
+\cross{OREUP}{?-?} &
+\cross{OREUP}{-?} \\
+\cross{OREUP}{?=?} &
+\cross{OREUP}{?\^{}?} &
+\cross{OREUP}{?\~{}=?} 
+\end{tabular}
+
 <<domain OREUP UnivariateSkewPolynomial>>=
 )abbrev domain OREUP UnivariateSkewPolynomial
 ++ Author: Manuel Bronstein
@@ -97794,13 +101370,111 @@ UnivariateSkewPolynomial(x:Symbol, R:Ring, sigma:Automorphism R, delta: R -> R):
 \pagepic{ps/v103univariatetaylorseries.ps}{UTS}{1.00}
 {\bf See}\\
 \pageto{InnerTaylorSeries}{ITAYLOR}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{UTS}{0} &
+\cross{UTS}{1} &
+\cross{UTS}{acos} &
+\cross{UTS}{acosh} \\
+\cross{UTS}{acot} &
+\cross{UTS}{acoth} &
+\cross{UTS}{acsc} &
+\cross{UTS}{acsch} \\
+\cross{UTS}{approximate} &
+\cross{UTS}{asec} &
+\cross{UTS}{asech} &
+\cross{UTS}{asin} \\
+\cross{UTS}{asinh} &
+\cross{UTS}{associates?} &
+\cross{UTS}{atan} &
+\cross{UTS}{atanh} \\
+\cross{UTS}{center} &
+\cross{UTS}{characteristic} &
+\cross{UTS}{charthRoot} &
+\cross{UTS}{coefficient} \\
+\cross{UTS}{coefficients} &
+\cross{UTS}{coerce} &
+\cross{UTS}{complete} &
+\cross{UTS}{cos} \\
+\cross{UTS}{cosh} &
+\cross{UTS}{cot} &
+\cross{UTS}{coth} &
+\cross{UTS}{csc} \\
+\cross{UTS}{csch} &
+\cross{UTS}{D} &
+\cross{UTS}{degree} &
+\cross{UTS}{differentiate} \\
+\cross{UTS}{eval} &
+\cross{UTS}{evenlambert} &
+\cross{UTS}{exp} &
+\cross{UTS}{exquo} \\
+\cross{UTS}{extend} &
+\cross{UTS}{generalLambert} &
+\cross{UTS}{hash} &
+\cross{UTS}{integrate} \\
+\cross{UTS}{invmultisect} &
+\cross{UTS}{lagrange} &
+\cross{UTS}{lambert} &
+\cross{UTS}{latex} \\
+\cross{UTS}{leadingCoefficient} &
+\cross{UTS}{leadingMonomial} &
+\cross{UTS}{log} &
+\cross{UTS}{map} \\
+\cross{UTS}{monomial} &
+\cross{UTS}{monomial?} &
+\cross{UTS}{multiplyCoefficients} &
+\cross{UTS}{multiplyExponents} \\
+\cross{UTS}{multisect} &
+\cross{UTS}{nthRoot} &
+\cross{UTS}{oddlambert} &
+\cross{UTS}{one?} \\
+\cross{UTS}{order} &
+\cross{UTS}{pi} &
+\cross{UTS}{pole?} &
+\cross{UTS}{polynomial} \\
+\cross{UTS}{quoByVar} &
+\cross{UTS}{recip} &
+\cross{UTS}{reductum} &
+\cross{UTS}{revert} \\
+\cross{UTS}{sample} &
+\cross{UTS}{sec} &
+\cross{UTS}{sech} &
+\cross{UTS}{series} \\
+\cross{UTS}{sin} &
+\cross{UTS}{sinh} &
+\cross{UTS}{sqrt} &
+\cross{UTS}{subtractIfCan} \\
+\cross{UTS}{tan} &
+\cross{UTS}{tanh} &
+\cross{UTS}{terms} &
+\cross{UTS}{truncate} \\
+\cross{UTS}{unit?} &
+\cross{UTS}{unitCanonical} &
+\cross{UTS}{unitNormal} &
+\cross{UTS}{univariatePolynomial} \\
+\cross{UTS}{variable} &
+\cross{UTS}{variables} &
+\cross{UTS}{zero?} &
+\cross{UTS}{?*?} \\
+\cross{UTS}{?**?} &
+\cross{UTS}{?+?} &
+\cross{UTS}{?-?} &
+\cross{UTS}{-?} \\
+\cross{UTS}{?=?} &
+\cross{UTS}{?\^{}?} &
+\cross{UTS}{?\~{}=?} &
+\cross{UTS}{?.?} 
+\end{tabular}
+
 <<domain UTS UnivariateTaylorSeries>>=
 )abbrev domain UTS UnivariateTaylorSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 21 December 1989
 ++ Date Last Updated: 21 September 1993
 ++ Basic Operations:
-++ Related Domains: UnivariateLaurentSeries(Coef,var,cen), UnivariatePuiseuxSeries(Coef,var,cen)
+++ Related Domains: UnivariateLaurentSeries(Coef,var,cen), 
+++ UnivariatePuiseuxSeries(Coef,var,cen)
 ++ Also See:
 ++ AMS Classifications:
 ++ Keywords: dense, Taylor series
@@ -98210,6 +101884,30 @@ o )show UniversalSegment
 {\bf See}\\
 \pageto{Segment}{SEG}
 \pageto{SegmentBinding}{SEGBIND}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{UNISEG}{BY} &
+\cross{UNISEG}{coerce} &
+\cross{UNISEG}{convert} &
+\cross{UNISEG}{expand} &
+\cross{UNISEG}{hasHi} \\
+\cross{UNISEG}{hash} &
+\cross{UNISEG}{hi} &
+\cross{UNISEG}{high} &
+\cross{UNISEG}{incr} &
+\cross{UNISEG}{latex} \\
+\cross{UNISEG}{lo} &
+\cross{UNISEG}{low} &
+\cross{UNISEG}{map} &
+\cross{UNISEG}{segment} &
+\cross{UNISEG}{segment} \\
+\cross{UNISEG}{?=?} &
+\cross{UNISEG}{?SEGMENT} &
+\cross{UNISEG}{?..?} &
+\cross{UNISEG}{?\~{}=?} &
+\end{tabular}
+
 <<domain UNISEG UniversalSegment>>=
 )abbrev domain UNISEG UniversalSegment
 ++ Author:  Robert S. Sutor
@@ -98348,6 +102046,17 @@ UniversalSegment(S: Type): SegmentCategory(S) with
 \section{domain VARIABLE Variable}
 \pagehead{Variable}{VARIABLE}
 \pagepic{ps/v103variable.ps}{VARIABLE}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llllll}
+\cross{VARIABLE}{coerce} &
+\cross{VARIABLE}{hash} &
+\cross{VARIABLE}{latex} &
+\cross{VARIABLE}{variable} &
+\cross{VARIABLE}{?=?} &
+\cross{VARIABLE}{?\~{}=?} 
+\end{tabular}
+
 <<domain VARIABLE Variable>>=
 )abbrev domain VARIABLE Variable
 ++ Description:
@@ -98568,6 +102277,85 @@ o )show Vector
 @
 \pagehead{Vector}{VECTOR}
 \pagepic{ps/v103vector.ps}{VECTOR}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{VECTOR}{any?} &
+\cross{VECTOR}{coerce} &
+\cross{VECTOR}{concat} &
+\cross{VECTOR}{construct} &
+\cross{VECTOR}{convert} \\
+\cross{VECTOR}{copy} &
+\cross{VECTOR}{copyInto!} &
+\cross{VECTOR}{count} &
+\cross{VECTOR}{cross} &
+\cross{VECTOR}{delete} \\
+\cross{VECTOR}{dot} &
+\cross{VECTOR}{elt} &
+\cross{VECTOR}{empty} &
+\cross{VECTOR}{empty?} &
+\cross{VECTOR}{entries} \\
+\cross{VECTOR}{entry?} &
+\cross{VECTOR}{eq?} &
+\cross{VECTOR}{eval} &
+\cross{VECTOR}{every?} &
+\cross{VECTOR}{fill!} \\
+\cross{VECTOR}{find} &
+\cross{VECTOR}{first} &
+\cross{VECTOR}{hash} &
+\cross{VECTOR}{index?} &
+\cross{VECTOR}{indices} \\
+\cross{VECTOR}{insert} &
+\cross{VECTOR}{latex} &
+\cross{VECTOR}{length} &
+\cross{VECTOR}{less?} &
+\cross{VECTOR}{magnitude} \\
+\cross{VECTOR}{map} &
+\cross{VECTOR}{map!} &
+\cross{VECTOR}{max} &
+\cross{VECTOR}{maxIndex} &
+\cross{VECTOR}{member?} \\
+\cross{VECTOR}{members} &
+\cross{VECTOR}{merge} &
+\cross{VECTOR}{min} &
+\cross{VECTOR}{minIndex} &
+\cross{VECTOR}{more?} \\
+\cross{VECTOR}{new} &
+\cross{VECTOR}{outerProduct} &
+\cross{VECTOR}{parts} &
+\cross{VECTOR}{position} &
+\cross{VECTOR}{qelt} \\
+\cross{VECTOR}{qsetelt!} &
+\cross{VECTOR}{reduce} &
+\cross{VECTOR}{remove} &
+\cross{VECTOR}{removeDuplicates} &
+\cross{VECTOR}{reverse} \\
+\cross{VECTOR}{reverse!} &
+\cross{VECTOR}{sample} &
+\cross{VECTOR}{select} &
+\cross{VECTOR}{setelt} &
+\cross{VECTOR}{size?} \\
+\cross{VECTOR}{sort} &
+\cross{VECTOR}{sort!} &
+\cross{VECTOR}{sorted?} &
+\cross{VECTOR}{swap!} &
+\cross{VECTOR}{vector} \\
+\cross{VECTOR}{zero} &
+\cross{VECTOR}{\#{}?} &
+\cross{VECTOR}{?*?} &
+\cross{VECTOR}{?+?} &
+\cross{VECTOR}{?-?} \\
+\cross{VECTOR}{?$<$?} &
+\cross{VECTOR}{?$<=$?} &
+\cross{VECTOR}{?=?} &
+\cross{VECTOR}{?$>$?} &
+\cross{VECTOR}{?$>=$?} \\
+\cross{VECTOR}{?.?} &
+\cross{VECTOR}{?\~{}=?} &
+\cross{VECTOR}{-?} &
+\cross{VECTOR}{?.?} &
+\end{tabular}
+
 <<domain VECTOR Vector>>=
 )abbrev domain VECTOR Vector
 ++ Author:
@@ -98703,6 +102491,13 @@ o )show Void
 @
 \pagehead{Void}{VOID}
 \pagepic{ps/v103void.ps}{VOID}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{VOID}{coerce} &
+\cross{VOID}{void} 
+\end{tabular}
+
 <<domain VOID Void>>=
 )abbrev domain VOID Void
 -- These types act as the top and bottom of the type lattice
@@ -98746,6 +102541,34 @@ Void: with
 \section{domain WP WeightedPolynomials}
 \pagehead{WeightedPolynomials}{WP}
 \pagepic{ps/v103weightedpolynomials.ps}{WP}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{WP}{0} &
+\cross{WP}{1} &
+\cross{WP}{changeWeightLevel} &
+\cross{WP}{characteristic} \\
+\cross{WP}{coerce} &
+\cross{WP}{hash} &
+\cross{WP}{latex} &
+\cross{WP}{one?} \\
+\cross{WP}{recip} &
+\cross{WP}{sample} &
+\cross{WP}{subtractIfCan} &
+\cross{WP}{zero?} \\
+\cross{WP}{?\~{}=?} &
+\cross{WP}{?*?} &
+\cross{WP}{?**?} &
+\cross{WP}{?/?} \\
+\cross{WP}{?\^{}?} &
+\cross{WP}{?*?} &
+\cross{WP}{?**?} &
+\cross{WP}{?+?} \\
+\cross{WP}{?-?} &
+\cross{WP}{-?} &
+\cross{WP}{?=?} &
+\end{tabular}
+
 <<domain WP WeightedPolynomials>>=
 )abbrev domain WP WeightedPolynomials
 ++ Author: James Davenport
@@ -99170,6 +102993,93 @@ o )show WuWenTsunTriangularSet
 \pagepic{ps/v103wuwentsuntriangularset.ps}{WUTSET}{1.00}
 {\bf See}\\
 \pageto{GeneralTriangularSet}{GTSET}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{WUTSET}{algebraic?} &
+\cross{WUTSET}{algebraicVariables} \\
+\cross{WUTSET}{any?} &
+\cross{WUTSET}{autoReduced?} \\
+\cross{WUTSET}{basicSet} &
+\cross{WUTSET}{characteristicSerie} \\
+\cross{WUTSET}{characteristicSet} &
+\cross{WUTSET}{coerce} \\
+\cross{WUTSET}{coHeight} &
+\cross{WUTSET}{collect} \\
+\cross{WUTSET}{collectQuasiMonic} &
+\cross{WUTSET}{collectUnder} \\
+\cross{WUTSET}{collectUpper} &
+\cross{WUTSET}{construct} \\
+\cross{WUTSET}{convert} &
+\cross{WUTSET}{copy} \\
+\cross{WUTSET}{count} &
+\cross{WUTSET}{degree} \\
+\cross{WUTSET}{empty} &
+\cross{WUTSET}{empty?} \\
+\cross{WUTSET}{eq?} &
+\cross{WUTSET}{eval} \\
+\cross{WUTSET}{every?} &
+\cross{WUTSET}{extend} \\
+\cross{WUTSET}{extendIfCan} &
+\cross{WUTSET}{find} \\
+\cross{WUTSET}{first} &
+\cross{WUTSET}{hash} \\
+\cross{WUTSET}{headReduce} &
+\cross{WUTSET}{headReduced?} \\
+\cross{WUTSET}{headRemainder} &
+\cross{WUTSET}{infRittWu?} \\
+\cross{WUTSET}{initiallyReduce} &
+\cross{WUTSET}{initiallyReduced?} \\
+\cross{WUTSET}{initials} &
+\cross{WUTSET}{last} \\
+\cross{WUTSET}{latex} &
+\cross{WUTSET}{less?} \\
+\cross{WUTSET}{mainVariable?} &
+\cross{WUTSET}{mainVariables} \\
+\cross{WUTSET}{map} &
+\cross{WUTSET}{map!} \\
+\cross{WUTSET}{medialSet} &
+\cross{WUTSET}{member?} \\
+\cross{WUTSET}{members} &
+\cross{WUTSET}{more?} \\
+\cross{WUTSET}{mvar} &
+\cross{WUTSET}{normalized?} \\
+\cross{WUTSET}{normalized?} &
+\cross{WUTSET}{parts} \\
+\cross{WUTSET}{quasiComponent} &
+\cross{WUTSET}{reduce} \\
+\cross{WUTSET}{reduceByQuasiMonic} &
+\cross{WUTSET}{reduced?} \\
+\cross{WUTSET}{remainder} &
+\cross{WUTSET}{remove} \\
+\cross{WUTSET}{removeDuplicates} &
+\cross{WUTSET}{removeZero} \\
+\cross{WUTSET}{rest} &
+\cross{WUTSET}{retract} \\
+\cross{WUTSET}{retractIfCan} &
+\cross{WUTSET}{rewriteIdealWithHeadRemainder} \\
+\cross{WUTSET}{rewriteIdealWithRemainder} &
+\cross{WUTSET}{rewriteSetWithReduction} \\
+\cross{WUTSET}{roughBase?} &
+\cross{WUTSET}{roughEqualIdeals?} \\
+\cross{WUTSET}{roughSubIdeal?} &
+\cross{WUTSET}{roughUnitIdeal?} \\
+\cross{WUTSET}{sample} &
+\cross{WUTSET}{select} \\
+\cross{WUTSET}{size?} &
+\cross{WUTSET}{sort} \\
+\cross{WUTSET}{stronglyReduce} &
+\cross{WUTSET}{stronglyReduced?} \\
+\cross{WUTSET}{triangular?} &
+\cross{WUTSET}{trivialIdeal?} \\
+\cross{WUTSET}{variables} &
+\cross{WUTSET}{zeroSetSplit} \\
+\cross{WUTSET}{zeroSetSplitIntoTriangularSystems} &
+\cross{WUTSET}{\#{}?} \\
+\cross{WUTSET}{?=?} &
+\cross{WUTSET}{?\~{}=?} 
+\end{tabular}
+
 <<domain WUTSET WuWenTsunTriangularSet>>=
 )abbrev domain WUTSET WuWenTsunTriangularSet
 ++ Author: Marc Moreno Maza (marc@nag.co.uk)
@@ -99432,6 +103342,59 @@ equivalent for the
 {\bf DistributedMultivariatePolynomial} constructor.
 \pagehead{XDistributedPolynomial}{XDPOLY}
 \pagepic{ps/v103xdistributedpolynomial.ps}{XDPOLY}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{XDPOLY}{0} &
+\cross{XDPOLY}{1} &
+\cross{XDPOLY}{characteristic} &
+\cross{XDPOLY}{coef} \\
+\cross{XDPOLY}{coefficient} &
+\cross{XDPOLY}{coefficients} &
+\cross{XDPOLY}{coerce} &
+\cross{XDPOLY}{constant} \\
+\cross{XDPOLY}{constant?} &
+\cross{XDPOLY}{degree} &
+\cross{XDPOLY}{hash} &
+\cross{XDPOLY}{latex} \\
+\cross{XDPOLY}{leadingCoefficient} &
+\cross{XDPOLY}{ListOfTerms} &
+\cross{XDPOLY}{leadingMonomial} &
+\cross{XDPOLY}{leadingTerm} \\
+\cross{XDPOLY}{lquo} &
+\cross{XDPOLY}{map} &
+\cross{XDPOLY}{mirror} &
+\cross{XDPOLY}{monomial?} \\
+\cross{XDPOLY}{monomials} &
+\cross{XDPOLY}{maxdeg} &
+\cross{XDPOLY}{mindeg} &
+\cross{XDPOLY}{mindegTerm} \\
+\cross{XDPOLY}{monom} &
+\cross{XDPOLY}{numberOfMonomials} &
+\cross{XDPOLY}{one?} &
+\cross{XDPOLY}{quasiRegular} \\
+\cross{XDPOLY}{quasiRegular?} &
+\cross{XDPOLY}{recip} &
+\cross{XDPOLY}{reductum} &
+\cross{XDPOLY}{retract} \\
+\cross{XDPOLY}{retractIfCan} &
+\cross{XDPOLY}{rquo} &
+\cross{XDPOLY}{sample} &
+\cross{XDPOLY}{sh} \\
+\cross{XDPOLY}{subtractIfCan} &
+\cross{XDPOLY}{trunc} &
+\cross{XDPOLY}{varList} &
+\cross{XDPOLY}{zero?} \\
+\cross{XDPOLY}{?*?} &
+\cross{XDPOLY}{?**?} &
+\cross{XDPOLY}{?+?} &
+\cross{XDPOLY}{?-?} \\
+\cross{XDPOLY}{-?} &
+\cross{XDPOLY}{?=?} &
+\cross{XDPOLY}{?\^{}?} &
+\cross{XDPOLY}{?\~{}=?} 
+\end{tabular}
+
 <<domain XDPOLY XDistributedPolynomial>>=
 )abbrev domain XDPOLY XDistributedPolynomial
 ++ Author: Michel Petitot petitot@lifl.fr
@@ -100386,6 +104349,63 @@ o )show XPBWPolynomial
 @
 \pagehead{XPBWPolynomial}{XPBWPOLY}
 \pagepic{ps/v103xpbwpolynomial.ps}{XPBWPOLY}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{XPBWPOLYL}{0} &
+\cross{XPBWPOLYL}{1} &
+\cross{XPBWPOLYL}{characteristic} &
+\cross{XPBWPOLYL}{coef} \\
+\cross{XPBWPOLYL}{coefficient} &
+\cross{XPBWPOLYL}{coefficients} &
+\cross{XPBWPOLYL}{coerce} &
+\cross{XPBWPOLYL}{constant} \\
+\cross{XPBWPOLYL}{constant?} &
+\cross{XPBWPOLYL}{degree} &
+\cross{XPBWPOLYL}{exp} &
+\cross{XPBWPOLYL}{hash} \\
+\cross{XPBWPOLYL}{latex} &
+\cross{XPBWPOLYL}{leadingCoefficient} &
+\cross{XPBWPOLYL}{leadingMonomial} &
+\cross{XPBWPOLYL}{leadingTerm} \\
+\cross{XPBWPOLYL}{LiePolyIfCan} &
+\cross{XPBWPOLYL}{ListOfTerms} &
+\cross{XPBWPOLYL}{log} &
+\cross{XPBWPOLYL}{lquo} \\
+\cross{XPBWPOLYL}{map} &
+\cross{XPBWPOLYL}{maxdeg} &
+\cross{XPBWPOLYL}{mindeg} &
+\cross{XPBWPOLYL}{mindegTerm} \\
+\cross{XPBWPOLYL}{mirror} &
+\cross{XPBWPOLYL}{monom} &
+\cross{XPBWPOLYL}{monomial?} &
+\cross{XPBWPOLYL}{monomials} \\
+\cross{XPBWPOLYL}{numberOfMonomials} &
+\cross{XPBWPOLYL}{one?} &
+\cross{XPBWPOLYL}{product} &
+\cross{XPBWPOLYL}{quasiRegular} \\
+\cross{XPBWPOLYL}{quasiRegular?} &
+\cross{XPBWPOLYL}{recip} &
+\cross{XPBWPOLYL}{reductum} &
+\cross{XPBWPOLYL}{retract} \\
+\cross{XPBWPOLYL}{retractIfCan} &
+\cross{XPBWPOLYL}{rquo} &
+\cross{XPBWPOLYL}{sample} &
+\cross{XPBWPOLYL}{sh} \\
+\cross{XPBWPOLYL}{subtractIfCan} &
+\cross{XPBWPOLYL}{trunc} &
+\cross{XPBWPOLYL}{varList} &
+\cross{XPBWPOLYL}{zero?} \\
+\cross{XPBWPOLYL}{?*?} &
+\cross{XPBWPOLYL}{?**?} &
+\cross{XPBWPOLYL}{?+?} &
+\cross{XPBWPOLYL}{?-?} \\
+\cross{XPBWPOLYL}{-?} &
+\cross{XPBWPOLYL}{?=?} &
+\cross{XPBWPOLYL}{?\^{}?} &
+\cross{XPBWPOLYL}{?\~{}=?} 
+\end{tabular}
+
 <<domain XPBWPOLY XPBWPolynomial>>=
 )abbrev domain XPBWPOLY XPBWPolynomial
 ++ Author: Michel Petitot (petitot@lifl.fr).
@@ -100879,6 +104899,53 @@ o )show XPolynomial
 @
 \pagehead{XPolynomial}{XPOLY}
 \pagepic{ps/v103xpolynomial.ps}{XPOLY}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{XPOLY}{0} &
+\cross{XPOLY}{1} &
+\cross{XPOLY}{characteristic} &
+\cross{XPOLY}{coef} &
+\cross{XPOLY}{coerce} \\
+\cross{XPOLY}{constant} &
+\cross{XPOLY}{constant?} &
+\cross{XPOLY}{degree} &
+\cross{XPOLY}{expand} &
+\cross{XPOLY}{hash} \\
+\cross{XPOLY}{latex} &
+\cross{XPOLY}{lquo} &
+\cross{XPOLY}{map} &
+\cross{XPOLY}{maxdeg} &
+\cross{XPOLY}{mindeg} \\
+\cross{XPOLY}{mindegTerm} &
+\cross{XPOLY}{mirror} &
+\cross{XPOLY}{monom} &
+\cross{XPOLY}{monomial?} &
+\cross{XPOLY}{RemainderList} \\
+\cross{XPOLY}{one?} &
+\cross{XPOLY}{quasiRegular} &
+\cross{XPOLY}{quasiRegular?} &
+\cross{XPOLY}{recip} &
+\cross{XPOLY}{retract} \\
+\cross{XPOLY}{retractIfCan} &
+\cross{XPOLY}{rquo} &
+\cross{XPOLY}{sample} &
+\cross{XPOLY}{sh} &
+\cross{XPOLY}{subtractIfCan} \\
+\cross{XPOLY}{trunc} &
+\cross{XPOLY}{unexpand} &
+\cross{XPOLY}{varList} &
+\cross{XPOLY}{zero?} &
+\cross{XPOLY}{?*?} \\
+\cross{XPOLY}{?**?} &
+\cross{XPOLY}{?+?} &
+\cross{XPOLY}{?-?} &
+\cross{XPOLY}{-?} &
+\cross{XPOLY}{?=?} \\
+\cross{XPOLY}{?\^{}?} &
+\cross{XPOLY}{?\~{}=?} &&&
+\end{tabular}
+
 <<domain XPOLY XPolynomial>>=
 )abbrev domain XPOLY XPolynomial
 ++ Author: Michel Petitot petitot@lifl.fr
@@ -101296,6 +105363,52 @@ o )show XPolynomialRing
 @
 \pagehead{XPolynomialRing}{XPR}
 \pagepic{ps/v103xpolynomialring.ps}{XPR}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{XPR}{0} &
+\cross{XPR}{1} &
+\cross{XPR}{characteristic} &
+\cross{XPR}{coef} \\
+\cross{XPR}{coefficient} &
+\cross{XPR}{coefficients} &
+\cross{XPR}{coerce} &
+\cross{XPR}{constant} \\
+\cross{XPR}{constant?} &
+\cross{XPR}{hash} &
+\cross{XPR}{latex} &
+\cross{XPR}{leadingCoefficient} \\
+\cross{XPR}{leadingMonomial} &
+\cross{XPR}{leadingTerm} &
+\cross{XPR}{ListOfTerms} &
+\cross{XPR}{map} \\
+\cross{XPR}{maxdeg} &
+\cross{XPR}{mindeg} &
+\cross{XPR}{monom} &
+\cross{XPR}{monomial?} \\
+\cross{XPR}{monomials} &
+\cross{XPR}{numberOfMonomials} &
+\cross{XPR}{one?} &
+\cross{XPR}{quasiRegular} \\
+\cross{XPR}{quasiRegular?} &
+\cross{XPR}{recip} &
+\cross{XPR}{reductum} &
+\cross{XPR}{retract} \\
+\cross{XPR}{retractIfCan} &
+\cross{XPR}{sample} &
+\cross{XPR}{subtractIfCan} &
+\cross{XPR}{zero?} \\
+\cross{XPR}{\#{}?} &
+\cross{XPR}{?*?} &
+\cross{XPR}{?**?} &
+\cross{XPR}{?+?} \\
+\cross{XPR}{?-?} &
+\cross{XPR}{-?} &
+\cross{XPR}{?=?} &
+\cross{XPR}{?\^{}?} \\
+\cross{XPR}{?\~{}=?} &
+\end{tabular}
+
 <<domain XPR XPolynomialRing>>=
 )abbrev domain XPR XPolynomialRing
 ++ Author: Michel Petitot petitot@lifl.fr
@@ -101473,6 +105586,53 @@ provides a recursive for these polynomials. It is the non-commutative
 equivalents for the {\bf SparseMultivariatePolynomial} constructor.
 \pagehead{XRecursivePolynomial}{XRPOLY}
 \pagepic{ps/v103xrecursivepolynomial.ps}{XRPOLY}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{XRPOLY}{0} &
+\cross{XRPOLY}{1} &
+\cross{XRPOLY}{characteristic} &
+\cross{XRPOLY}{coef} &
+\cross{XRPOLY}{coerce} \\
+\cross{XRPOLY}{constant} &
+\cross{XRPOLY}{constant?} &
+\cross{XRPOLY}{degree} &
+\cross{XRPOLY}{expand} &
+\cross{XRPOLY}{hash} \\
+\cross{XRPOLY}{latex} &
+\cross{XRPOLY}{lquo} &
+\cross{XRPOLY}{map} &
+\cross{XRPOLY}{maxdeg} &
+\cross{XRPOLY}{mindeg} \\
+\cross{XRPOLY}{mindegTerm} &
+\cross{XRPOLY}{mirror} &
+\cross{XRPOLY}{monom} &
+\cross{XRPOLY}{monomial?} &
+\cross{XRPOLY}{one?} \\
+\cross{XRPOLY}{quasiRegular} &
+\cross{XRPOLY}{quasiRegular?} &
+\cross{XRPOLY}{recip} &
+\cross{XRPOLY}{RemainderList} &
+\cross{XRPOLY}{retract} \\
+\cross{XRPOLY}{retractIfCan} &
+\cross{XRPOLY}{rquo} &
+\cross{XRPOLY}{sample} &
+\cross{XRPOLY}{sh} &
+\cross{XRPOLY}{subtractIfCan} \\
+\cross{XRPOLY}{trunc} &
+\cross{XRPOLY}{unexpand} &
+\cross{XRPOLY}{varList} &
+\cross{XRPOLY}{zero?} &
+\cross{XRPOLY}{?*?} \\
+\cross{XRPOLY}{?**?} &
+\cross{XRPOLY}{?+?} &
+\cross{XRPOLY}{?-?} &
+\cross{XRPOLY}{-?} &
+\cross{XRPOLY}{?=?} \\
+\cross{XRPOLY}{?\^{}?} &
+\cross{XRPOLY}{?\~{}=?} &&&
+\end{tabular}
+
 <<domain XRPOLY XRecursivePolynomial>>=
 )abbrev domain XRPOLY XRecursivePolynomial
 ++ Author: Michel Petitot petitot@lifl.fr
diff --git a/books/ps/v103colorchart.ps b/books/ps/v103colorchart.ps
new file mode 100644
index 0000000..117c8ad
--- /dev/null
+++ b/books/ps/v103colorchart.ps
@@ -0,0 +1,283 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.18 (Wed Aug  6 10:29:47 UTC 2008)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 390 82
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 354 46 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+0.167 0.600 1.000 graphcolor
+newpath -4 -4 moveto
+-4 716 lineto
+536 716 lineto
+536 -4 lineto
+closepath fill
+1 setlinewidth
+0.167 0.600 1.000 graphcolor
+newpath -4 -4 moveto
+-4 716 lineto
+536 716 lineto
+536 -4 lineto
+closepath stroke
+% Category
+gsave
+0.606 0.733 1.000 nodecolor
+newpath 66 37 moveto
+0 37 lineto
+0 1 lineto
+66 1 lineto
+closepath fill
+1 setlinewidth
+filled
+0.606 0.733 1.000 nodecolor
+newpath 66 37 moveto
+0 37 lineto
+0 1 lineto
+66 1 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+8 15.4 moveto 50 (Category) alignedtext
+grestore
+% Domain
+gsave
+0.273 0.733 1.000 nodecolor
+newpath 144 37 moveto
+84 37 lineto
+84 1 lineto
+144 1 lineto
+closepath fill
+1 setlinewidth
+filled
+0.273 0.733 1.000 nodecolor
+newpath 144 37 moveto
+84 37 lineto
+84 1 lineto
+144 1 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+92 15.4 moveto 44 (Domain) alignedtext
+grestore
+% Package
+gsave
+0.939 0.733 1.000 nodecolor
+newpath 222 37 moveto
+162 37 lineto
+162 1 lineto
+222 1 lineto
+closepath fill
+1 setlinewidth
+filled
+0.939 0.733 1.000 nodecolor
+newpath 222 37 moveto
+162 37 lineto
+162 1 lineto
+222 1 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+169.5 15.4 moveto 45 (Package) alignedtext
+grestore
+% CABMON
+gsave
+0.606 0.733 1.000 nodecolor
+293 19 53.24 18.38 ellipse_path fill
+1 setlinewidth
+filled
+0.606 0.733 1.000 nodecolor
+293 19 53.24 18.38 ellipse_path stroke
+0.000 0.000 0.000 nodecolor
+14 /Times-Roman set_font
+263 15.4 moveto 60 (CABMON) alignedtext
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 390 82
+end
+restore
+%%EOF
diff --git a/books/ps/v103indexeddirectproductorderedabelianmonoid.ps b/books/ps/v103indexeddirectproductorderedabelianmonoid.ps
index 7a3530c..f307495 100644
--- a/books/ps/v103indexeddirectproductorderedabelianmonoid.ps
+++ b/books/ps/v103indexeddirectproductorderedabelianmonoid.ps
@@ -225,7 +225,12 @@ closepath stroke
 grestore
 % OAMON
 gsave
-0.000 0.000 1.000 nodecolor
+[ /Rect [ 1 0 69 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.2.pdf#nameddest=OAMON) >>
+  /Subtype /Link
+/ANN pdfmark
+0.606 0.733 1.000 nodecolor
 newpath 69 36 moveto
 1 36 lineto
 1 0 lineto
@@ -233,7 +238,7 @@ newpath 69 36 moveto
 closepath fill
 1 setlinewidth
 filled
-0.000 0.000 1.000 nodecolor
+0.606 0.733 1.000 nodecolor
 newpath 69 36 moveto
 1 36 lineto
 1 0 lineto
diff --git a/books/ps/v103indexedtwodimensionalarray.ps b/books/ps/v103indexedtwodimensionalarray.ps
index 057319e..6e37218 100644
--- a/books/ps/v103indexedtwodimensionalarray.ps
+++ b/books/ps/v103indexedtwodimensionalarray.ps
@@ -270,7 +270,12 @@ closepath stroke
 grestore
 % ARR2CAT
 gsave
-0.000 0.000 1.000 nodecolor
+[ /Rect [ 80 0 158 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.2.pdf#nameddest=ARR2CAT) >>
+  /Subtype /Link
+/ANN pdfmark
+0.606 0.733 1.000 nodecolor
 newpath 158 36 moveto
 80 36 lineto
 80 0 lineto
@@ -278,7 +283,7 @@ newpath 158 36 moveto
 closepath fill
 1 setlinewidth
 filled
-0.000 0.000 1.000 nodecolor
+0.606 0.733 1.000 nodecolor
 newpath 158 36 moveto
 80 36 lineto
 80 0 lineto
diff --git a/books/ps/v103odeintensityfunctionstable.ps b/books/ps/v103odeintensityfunctionstable.ps
index 6b3f157..a5f03fb 100644
--- a/books/ps/v103odeintensityfunctionstable.ps
+++ b/books/ps/v103odeintensityfunctionstable.ps
@@ -225,7 +225,7 @@ closepath stroke
 grestore
 % Domain
 gsave
-0.000 0.000 1.000 nodecolor
+0.273 0.733 1.000 nodecolor
 newpath 70 36 moveto
 10 36 lineto
 10 0 lineto
@@ -233,7 +233,7 @@ newpath 70 36 moveto
 closepath fill
 1 setlinewidth
 filled
-0.000 0.000 1.000 nodecolor
+0.273 0.733 1.000 nodecolor
 newpath 70 36 moveto
 10 36 lineto
 10 0 lineto
diff --git a/books/ps/v103openmathconnection.ps b/books/ps/v103openmathconnection.ps
index 53a7e8b..6609f92 100644
--- a/books/ps/v103openmathconnection.ps
+++ b/books/ps/v103openmathconnection.ps
@@ -225,7 +225,7 @@ closepath stroke
 grestore
 % Domain
 gsave
-0.000 0.000 1.000 nodecolor
+0.273 0.733 1.000 nodecolor
 newpath 68 36 moveto
 8 36 lineto
 8 0 lineto
@@ -233,7 +233,7 @@ newpath 68 36 moveto
 closepath fill
 1 setlinewidth
 filled
-0.000 0.000 1.000 nodecolor
+0.273 0.733 1.000 nodecolor
 newpath 68 36 moveto
 8 36 lineto
 8 0 lineto
diff --git a/books/ps/v103openmathdevice.ps b/books/ps/v103openmathdevice.ps
index d1db846..63c0d4b 100644
--- a/books/ps/v103openmathdevice.ps
+++ b/books/ps/v103openmathdevice.ps
@@ -225,7 +225,7 @@ closepath stroke
 grestore
 % Domain
 gsave
-0.000 0.000 1.000 nodecolor
+0.273 0.733 1.000 nodecolor
 newpath 63 36 moveto
 3 36 lineto
 3 0 lineto
@@ -233,7 +233,7 @@ newpath 63 36 moveto
 closepath fill
 1 setlinewidth
 filled
-0.000 0.000 1.000 nodecolor
+0.273 0.733 1.000 nodecolor
 newpath 63 36 moveto
 3 36 lineto
 3 0 lineto
diff --git a/books/ps/v103tuple.ps b/books/ps/v103tuple.ps
index ed3246e..4208caa 100644
--- a/books/ps/v103tuple.ps
+++ b/books/ps/v103tuple.ps
@@ -270,7 +270,12 @@ closepath stroke
 grestore
 % A1AGG-
 gsave
-0.000 0.000 1.000 nodecolor
+[ /Rect [ 80 0 146 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=A1AGG) >>
+  /Subtype /Link
+/ANN pdfmark
+0.273 0.733 1.000 nodecolor
 newpath 146 36 moveto
 80 36 lineto
 80 0 lineto
@@ -278,7 +283,7 @@ newpath 146 36 moveto
 closepath fill
 1 setlinewidth
 filled
-0.000 0.000 1.000 nodecolor
+0.273 0.733 1.000 nodecolor
 newpath 146 36 moveto
 80 36 lineto
 80 0 lineto
diff --git a/changelog b/changelog
index 0f6549d..39ca121 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,12 @@
+20090118 tpd src/axiom-website/patches.html 20090118.01.tpd.patch
+20090118 tpd books/bookvol10.3 add exports
+20090118 tpd books/ps/v103colorchart.ps added
+20090118 tpd books/ps/v103tuple.ps fixed
+20090118 tpd books/ps/v103openmathdevice.ps fixed
+20090118 tpd books/ps/v103openmathconnection.ps fixed
+20090118 tpd books/ps/v103odeintensityfunctionstable.ps fixed
+20090118 tpd books/ps/v103indexedtwodimensionalarray.ps fixed
+20090118 tpd books/ps/v103indexeddirectproductorderedabelianmonoid.ps fixed
 20090117 tpd src/axiom-website/patches.html 20090117.01.tpd.patch
 20090117 tpd books/bookvol10.3 add exports
 20090116 tpd src/axiom-website/patches.html 20090116.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 51a0b36..8513efa 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -889,6 +889,8 @@ bookvol10.3 add exports<br/>
 bookvol10.3 add exports<br/>
 <a href="patches/20090117.01.tpd.patch">20090117.01.tpd.patch</a>
 bookvol10.3 add exports<br/>
+<a href="patches/20090118.01.tpd.patch">20090118.01.tpd.patch</a>
+bookvol10.3 add exports<br/>
 
  </body>
 </html>
